/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CONN                            1
#define  CONN_CLOSE                      2       /* callback function: CLOSE_CONN */
#define  CONN_SERIAL_CONN                3       /* callback function: SERIAL_CONN */
#define  CONN_IP_ADDR                    4       /* callback function: IP_ADDR */
#define  CONN_GPIB_CONN                  5       /* callback function: GPIB_CONN */
#define  CONN_connect_type               6       /* callback function: connect_type */
#define  CONN_SERIAL_BUSY                7
#define  CONN_GPIB_BUSY                  8
#define  CONN_ETH_BUSY                   9
#define  CONN_ETH_CONN                   10      /* callback function: ETH_CONN */
#define  CONN_SERIAL_PORT                11      /* callback function: SERIAL_PORT */
#define  CONN_GPIB_ADDR                  12      /* callback function: GPIB_ADDR */
#define  CONN_DECORATION_8               13
#define  CONN_DECORATION_9               14
#define  CONN_DECORATION_7               15

#define  FGEN                            2
#define  FGEN_CLOSE                      2       /* callback function: CLOSE_FGEN */
#define  FGEN_fgen_shape_2               3       /* callback function: fgen_shape_2 */
#define  FGEN_fgen_type_2                4       /* callback function: fgen_type_2 */
#define  FGEN_UPDATE_FGEN                5       /* callback function: UPDATE_FGEN */
#define  FGEN_fgen_freq_2                6       /* callback function: fgen_freq_2 */
#define  FGEN_fgen_level_2               7       /* callback function: fgen_level_2 */
#define  FGEN_fgen_shape_1               8       /* callback function: fgen_shape_1 */
#define  FGEN_fgen_type_1                9       /* callback function: fgen_type_1 */
#define  FGEN_fgen_freq_1                10      /* callback function: fgen_freq_1 */
#define  FGEN_fgen_level_1               11      /* callback function: fgen_level_1 */
#define  FGEN_DECORATION_7               12
#define  FGEN_TEXTMSG                    13
#define  FGEN_DECORATION_8               14
#define  FGEN_TEXTMSG_2                  15

#define  GEN                             3
#define  GEN_CLOSE                       2       /* callback function: CLOSE_GEN */
#define  GEN_mod_shape_2                 3       /* callback function: mod_shape_2 */
#define  GEN_mod_type_2                  4       /* callback function: mod_type_2 */
#define  GEN_UPDATE_GEN                  5       /* callback function: UPDATE_GEN */
#define  GEN_mod_shape_1                 6       /* callback function: mod_shape_1 */
#define  GEN_mod_type_1                  7       /* callback function: mod_type_1 */
#define  GEN_Generator_Output            8       /* callback function: Generator_Output */
#define  GEN_Generator_RF                9       /* callback function: Generator_RF */
#define  GEN_Mod_Type                    10      /* callback function: Mod_Type */
#define  GEN_mod_level_2                 11      /* callback function: mod_level_2 */
#define  GEN_mod_freq_2                  12      /* callback function: mod_freq_2 */
#define  GEN_Generator_level             13      /* callback function: Generator_level */
#define  GEN_GEN_FREQ                    14      /* callback function: GEN_FREQ */
#define  GEN_mod_level_1                 15      /* callback function: mod_level_1 */
#define  GEN_mod_freq_1                  16      /* callback function: mod_freq_1 */
#define  GEN_DECORATION_9                17
#define  GEN_TEXTMSG_3                   18
#define  GEN_DECORATION_8                19
#define  GEN_DECORATION_10               20
#define  GEN_TEXTMSG_4                   21

#define  METER                           4
#define  METER_CLOSE                     2       /* callback function: CLOSE_METER */
#define  METER_dvm_meter                 3
#define  METER_distortion_meter          4
#define  METER_UPDATE_METERS             5       /* callback function: UPDATE_METERS */
#define  METER_sinad_meter               6
#define  METER_rferror_meter             7
#define  METER_power_meter               8
#define  METER_rssi_meter                9
#define  METER_deviation_meter           10
#define  METER_afcounter_meter           11
#define  METER_DECORATION_8              12

#define  PANEL                           5
#define  PANEL_DEFAULTS_UI               2       /* callback function: DEFAULTS_UI */
#define  PANEL_UPDATE_UI                 3       /* callback function: UPDATE_UI */
#define  PANEL_EXIT                      4       /* callback function: EXIT_BUTTON */
#define  PANEL_CONN_SWITCH               5       /* callback function: CONN_SWITCH */
#define  PANEL_METER_SWITCH              6       /* callback function: METER_SWITCH */
#define  PANEL_REC_SWITCH                7       /* callback function: REC_SWITCH */
#define  PANEL_GEN_SWITCH                8       /* callback function: GEN_SWITCH */
#define  PANEL_SCOPE_SWITCH              9       /* callback function: SCOPE_SWITCH */
#define  PANEL_SA_SWITCH                 10      /* callback function: SA_SWITCH */
#define  PANEL_FGEN_SWITCH               11      /* callback function: FGEN_SWITCH */
#define  PANEL_UPDATE_GO                 12      /* callback function: UPDATE_GO */
#define  PANEL_DECORATION_7              13

#define  RECEIVER                        6
#define  RECEIVER_CLOSE                  2       /* callback function: CLOSE_REC */
#define  RECEIVER_Receiver_Demod         3       /* callback function: Receiver_Demod */
#define  RECEIVER_Receiver_FILTER        4       /* callback function: Receiver_FILTER */
#define  RECEIVER_UPDATE_REC             5       /* callback function: UPDATE_REC */
#define  RECEIVER_Receiver_IF            6       /* callback function: Receiver_IF */
#define  RECEIVER_Receiver_Atten         7       /* callback function: Receiver_Atten */
#define  RECEIVER_Receiver_Input         8       /* callback function: Receiver_Input */
#define  RECEIVER_Receiver_freq          9       /* callback function: Receiver_freq */
#define  RECEIVER_DECORATION_8           10

#define  SA                              7
#define  SA_CLOSE                        2       /* callback function: CLOSE_SA */
#define  SA_vert_scale                   3       /* callback function: vert_scale */
#define  SA_sweep                        4       /* callback function: sweep */
#define  SA_sa_span_2                    5
#define  SA_UPDATE_SA                    6       /* callback function: UPDATE_SA */
#define  SA_sa_trace                     7
#define  SA_TOP_Screen                   8       /* callback function: TOP_Screen */
#define  SA_DECORATION_7                 9

#define  SCOPE                           8
#define  SCOPE_CLOSE                     2       /* callback function: CLOSE_SCOPE */
#define  SCOPE_scope_v_ref_ch2           3       /* callback function: scope_v_ref_ch2 */
#define  SCOPE_UPDATE_SCOPE              4       /* callback function: UPDATE_SCOPE */
#define  SCOPE_scope_v_div_ch2           5       /* callback function: scope_v_div_ch2 */
#define  SCOPE_scope_div_cvi             6       /* callback function: scope_div_cvi */
#define  SCOPE_scope_v_div_ch1           7       /* callback function: scope_v_div_ch1 */
#define  SCOPE_scope_v_ref_ch1           8       /* callback function: scope_v_ref_ch1 */
#define  SCOPE_scope_slope               9       /* callback function: scope_slope */
#define  SCOPE_scope_source              10      /* callback function: scope_source */
#define  SCOPE_scope_trigger             11      /* callback function: scope_trigger */
#define  SCOPE_scope_sweep               12      /* callback function: scope_sweep */
#define  SCOPE_scope_trace               13
#define  SCOPE_scope_ch2                 14      /* callback function: scope_ch2 */
#define  SCOPE_scope_ch1                 15      /* callback function: scope_ch1 */
#define  SCOPE_scope_h_pos               16      /* callback function: scope_h_pos */
#define  SCOPE_scope_level_v             17      /* callback function: scope_level_v */
#define  SCOPE_DECORATION_7              18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK CLOSE_CONN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_FGEN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_GEN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_METER(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_REC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_SA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CLOSE_SCOPE(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK CONN_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK connect_type(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DEFAULTS_UI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ETH_CONN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK EXIT_BUTTON(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_freq_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_freq_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_level_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_level_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_shape_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_shape_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK FGEN_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_type_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK fgen_type_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GEN_FREQ(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GEN_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Generator_level(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Generator_Output(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Generator_RF(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GPIB_ADDR(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK GPIB_CONN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK IP_ADDR(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK METER_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_freq_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_freq_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_level_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_level_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_shape_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_shape_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Mod_Type(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_type_1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mod_type_2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK REC_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_Atten(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_Demod(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_FILTER(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_freq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_IF(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Receiver_Input(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SA_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_ch1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_ch2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_div_cvi(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_h_pos(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_level_v(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_slope(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_source(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_sweep(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SCOPE_SWITCH(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_trigger(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_v_div_ch1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_v_div_ch2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_v_ref_ch1(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK scope_v_ref_ch2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SERIAL_CONN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SERIAL_PORT(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sweep(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TOP_Screen(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_FGEN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_GEN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_GO(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_METERS(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_REC(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_SA(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_SCOPE(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UPDATE_UI(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK vert_scale(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
