#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : demod.tcl                                                   #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : Define the default "DEMOD" source for BER                   #
#############################################################################
namespace eval ::Ber::DEMOD \
{
   variable Name "DEMOD"
   variable ShortName "DEMOD"
   
   proc Start { } \
   {
      P25 decode symsrc 0
      Ber run 1 -nowait
   }
   proc Stop {} \
   {
      Ber run 0 -nowait
   }
   proc Help {} \
   {
      return {DEMOD - Symbols are taken from the RF received by the instrument.
              This setting is used for TX BER testing.}
   }
   proc Enabled {} { return 1}
}

namespace eval ::Ber::OFF \
{
   variable Name "OFF"
   variable ShortName "OFF"
   
   proc Start { } \
   {
      Ber run 0 -nowait
   }
   proc Stop {} \
   {
      Ber run 0 -nowait
   }
   proc Help {} \
   {
      return {OFF - The BER test is turned off}
   }
   proc Enabled {} { return 1}
}


# Make sure DEMOD is the first item in the Pattern Source list
if { [info exists  ::Ber::Sources] } \
{
  if { [lsearch  $::Ber::Sources  "::Ber::DEMOD"] == -1 } \
  {
    set ::Ber::Sources  [linsert  $::Ber::Sources  0  ::Ber::DEMOD ::Ber::OFF]
  }
} \
else \
{
  lappend ::Ber::Sources  ::Ber::DEMOD ::Ber::OFF
}
  

