#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded CTCSS 1.0 [list tclPkgSetup [file join [pwd] $dir] CTCSS 1.0 \
{ { ctcss.tcl source { CTCSS                              \
                       CTCSS_UI                           \
                       ::CTCSS_UI::ctcss_set_reed_code    \
                       ::CTCSS_UI::ctcss_config           \
                       ::CTCSS_UI::ctcss_config_return    \
                       ::CTCSS_UI::ctcss_send_seq         } } } ]



namespace eval ::CTCSS \
{
  variable  codes
  
  set codes { "XZ"  "XB"  "YB"  "1Z"  "1B"  "2A"  "3Z"  "3B"  "4A"  "5Z"  \
              "5B"  "6A"  "7Z"  "M1"  "M3"  "XA"  "YZ"  "ZA"  "1A"  "2Z"  \
              "2B"  "3A"  "4Z"  "4B"  "5A"  "6Z"  "6B"  "7A"  "M2"  "M4"  \
              "YA"  "ZZ"  "ZB" }
              
  variable  codes_and_freqs
  
  set codes_and_freqs { "XZ - 67.0"   \
                        "XB - 77.0"   \
                        "YB - 88.5"   \
                        "1Z - 100.0"  \
                        "1B - 107.2"  \
                        "2A - 114.8"  \
                        "3Z - 123.0"  \
                        "3B - 131.8"  \
                        "4A - 141.3"  \
                        "5Z - 151.4"  \
                        "5B - 162.2"  \
                        "6A - 173.8"  \
                        "7Z - 186.2"  \
                        "M1 - 203.5"  \
                        "M3 - 218.1"  \
                        "-- - 233.6"  \
                        "-- - 250.3"  \
                        "XA - 71.9"   \
                        "YZ - 82.5"   \
                        "ZA - 94.8"   \
                        "1A - 103.5"  \
                        "2Z - 110.9"  \
                        "2B - 118.8"  \
                        "3A - 127.3"  \
                        "4Z - 136.5"  \
                        "4B - 146.2"  \
                        "5A - 156.7"  \
                        "6Z - 167.9"  \
                        "6B - 179.9"  \
                        "7A - 192.8"  \
                        "M2 - 210.7"  \
                        "M4 - 225.7"  \
                        "-- - 241.8"  \
                        "-- - 74.4"   \
                        "-- - 79.7"   \
                        "YA - 85.4"   \
                        "ZZ - 91.5"   \
                        "ZB - 97.4"   \
                        "-- - 259.1"  \
                        "-- - 69.3"   \
                        "-- - 36.6"   \
                        "-- - 196.6"  }

              
  array set Freqs \
  {
    XZ   67.0
    XB   77.0
    YB   88.5
    1Z   100.0
    1B   107.2
    2A   114.8
    3Z   123.0
    3B   131.8
    4A   141.3
    5Z   151.4
    5B   162.2
    6A   173.8
    7Z   186.2
    M1   203.5
    M3   218.1

    XA   71.9
    YZ   82.5
    ZA   94.8
    1A   103.5
    2Z   110.9
    2B   118.8
    3A   127.3
    4Z   136.5
    4B   146.2
    5A   156.7
    6Z   167.9
    6B   179.9
    7A   192.8
    M2   210.7
    M4   225.7
   
    YA   85.4
    ZZ   91.5
    ZB   97.4
  }


  array set Codes \
  {
    67.0    XZ   
    77.0    XB
    88.5    YB
    100.0   1Z
    107.2   1B
    114.8   2A
    123.0   3Z
    131.8   3B
    141.3   4A
    151.4   5Z
    162.2   5B
    173.8   6A
    186.2   7Z
    203.5   M1
    218.1   M3
          
    71.9    XA
    82.5    YZ
    94.8    ZA
    103.5   1A
    110.9   2Z
    118.8   2B
    127.3   3A
    136.5   4Z
    146.2   4B
    156.7   5A
    167.9   6Z
    179.9   6B
    192.8   7A
    210.7   M2
    225.7   M4
          
    85.4    YA
    91.5    ZZ
    97.4    ZB
  }
}
