#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded DCS 1.0 [list tclPkgSetup [file join [pwd] $dir] DCS 1.0 \
{ { dcs.tcl source { DCS                          \
                     ::DCS::Compose               \
                     ::DCS::Compose_unkey         \
                     ::DCS::Golay                 \
                     ::DCS_UI::dcs_key_return     \
                     ::DCS_UI::dcs_key_backpace   \
                     ::DCS_UI::dcs_key_press      \
                     ::DCS_UI::dcs_validate       \
                     ::DCS_UI::dcs_toggle_state   \
                     ::DCS_UI::dcs_toggle_invert  \
                     ::DCS_UI::dcs_burst          \
                     ::DCS_UI::dcs_config         \
                     ::DCS_UI::dcs_config_return  } } } ]



namespace eval DCS \
{
  variable codes
  
  set codes  { "023" "025" "026" "031" "032" "043" "047"   \
               "051" "054" "065" "071" "072" "073" "074"   \
               "114" "115" "116" "125" "131" "132" "134"   \
               "143" "152" "155" "156" "162" "165" "172"   \
               "174"                                       \
               "205" "223" "226" "243" "244" "245" "251"   \
               "261" "263" "265" "271"                     \
               "306" "311" "315" "331" "343" "346" "351"   \
               "364" "365" "371"                           \
               "411" "412" "413" "423" "431" "432" "445"   \
               "464" "465" "466"                           \
               "503" "506" "516" "532" "546" "565"         \
               "606" "612" "624" "627" "631" "632" "654"   \
               "662" "664"                                 \
               "703" "712" "723" "731" "732" "734" "743"   \
               "754" }
             
   array set invert_codes \
   {
     "023"   "047"
     "025"   "244"
     "026"   "464"
     "031"   "627"
     "032"   "051"
     "043"   "445"
     "047"   "023"
     "051"   "032"
     "054"   "413"
     "065"   "271"
     "071"   "306"
     "072"   "245"
     "073"   "506"
     "074"   "174"
     "114"   "712"
     "115"   "152"
     "116"   "754"
     "125"   "365"
     "131"   "364"
     "132"   "546"
     "134"   "223"
     "143"   "412"
     "152"   "115"
     "155"   "731"
     "156"   "265"
     "162"   "503"
     "165"   "251"
     "172"   ""
     "174"   "074"
     "205"   "263"
     "223"   "134"
     "226"   "411"
     "243"   "351"
     "244"   "025"
     "245"   "072"
     "251"   "165"
     "261"   "732"
     "263"   "205"
     "265"   "156"
     "271"   "065"
     "306"   "071"
     "311"   "664"
     "315"   "423"
     "331"   "465"
     "343"   "532"
     "346"   "612"
     "351"   "243"
     "364"   "131"
     "365"   "125"
     "371"   "734"
     "411"   "226"
     "412"   "143"
     "413"   "054"
     "423"   "315"
     "431"   "723"
     "432"   "516"
     "445"   "043"
     "464"   "026"
     "465"   "331"
     "466"   "662"
     "503"   "162"
     "506"   "073"
     "516"   "432"
     "532"   "343"
     "546"   "132"
     "565"   "703"
     "606"   "631"
     "612"   "346"
     "624"   "632"
     "627"   "031"
     "631"   "606"
     "632"   "624"
     "654"   "743"
     "662"   "466"
     "664"   "311"
     "703"   "565"
     "712"   "114"
     "723"   "431"
     "731"   "155"
     "732"   "261"
     "734"   "371"
     "743"   "654"
     "754"   "116"
   }
     

   array set alternate_codes \
   {
     "340"   "023"
     "766"   "023"
     "566"   "026"
     "374"   "031"
     "643"   "031"
     "355"   "043"
     "375"   "047"
     "707"   "047"
     "520"   "051"
     "771"   "051"
     "405"   "054"
     "675"   "054"
     "301"   "065"
     "603"   "071"
     "746"   "071"
     "717"   "071"
     "701"   "072"
     "470"   "072"
     "640"   "073"
     "360"   "074"
     "721"   "074"
     "327"   "114"
     "615"   "114"
     "534"   "115"
     "674"   "115"
     "060"   "116"
     "737"   "116"
     "173"   "125"
     "702"   "131"
     "572"   "131"
     "605"   "132"
     "714"   "132"
     "634"   "132"
     "273"   "134"
     "333"   "143"
     "415"   "152"
     "366"   "152"
     "660"   "155"
     "233"   "155"
     "741"   "156"
     "517"   "156"
     "416"   "162"
     "553"   "162"
     "354"   "165"
     "057"   "172"
     "270"   "174"
     "142"   "174"
     "610"   "205"
     "135"   "205"
     "350"   "223"
     "750"   "223"
     "475"   "223"
     "104"   "226"
     "557"   "226"
     "267"   "243"
     "342"   "243"
     "176"   "244"
     "417"   "244"
     "370"   "245"
     "554"   "245"
     "742"   "251"
     "236"   "251"
     "704"   "251"
     "567"   "261"
     "227"   "261"
     "213"   "263"
     "736"   "263"
     "426"   "265"
     "171"   "265"
     "427"   "271"
     "510"   "271"
     "762"   "271"
     "761"   "306"
     "147"   "306"
     "303"   "306"
     "330"   "311"
     "561"   "311"
     "456"   "311"
     "321"   "315"
     "673"   "315"
     "372"   "331"
     "507"   "331"
     "570"   "343"
     "324"   "343"
     "616"   "346"
     "724"   "346"
     "635"   "346"
     "353"   "351"
     "435"   "351"
     "130"   "364"
     "641"   "364"
     "107"   "365"
     "217"   "371"
     "530"   "371"
     "453"   "371"
     "756"   "411"
     "117"   "411"
     "441"   "412"
     "711"   "412"
     "127"   "412"
     "620"   "413"
     "133"   "413"
     "621"   "423"
     "563"   "423"
     "713"   "423"
     "234"   "423"
     "262"   "431"
     "730"   "431"
     "316"   "431"
     "276"   "432"
     "326"   "432"
     "222"   "445"
     "575"   "445"
     "457"   "445"  
     "772"   "464"
     "237"   "464"
     "642"   "464"
     "056"   "465"
     "656"   "465"
     "144"   "466"
     "666"   "466"
     "322"   "503"
     "157"   "503"
     "224"   "506"
     "574"   "506"
     "313"   "506"
     "067"   "516"
     "720"   "516"
     "345"   "532"
     "161"   "532"
     "751"   "546"
     "317"   "546"
     "614"   "546"
     "362"   "565"
     "307"   "565"
     "630"   "606"
     "153"   "606"
     "314"   "612"
     "706"   "612"
     "254"   "612"
     "075"   "624"
     "501"   "624"
     "037"   "627"
     "560"   "627"
     "231"   "631"
     "504"   "631"
     "745"   "631"
     "636"   "631"
     "123"   "632"
     "657"   "632"
     "163"   "654"
     "607"   "654"
     "460"   "654"
     "363"   "662"
     "436"   "662"
     "443"   "662"
     "444"   "662"
     "715"   "664"
     "471"   "664"
     "344"   "664"
     "256"   "703"
     "150"   "703"
     "136"   "712"
     "502"   "712"
     "235"   "723"
     "611"   "723"
     "671"   "723"
     "473"   "731"
     "447"   "731"
     "744"   "731"
     "474"   "731"
     "164"   "732"
     "207"   "732"
     "066"   "734"
     "663"   "743"
     "515"   "743"
     "312"   "743"
     "076"   "754"
     "203"   "754"
   }
   
}
