#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded DTMF 1.0 [list tclPkgSetup [file join [pwd] $dir] DTMF 1.0 \
{ { dtmf.tcl source { DTMF                           \
                      ::DTMF::Compose_digit          \
                      ::DTMF::Compose                \
                      ::DTMF::Compose_busy           \
                      ::DTMF::Compose_SIT            \
                      ::DTMF_UI::dtmf_set_mode       \
                      ::DTMF_UI::dtmf_key_return     \
                      ::DTMF_UI::dtmf_key_backspace  \
                      ::DTMF_UI::dtmf_key_press      \
                      ::DTMF_UI::dtmf_key_release    \
                      ::DTMF_UI::dtmf_send_seq       \
                      ::DTMF_UI::dtmf_burst_seq      \
                      ::DTMF_UI::dtmf_config         \
                      ::DTMF_UI::dtmf_config_return  \
                      ::DTMF_UI::dtmf_restore_def     } } } ]


namespace eval DTMF \
{
  array set Timing \
  {
    MARK   100
    SPACE  100
    w     1000
    END   1000
    -        0
    ,      100
    " "      0

    MARK_DEFAULT   100
    SPACE_DEFAULT  100
    END_DEFAULT    1000
  }
  
  array set FREQS \
  {
     "-" { 0 0 }
     " " { 0 0 }
     "," { 0 0 }
     w {0 0}
     1 {697 1209}
     2 {697 1336}
     3 {697 1477}
     a {697 1633}
     4 {770 1209}
     5 {770 1336}
     6 {770 1477}
     b {770 1633}
     7 {852 1209}
     8 {852 1336}
     9 {852 1477}
     c {852 1633}
     * {941 1209}
     0 {941 1336}
     # {941 1477}
     d {941 1633}  
     t {350 440}
     z {480 620}
     r {480 440}
  }

}
