#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded ToneRemote 1.0 [list tclPkgSetup [file join [pwd] $dir] ToneRemote 1.0 \
{ { tone_remote.tcl source { ToneRemote                             \
                             ::ToneRemote::Compose                  \
                             ::ToneRemoteUI::trem_send_seq          \
                             ::ToneRemoteUI::trem_burst_seq         \
                             ::ToneRemoteUI::trem_set_code          \
                             ::ToneRemoteUI::trem_config            \
                             ::ToneRemoteUI::trem_config_return     \
                             ::ToneRemoteUI::trem_update_guard_dur  \
                             ::ToneRemoteUI::trem_restore_def       \
                             ::ToneRemoteUI::trem_toggle_guard_dur  } } } ]


namespace eval ToneRemote {

   array set Timing {
     FUNCTION   40
     MAX        120
     GUARD      120
     
     FUNCTION_DEFAULT  40
     MAX_DEFAULT       120
     GUARD_DEFAULT     120
   }
   
   array set Freqs {
     FUNCTION  1050
     MAX       2175
     GUARD     2175

     FUNCTION_DEFAULT  1050
     MAX_DEFAULT       2175
     GUARD_DEFAULT     2175

     LIST     { 1050 1150 1250 1350 1450 1550 1650 1750 1850 1950 2050 }
   }
   
   array set Levels {
      FUNCTION  0
      MAX       20
      GUARD     -10

      FUNCTION_DEFAULT  0
      MAX_DEFAULT       20
      GUARD_DEFAULT     -10
   }
   
   set ::ToneRemote::GuardDur  "CONT"
   
}

