#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded CCIR 1.0 [list tclPkgSetup [file join [pwd] $dir] CCIR 1.0 \
{ { ccir.tcl source { CCIR           \
                      CCIR::Init     \
                      CCIR::Version  \
                      CCIR::Compose  } } } ]


namespace eval CCIR \
{
   variable LongName CCIR
   variable ShortName CCIR
   variable MaxTones 5
   variable ValidChars 0123456789GR

   variable tones
   
   array set tones \
   {
      default_0  1981.0
      default_1  1124.0
      default_2  1197.0
      default_3  1275.0
      default_4  1358.0
      default_5  1446.0
      default_6  1540.0
      default_7  1640.0
      default_8  1747.0
      default_9  1860.0
      default_G  2400.0
      default_R  2110.0
      default_A  ""

      0  1981.0
      1  1124.0
      2  1197.0
      3  1275.0
      4  1358.0
      5  1446.0
      6  1540.0
      7  1640.0
      8  1747.0
      9  1860.0
      G  2400.0
      R  2110.0
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  100
     default_1  100
     default_2  100
     default_3  100
     default_4  100
     default_5  100
     default_6  100
     default_7  100
     default_8  100
     default_9  100
     default_R  100
     default_G  100
     default_A  ""

     0  100
     1  100
     2  100
     3  100
     4  100
     5  100
     6  100
     7  100
     8  100
     9  100
     R  100
     G  100
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  5
     default_1  5
     default_2  5
     default_3  5
     default_4  5
     default_5  5
     default_6  5
     default_7  5
     default_8  5
     default_9  5
     default_R  5
     default_G  5
     default_A  ""

     0  5
     1  5
     2  5
     3  5
     4  5
     5  5
     6  5
     7  5
     8  5
     9  5
     R  5
     G  5
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK 100
      SPACE 5

      BEGIN_DEF 290

      BEGIN 290
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }

  if { [lsearch -exact  $formats  "CCIR"] == -1 } \
  {
    lappend formats  CCIR
  }
}
