#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded DDZVEI 1.0 [list tclPkgSetup [file join [pwd] $dir] DDZVEI 1.0 \
{ { ddzvei.tcl source { DDZVEI           \
                        DDZVEI::Init     \
                        DDZVEI::Version  \
                        DDZVEI::Compose  } } } ]
                        

namespace eval DDZVEI \
{
   variable LongName DDZVEI
   variable ShortName DDZVEI
   variable MaxTones 5
   variable ValidChars 0123456789GR

   variable tones
   
   array set tones \
   {
      default_0  2400.0
      default_1  1060.0
      default_2  1160.0
      default_3  1270.0
      default_4  1400.0
      default_5  1530.0
      default_6  1670.0
      default_7  1830.0
      default_8  2000.0
      default_9  2200.0
      default_G  885.0
      default_R  970.0
      default_A  ""

      0  2400.0    
      1  1060.0    
      2  1160.0    
      3  1270.0    
      4  1400.0    
      5  1530.0    
      6  1670.0    
      7  1830.0    
      8  2000.0    
      9  2200.0    
      G  885.0    
      R  970.0    
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  70
     default_1  70
     default_2  70
     default_3  70
     default_4  70
     default_5  70
     default_6  70
     default_7  70
     default_8  70
     default_9  70
     default_R  70
     default_G  70
     default_A  ""

     0  70
     1  70
     2  70
     3  70
     4  70
     5  70
     6  70
     7  70
     8  70
     9  70
     R  70
     G  70
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  10
     default_1  10
     default_2  10
     default_3  10
     default_4  10
     default_5  10
     default_6  10
     default_7  10
     default_8  10
     default_9  10
     default_R  10
     default_G  10
     default_A  ""

     0  10
     1  10
     2  10
     3  10
     4  10
     5  10
     6  10
     7  10
     8  10
     9  10
     R  10
     G  10
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK  70
      SPACE 10

      BEGIN_DEF 140

      BEGIN 140
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "DDZVEI"] == -1 } \
  {
    lappend formats DDZVEI
  }
}
