#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded EIA 1.0 [list tclPkgSetup [file join [pwd] $dir] EIA 1.0 \
{ { eia.tcl source { EIA           \
                     EIA::Init     \
                     EIA::Version  \
                     EIA::Compose  } } } ]
                     

namespace eval EIA \
{
   variable LongName EIA
   variable ShortName EIA
   variable MaxTones 5
   variable ValidChars 0123456789GR

   variable tones
   
   array set tones \
   {
      default_0  600.0
      default_1  741.0
      default_2  882.0
      default_3  1023.0
      default_4  1164.0
      default_5  1305.0
      default_6  1446.0
      default_7  1587.0
      default_8  1728.0
      default_9  1869.0
      default_G  2010.0
      default_R  459.0
      default_A  ""

      0  600.0
      1  741.0
      2  882.0
      3  1023.0
      4  1164.0
      5  1305.0
      6  1446.0
      7  1587.0
      8  1728.0
      9  1869.0
      G  2010.0
      R  459.0
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  33
     default_1  33
     default_2  33
     default_3  33
     default_4  33
     default_5  33
     default_6  33
     default_7  33
     default_8  33
     default_9  33
     default_R  33
     default_G  33
     default_A  ""

     0  33
     1  33
     2  33
     3  33
     4  33
     5  33
     6  33
     7  33
     8  33
     9  33
     R  33
     G  33
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  0
     default_1  0
     default_2  0
     default_3  0
     default_4  0
     default_5  0
     default_6  0
     default_7  0
     default_8  0
     default_9  0
     default_R  0
     default_G  0
     default_A  ""

     0  0
     1  0
     2  0
     3  0
     4  0
     5  0
     6  0
     7  0
     8  0
     9  0
     R  0
     G  0
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK  33
      SPACE 0

      BEGIN_DEF 33

      BEGIN 33
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "EIA"] == -1 } \
  {
    lappend formats EIA
  }
}
