#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded EUROSIG 1.0 [list tclPkgSetup [file join [pwd] $dir] EUROSIG 1.0 \
{ { eurosig.tcl source { EUROSIG           \
                         EUROSIG::Init     \
                         EUROSIG::Version  \
                         EUROSIG::Compose  } } } ]
                         

namespace eval EUROSIG \
{
   variable LongName EUROSIG
   variable ShortName EUROSIG
   variable MaxTones 5
   variable ValidChars 0123456789R

   variable tones
   
   array set tones \
   {
      default_0  979.8
      default_1  903.1
      default_2  832.5
      default_3  767.4
      default_4  707.4
      default_5  652.0
      default_6  601.0
      default_7  554.0
      default_8  510.7
      default_9  470.8
      default_R  1062.9
      default_G  ""
      default_A  ""

      0  979.8
      1  903.1
      2  832.5
      3  767.4
      4  707.4
      5  652.0
      6  601.0
      7  554.0
      8  510.7
      9  470.8
      R  1062.9
      G  ""
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  100
     default_1  100
     default_2  100
     default_3  100
     default_4  100
     default_5  100
     default_6  100
     default_7  100
     default_8  100
     default_9  100
     default_R  100
     default_G  ""
     default_A  ""

     0  100
     1  100
     2  100
     3  100
     4  100
     5  100
     6  100
     7  100
     8  100
     9  100
     R  100
     G  ""
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  0
     default_1  0
     default_2  0
     default_3  0
     default_4  0
     default_5  0
     default_6  0
     default_7  0
     default_8  0
     default_9  0
     default_R  0
     default_G  ""
     default_A  ""

     0  0
     1  0
     2  0
     3  0
     4  0
     5  0
     6  0
     7  0
     8  0
     9  0
     R  0
     G  ""
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK  100
      SPACE 0

      BEGIN_DEF 0

      BEGIN 0
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "EUROSIG"] == -1 } \
  {
    lappend formats EUROSIG
  }
}
