#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded MODAT 1.0 [list tclPkgSetup [file join [pwd] $dir] MODAT 1.0 \
{ { modat.tcl source { MODAT           \
                       MODAT::Init     \
                       MODAT::Version  \
                       MODAT::Compose  } } } ]
                       

namespace eval MODAT \
{
   variable LongName MODAT
   variable ShortName MODAT
   variable MaxTones 5
   variable ValidChars 0123456789R

   variable tones
   
   array set tones \
   {
      default_0  637.5
      default_1  787.5
      default_2  937.5
      default_3  1087.5
      default_4  1237.5
      default_5  1387.5
      default_6  1537.5
      default_7  1687.5
      default_8  1837.5
      default_9  1987.5
      default_R  487.5
      default_G  ""
      default_A  ""

      0  637.5
      1  787.5
      2  937.5
      3  1087.5
      4  1237.5
      5  1387.5
      6  1537.5
      7  1687.5
      8  1837.5
      9  1987.5
      R  487.5
      G  ""
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  40
     default_1  40
     default_2  40
     default_3  40
     default_4  40
     default_5  40
     default_6  40
     default_7  40
     default_8  40
     default_9  40
     default_R  40
     default_G  ""
     default_A  ""

     0  40
     1  40
     2  40
     3  40
     4  40
     5  40
     6  40
     7  40
     8  40
     9  40
     R  40
     G  ""
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  0
     default_1  0
     default_2  0
     default_3  0
     default_4  0
     default_5  0
     default_6  0
     default_7  0
     default_8  0
     default_9  0
     default_R  0
     default_G  ""
     default_A  ""

     0  0
     1  0
     2  0
     3  0
     4  0
     5  0
     6  0
     7  0
     8  0
     9  0
     R  0
     G  ""
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK  40
      SPACE 0

      BEGIN_DEF 0

      BEGIN 0
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "MODAT"] == -1 } \
  {
    lappend formats MODAT
  }
}
