#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded NATEL 1.0 [list tclPkgSetup [file join [pwd] $dir] NATEL 1.0 \
{ { natel.tcl source { NATEL           \
                       NATEL::Init     \
                       NATEL::Version  \
                       NATEL::Compose  } } } ]
                       
                       
namespace eval NATEL \
{
   variable LongName NATEL
   variable ShortName NATEL
   variable MaxTones 5
   variable ValidChars 0123456789GR

   variable tones
   
   array set tones \
   {
      default_0  1633.0
      default_1  631.0
      default_2  697.0
      default_3  770.0
      default_4  852.0
      default_5  941.0
      default_6  1040.0
      default_7  1209.0
      default_8  1336.0
      default_9  1477.0
      default_G  1995.0
      default_R  1805.0
      default_A  ""

      0  1633.0
      1  631.0
      2  697.0
      3  770.0
      4  852.0
      5  941.0
      6  1040.0
      7  1209.0
      8  1336.0
      9  1477.0
      G  1995.0
      R  1805.0
      A  ""
   }

   variable mark_timing

   array set mark_timing \
   {
     default_0  70
     default_1  70
     default_2  70
     default_3  70
     default_4  70
     default_5  70
     default_6  70
     default_7  70
     default_8  70
     default_9  70
     default_R  70
     default_G  70
     default_A  ""

     0  70
     1  70
     2  70
     3  70
     4  70
     5  70
     6  70
     7  70
     8  70
     9  70
     R  70
     G  70
     A  ""
   }

   variable space_timing

   array set space_timing \
   {
     default_0  0
     default_1  0
     default_2  0
     default_3  0
     default_4  0
     default_5  0
     default_6  0
     default_7  0
     default_8  0
     default_9  0
     default_R  0
     default_G  0
     default_A  ""

     0  0
     1  0
     2  0
     3  0
     4  0
     5  0
     6  0
     7  0
     8  0
     9  0
     R  0
     G  0
     A  ""
   }

   variable timing

   array set timing \
   {
      MARK  70
      SPACE 0

      BEGIN_DEF 0

      BEGIN 0
   }
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "NATEL"] == -1 } \
  {
    lappend formats NATEL
  }
}
