#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe] {foreach f [glob -nocomplain *rc] { option read $f}}
package ifneeded User_TS 1.0 [list tclPkgSetup [file join [pwd] $dir] User_TS 1.0 \
{ { user.tcl source { User_TS                \
                      User_TS::Init          \
                      User_TS::Version       \
                      User_TS::Compose       \
                      User_TS::Clear_timing  } } } ]
                      

namespace eval User_TS \
{
   variable LongName "User Defined Tone Signaling"
   variable ShortName "User def"
   
   variable tones
      
   array set tones \
   {
     default_0  1000.0
     default_1  1010.0
     default_2  1020.0
     default_3  1030.0
     default_4  1040.0
     default_5  1050.0
     default_6  1060.0
     default_7  1070.0
     default_8  1080.0
     default_9  1090.0
     default_R  1100.0
     default_G  1110.0
     default_A  1120.0

     0  1000.0
     1  1010.0
     2  1020.0
     3  1030.0
     4  1040.0
     5  1050.0
     6  1060.0
     7  1070.0
     8  1080.0
     9  1090.0
     R  1100.0
     G  1110.0
     A  1120.0
   }
   
   variable mark_timing

   array set mark_timing \
   {
     default_0  100
     default_1  100
     default_2  100
     default_3  100
     default_4  100
     default_5  100
     default_6  100
     default_7  100
     default_8  100
     default_9  100
     default_R  100
     default_G  100
     default_A  100

     0  100
     1  100
     2  100
     3  100
     4  100
     5  100
     6  100
     7  100
     8  100
     9  100
     R  100
     G  100
     A  100
   }

   variable space_timing

   array set space_timing \
   {
     default_0  100
     default_1  100
     default_2  100
     default_3  100
     default_4  100
     default_5  100
     default_6  100
     default_7  100
     default_8  100
     default_9  100
     default_R  100
     default_G  100
     default_A  100

     0  100
     1  100
     2  100
     3  100
     4  100
     5  100
     6  100
     7  100
     8  100
     9  100
     R  100
     G  100
     A  100
   }

   variable timing

   array set timing \
   {
      BEGIN_DEF 0

      BEGIN 0
   }
   
}

namespace eval ::Tone_Signaling \
{
  if { ![info exists  formats] } \
  {
    set formats  ""
  }
  
  if { [lsearch -exact  $formats  "User_TS"] == -1 } \
  {
    lappend formats User_TS
  }
}


