#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : tone_signaling.tcl                                          #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : Common tone signaling routines                              #
#############################################################################

package require  Parse_list

namespace eval Tone_Signaling \
{
  variable  formats

  #**************************************************************************
  #
  # Name:        Version
  #
  # Parameters:
  #
  # Description: Returns the software version
  #
  #**************************************************************************
  proc Version { } \
  { 
    return "1.0" 
  }


  #**************************************************************************
  #
  # Name:        Parse_core
  #
  # Parameters:
  #
  # Description: This routine does the basic parsing for the tone signaling 
  #              routines
  #
  #**************************************************************************
  proc Parse_core { cmd list } \
  {
    set temp  [Parse_list $cmd $list]
      
    return $temp
  }


  #**************************************************************************
  #
  # Name:        Tone
  #
  # Parameters:
  #
  # Description: 
  #
  #**************************************************************************
  proc Tone { freq  time } \
  {
    return [list $freq {} SINE $time]
  }

};  # End of Tone_Signaling namespace

   

package provide Tone_Signaling 1.0
