namespace eval ::Debug_Shell \
{
   variable State
   array set State \
   {
      addr ""
      port ""
      fd ""
   }
   
proc Event { event args } \
{
   variable State
   set State(event) $event
   switch -- $event \
   {
      "EOF" \
      {
         set State(addr) ""
         set State(fd) ""
         set State(port) ""
         debug_mon delete
      }

   }
}
proc Close { } \
{
   variable State
   catch {puts $State(fd) "One door closes, one door opens..."}
   debug_mon delete
   after 100
   catch {close $State(fd)}
   after 100
   set State(fd) ""
   set State(addr) ""
   set State(port) ""
}

proc Open  { fd addr port } \
{
   variable State
   set State(fd) $fd
   set State(addr) $addr
   set State(port) $port
   
   package require LineEdit
 
   LineEdit debug_mon -fd $fd \
                     -cmd "::Debug_Shell::Event" \
                     -type TELNET -term Ansi
   debug_mon event ::Debug_Shell::Event
}

proc Monitor { fd addr port } \
{
   variable State
   package require LineEdit
 
   LineEdit shell_fd -fd $fd \
                     -cmd "::Debug_Shell::Event" \
                     -type TELNET -term Ansi
   shell_fd event ::Debug_Shell::Event
   
   package require Shell

   Shell [shell_fd pty]
   exec no_reboot 1
}
proc Master_shell { fd addr port } \
{
   variable State
   if {$State(fd) != ""} \
   {
      Close
      after 100 "::Debug_Shell::Master_shell $fd $addr $port"
      return
   }
   Open $fd $addr $port
   debug_mon redirect
}
socket -server ::Debug_Shell::Monitor 70
socket -server ::Debug_Shell::Master_shell 71
}

proc REDIRECT { } \
{
   #puts "REDIRECT"
   
   ## Display a toplevel indicating Redirect Mode
   #toplevel  .redirect  -width 200  -height 100
   #
   #wm  title  .redirect  "Redirect Mode"
   #
   #wm  geometry  .redirect  +220+190
   #
   #label .redirect.lbl_msg  -text  "THE DISPLAY IS BEING REDIRECTED"  \
   #                         -padx  20                                 \
   #                         -pady  20
   #
   #pack .redirect.lbl_msg
   #
   #update
   
   set addr  $::Debug_Shell::State(addr)
   
   if { $addr == "" } \
   { 
     return  "No address known"
   }
   
   View::CreateView  ""  "$addr:0"
   
   return
}
