# IFR 2975 saved setup file
SavedStates::Label     {}
SavedStates::Date      {}
SavedStates::SerialNum {}
SavedStates::Version   {}
SavedStates::Password  {}

if {[info commands ::SavedStates::Catch_errs] == ""}  {
proc ::SavedStates::Catch_errs {thing cmd}  {

variable errors
if [catch $cmd err]  {
append errors "Errors on $thing:\n$err\n$::errorInfo\n"
}
# Retire any pending events.
update idle

}
}

if {[info commands ::SavedStates::Finalize] == ""}  {
proc ::SavedStates::Finalize {}  {

update idle
set cmd [namespace code Finalize_core]
after cancel $cmd
after idle $cmd

}
}

if {[info commands ::SavedStates::Finalize_core] == ""}  {
proc ::SavedStates::Finalize_core {}  {

variable finalize_cmds
foreach cmd $finalize_cmds  {
after idle [subst {oldCatch "$cmd"}]
}
set finalize_cmds ""

}
}

if {[info commands ::SavedStates::Finally] == ""}  {
proc ::SavedStates::Finally {cmd}  {

variable finalize_cmds
lappend finalize_cmds $cmd

}
}

#Begin system state save

# Pre-restore commands
Generator::Trunking_mode
Analyzer run 1 -nowait
update idle

# Save of SzSnet
::SavedStates::Catch_errs SzSnet \
{
if [IFR_options is_installed SzSnet]  {

set ::SzSnet::State(cctx_chan,800)  {380}
set ::SzSnet::State(vctx_chan,800)  {50}

set ::SzSnet::State(cctx_chan,900)  {3}
set ::SzSnet::State(vctx_chan,900)  {51}

set ::SzSnet::State(cctx_chan,UV)  {380}
set ::SzSnet::State(ccrx_chan,UV)  {0}
set ::SzSnet::State(vctx_chan,UV)  {390}
set ::SzSnet::State(vcrx_chan,UV)  {10}

set ::SzSnet::State(cctx_chan,USER)  {0}
set ::SzSnet::State(vctx_chan,USER)  {1}

set ::SzSnet::State(band)  {0}
set ::SzSnet::State(band_text)  {800}

SzSnet::setBand

SzSnet cnxtone  "0"

SzSnet sysid    "1844"
SzSnet group    "0"
SzSnet unitid   "0"

SzSnet digital  "0"

set ::SzSnet::State(ccrx_freq,USER,199)  {498.0325} 
set ::SzSnet::State(vctx_freq,USER,1)  {4.9500} 
set ::SzSnet::State(cctx_freq,USER,0)  {100.0000} 
set ::SzSnet::State(vctx_freq,USER,199)  {494.7625} 
set ::SzSnet::State(vcrx_freq,USER,199)  {497.7625} 
set ::SzSnet::State(vcrx_freq,USER,1)  {100.0000} 
set ::SzSnet::State(cctx_freq,USER,199)  {495.0375} 
set ::SzSnet::State(ccrx_freq,USER,0)  {100.0000} 
::SavedStates::Finally ::SzSnet::Sim_turn_off

}
}

# Save of Ltr
::SavedStates::Catch_errs Ltr \
{
if { [IFR_options is_installed LTR] }  {
Ltr band     1       -nowait
Ltr area     0    -nowait
Ltr free     31    -nowait
Ltr home     0    -nowait
Ltr goto     0    -nowait
Ltr group    0   -nowait
Ltr riccode  201 -nowait
Ltr inuse    0  -nowait
Ltr params   1000  0  344 -nowait
}
Ltr  txfreq  1 935.0125 -nowait
Ltr  rxfreq  1 896.0125 -nowait
Ltr  txfreq  2 935.025 -nowait
Ltr  rxfreq  2 896.025 -nowait
Ltr  txfreq  3 935.0375 -nowait
Ltr  rxfreq  3 896.0375 -nowait
Ltr  txfreq  4 935.05 -nowait
Ltr  rxfreq  4 896.05 -nowait
Ltr  txfreq  5 935.0625 -nowait
Ltr  rxfreq  5 896.0625 -nowait
Ltr  txfreq  6 935.075 -nowait
Ltr  rxfreq  6 896.075 -nowait
Ltr  txfreq  7 935.0875 -nowait
Ltr  rxfreq  7 896.0875 -nowait
Ltr  txfreq  8 935.1 -nowait
Ltr  rxfreq  8 896.1 -nowait
Ltr  txfreq  9 935.1125 -nowait
Ltr  rxfreq  9 896.1125 -nowait
Ltr  txfreq  10 935.125 -nowait
Ltr  rxfreq  10 896.125 -nowait
Ltr  txfreq  11 935.1375 -nowait
Ltr  rxfreq  11 896.1375 -nowait
Ltr  txfreq  12 935.15 -nowait
Ltr  rxfreq  12 896.15 -nowait
Ltr  txfreq  13 935.1625 -nowait
Ltr  rxfreq  13 896.1625 -nowait
Ltr  txfreq  14 935.175 -nowait
Ltr  rxfreq  14 896.175 -nowait
Ltr  txfreq  15 935.1875 -nowait
Ltr  rxfreq  15 896.1875 -nowait
Ltr  txfreq  16 935.2 -nowait
Ltr  rxfreq  16 896.2 -nowait
Ltr  txfreq  17 935.2125 -nowait
Ltr  rxfreq  17 896.2125 -nowait
Ltr  txfreq  18 935.225 -nowait
Ltr  rxfreq  18 896.225 -nowait
Ltr  txfreq  19 935.2375 -nowait
Ltr  rxfreq  19 896.2375 -nowait
Ltr  txfreq  20 935.25 -nowait
Ltr  rxfreq  20 896.25 -nowait
SavedStates::Finally ::Ltr::ltrTurnOff
}

# Save of P25ns
::SavedStates::Catch_errs P25ns \
{
# Restore P25 mode variables
P25 decode samplerate  64 -nowait
P25 decode enable      3     -nowait
P25 decode run         0        -nowait
P25 encode encrypt     0 0 -nowait

::P25ns::setTrunkModeIndex 800
P25 encode obtctrl            2 -nowait
P25 encode explicitmessages   0 -nowait
P25 encode autowrapdata       31 -nowait
P25 encode AdjStatusEnable    0 -nowait

# Restore variables used for both P25 and P25 trunking
P25 encode field rfsubid    0x01 -nowait
P25 encode field siteid     0x01 -nowait
P25 encode field lra        0x01 -nowait
P25 encode field sclass     0x60 -nowait

# Restore settings for P25 trunking variables
P25 encode field WACNID      0x00001 -nowait
P25 encode field WUID        0x000001 -nowait
P25 encode field WGID        0x0001 -nowait
P25 encode field ANNGRPADR   0x0000 -nowait
P25 encode field T_PROT      0 -nowait
P25 encode field T_ANET      1 -nowait
P25 encode field T_LG        0 -nowait
P25 encode field T_GAV       0 -nowait
P25 encode field T_RV        0 -nowait
P25 encode field tgtaddr     0 -nowait
P25 encode field srcid       0 -nowait
P25 encode field srcaddr     0 -nowait
P25 encode field ctime       0 -nowait
P25 encode field adj_mfid       0x00 -nowait
P25 encode field adj_rfssid     0x00 -nowait
P25 encode field adj_sysid      0x000 -nowait
P25 encode field adj_siteid     0x00 -nowait
P25 encode field adj_lra        0x00 -nowait
P25 encode field adj_sclass     0x00 -nowait
P25 encode field adj_c_flag       0 -nowait
P25 encode field adj_f_flag       0 -nowait
P25 encode field adj_v_flag       0 -nowait
P25 encode field adj_a_flag       0 -nowait
P25 encode field sccb1_sclass   0x00 -nowait
P25 encode field sccb2_sclass   0x00 -nowait

# Set up the LCO message saves
# These selected LCO messages save all of the user enterable fields
P25 encode lcomsg  2  0x0  0x0  0x0  0x000  0x0000  0x0  0x000  0x0000 -nowait  
P25 encode lcomsg  3  0x0  0x0  0x00  0x0  0x00  0x000000  0x000000 -nowait  
P25 encode lcomsg  4  0x0  0x0  0x0  0x0  0x00  0x0001  0x0  0x000  0x0  0x000 -nowait  
P25 encode lcomsg  6  0x0  0x0  0x0  0x0  0x00  0x0  0x0000  0x000000 -nowait  
P25 encode lcomsg  17  0x0  0x0  0x00000  0x001  0x000000  0x0 -nowait  
P25 encode lcomsg  20  0x0  0x0  0x0000  0x000000  0x000000 -nowait  
P25 encode lcomsg  21  0x0  0x0  0x0000  0x000000  0x000000 -nowait 

P25 encode lcomsg  23  0x0  0x0  0x0000  0x000000  0x000000 -nowait  
P25 encode lcomsg  24  0x0  0x0  0x0  0x000  0x000  0x000  0x00000000 -nowait  
P25 encode lcomsg  32  0x0  0x0  0x0  0x0  0x0  0x000000  0x000000 -nowait  
P25 encode lcomsg  33  0x0  0x0  0x01  0x01  0x0  0x000  0x00  0x0  0x000  0x00 -nowait  
P25 encode lcomsg  34  0x0  0x0  0x01  0x0  0x001  0x01  0x01  0x0  0x000  0x60 -nowait  
P25 encode lcomsg  37  0x0  0x0  0x0  0x00  0x0000  0x000000 -nowait

P25 encode lcomsg  0  0x0  0x0  0x00  0x0  0x00  0x0  0x0001  0x000000 -nowait  
# Give them time to take effect
update idle

# Restore P25 header information 
# using the temporary values saved above for P, SF, and LCO
P25 encode sendarray 0x000  0x00  0x0000  0x0000  0x0000  0x00  0x000000  0x000000  0x0  0x0  0x0  0x0000  0x0 -nowait

P25 encode field  ALGID  0x0  -nowait

P25 encode digits  0000000000 -nowait

# Give them time to take effect
update idle

# Restore the current LCO value
# using the temporary value saved above for LCO
set ::P25ns::EncodeParm(LCO)  00

# Restore the selected logging options
set ::P25ns::Log(lco_octets)  0
set ::P25ns::Log(lco_msg)     1
set ::P25ns::Log(osp_octets)  0
set ::P25ns::Log(osp_msg)     0
set ::P25ns::Log(isp_octets)  0
set ::P25ns::Log(isp_msg)     0
set ::P25ns::Log(raw)         0
set ::P25ns::Log(NextVersion) 1
if [IFR_options is_installed P25_CTRL_LOG]  {
   P25 log setversion 1
}

# Set the mask for the above values
::P25ns::setLogMask  "raw"

# Restore the current LCO message
::P25ns::send_lco


P25 encode chanaddr 0 0 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 1 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 2 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 3 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 4 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 5 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 6 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 7 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 8 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 9 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 10 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 11 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 12 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 13 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 14 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 0 15 12.5 -45.0 6.25 851.00625 
P25 encode chanaddr 1 0 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 1 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 2 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 3 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 4 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 5 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 6 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 7 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 8 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 9 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 10 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 11 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 12 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 13 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 14 6.25 2.0 6.25 150.0 
P25 encode chanaddr 1 15 6.25 2.0 6.25 150.0 
P25 encode chanaddr 2 0 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 1 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 2 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 3 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 4 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 5 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 6 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 7 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 8 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 9 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 10 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 11 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 12 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 13 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 14 12.5 -45.0 6.25 700.0 
P25 encode chanaddr 2 15 12.5 -45.0 6.25 700.0 


# Restore P25 channel variables
P25 encode field CHANID_C    0x0 -nowait
P25 encode field CHANNUM_C   0x000 -nowait
P25 encode field CHANID_V    0x0 -nowait
P25 encode field CHANNUM_V   0x032 -nowait
P25 encode field chanidtx_c  0 -nowait
P25 encode field channumtx_c 0 -nowait
P25 encode field chanidrx_c  0 -nowait
P25 encode field channumrx_c 10 -nowait
P25 encode field chanidtx_v  0 -nowait
P25 encode field channumtx_v 50 -nowait
P25 encode field chanidrx_v  0 -nowait
P25 encode field channumrx_v 20 -nowait
P25 encode field adj_chanid_r   0x0 -nowait
P25 encode field adj_channum_r  0x000 -nowait
P25 encode field adj_chanid_t   0x0 -nowait
P25 encode field adj_channum_t  0x000 -nowait
P25 encode field sccb1_chanid_t   0 -nowait
P25 encode field sccb1_channum_t  0 -nowait
P25 encode field sccb1_chanid_r   0 -nowait
P25 encode field sccb1_channum_r  0 -nowait
P25 encode field sccb2_chanid_t   0 -nowait
P25 encode field sccb2_channum_t  0 -nowait
P25 encode field sccb2_chanid_r   0 -nowait
P25 encode field sccb2_channum_r  0 -nowait

array set ::P25ns::TrunkModeIndex {800 0 UHF/VHF 1 700 2} 
array set ::P25ns::TrunkChanArray {700,CHANIDTX_C 0 UHF/VHF,CHANIDRX_V 0 UHF/VHF,CHANNUMRX_C 10 700,CHANIDRX_V 0 UHF/VHF,CHANIDTX_V 0 UHF/VHF,CHANNUMTX_C 0 700,CHANIDTX_V 0 UHF/VHF,CHANNUMRX_V 20 UHF/VHF,CHANNUMTX_V 50 800,CHANIDRX_C 0 700,CHANNUMRX_C 10 800,CHANIDTX_C 0 800,CHANNUMRX_C 10 800,CHANIDRX_V 0 700,CHANNUMTX_C 0 700,CHANNUMRX_V 20 800,CHANNUMTX_C 0 800,CHANIDTX_V 0 800,CHANNUMRX_V 20 UHF/VHF,CHANIDRX_C 0 700,CHANNUMTX_V 50 700,CHANIDRX_C 0 800,CHANNUMTX_V 50 UHF/VHF,CHANIDTX_C 0} 
}

# Save of HW_control
::SavedStates::Catch_errs HW_control \
{
HW_control ref Internal -nowait      
}

# Save of Power
::SavedStates::Catch_errs Power \
{
Power enable   On    -nowait
Power peakhold 0 -nowait
Power alerts   0     -nowait
Power ulimit   0.0    -nowait
Power llimit   0.0    -nowait
Power cable    0.00  -nowait
Power prange   2     -nowait
catch {Power rate 250 -nowait }
catch {Power   samplerate 8000 -nowait }
set ::Power::State(BellEnabled) {0}
}

# Save of Serial
::SavedStates::Catch_errs Serial \
{
::Serial::Baud 115200
::Serial::Term Ansi
::Serial::Echo ON
::Serial::Handshake SOFT
::Serial::Mode TCL
}

# Save of FGen
::SavedStates::Catch_errs FGen \
{
set ::FGen::State(level_units,1) Vpp
set ::FGen::State(level_units,2) Vpp
set ::FGen::State(1,TONE,dev) {5.00} 
set ::FGen::State(1,TONE,shape) {SINE} 
set ::FGen::State(1,TONE,freq) {1000.0} 
set ::FGen::State(1,TONE,level) {1.000} 
set ::FGen::State(1,TONE,level_rms) {0.354} 
set ::FGen::State(1,TONE,percent) {10.00} 
set ::FGen::State(1,TREM,user_code) {1050} 
set ::FGen::State(1,TREM,level) {1.000} 
set ::FGen::State(1,TREM,seq) {} 
set ::FGen::State(1,TREM,code) {1050} 
set ::FGen::State(1,TREM,percent) {10.00} 
set ::FGen::State(1,TREM,dev) {5.00} 
set ::FGen::State(1,DTMF,percent) {10.00} 
set ::FGen::State(1,DTMF,mode) {BURST} 
set ::FGen::State(1,DTMF,dev) {5.00} 
set ::FGen::State(1,DTMF,digit) {} 
set ::FGen::State(1,DTMF,code) {} 
set ::FGen::State(1,DTMF,level) {1.000} 
set ::FGen::State(1,DTMF,seq) {} 
set ::FGen::State(1,CTCSS,percent) {1.00} 
set ::FGen::State(1,CTCSS,dev) {0.50} 
set ::FGen::State(1,CTCSS,code) {XZ} 
set ::FGen::State(1,CTCSS,level) {0.100} 
set ::FGen::State(1,CTCSS,temp_code) {XZ - 67.0} 
set ::FGen::State(1,CTCSS,freq) {67.0} 
set ::FGen::State(1,DCS,state) {OFF} 
set ::FGen::State(1,DCS,level) {0.100} 
set ::FGen::State(1,DCS,seq) {} 
set ::FGen::State(1,DCS,dev) {0.50} 
set ::FGen::State(1,DCS,invert) {NORMAL} 
set ::FGen::State(1,DCS,code) {023} 
set ::FGen::State(1,DCS,percent) {1.00} 
set ::FGen::State(1,TSIG,code) {} 
set ::FGen::State(1,TSIG,percent) {10.00} 
set ::FGen::State(1,TSIG,format) {USER} 
set ::FGen::State(1,TSIG,space_timing) {} 
set ::FGen::State(1,TSIG,seq) {} 
set ::FGen::State(1,TSIG,mode) {BURST} 
set ::FGen::State(1,TSIG,dev) {5.00} 
set ::FGen::State(1,TSIG,begin_timing) {} 
set ::FGen::State(1,TSIG,level) {1.000} 
set ::FGen::State(1,TSIG,mark_timing) {} 
set ::FGen::State(1,P25,level) {9.990} 
set ::FGen::State(1,P25,percent) {99.90} 
set ::FGen::State(1,P25,freq) {1000.0} 
set ::FGen::State(1,P25,shape) {Sine} 
set ::FGen::State(1,P25,dev) {49.95} 
set ::FGen::State(1,SINC,rate) {100000} 
set ::FGen::State(1,SINC,omega) {200.00} 
set ::FGen::State(1,SINC,dev) {5.00} 
set ::FGen::State(1,SINC,freq) {1000} 
set ::FGen::State(1,SINC,level) {1.000} 
set ::FGen::State(1,SINC,percent) {10.00} 
set ::FGen::State(1,ARB,dev) {5.00} 
set ::FGen::State(1,ARB,rate) {8000} 
set ::FGen::State(1,ARB,percent) {10.00} 
set ::FGen::State(1,ARB,shape) {TESTING} 
set ::FGen::State(1,ARB,level) {1.000} 
set ::FGen::State(1,ARB,freq) {800} 
set ::FGen::State(2,TONE,shape) {SINE} 
set ::FGen::State(2,TONE,dev) {5.00} 
set ::FGen::State(2,TONE,level_rms) {0.354} 
set ::FGen::State(2,TONE,level) {1.000} 
set ::FGen::State(2,TONE,percent) {10.00} 
set ::FGen::State(2,TONE,freq) {1000.0} 
set ::FGen::State(2,TREM,user_code) {1050} 
set ::FGen::State(2,TREM,dev) {5.00} 
set ::FGen::State(2,TREM,code) {1050} 
set ::FGen::State(2,TREM,level) {1.000} 
set ::FGen::State(2,TREM,percent) {10.00} 
set ::FGen::State(2,TREM,seq) {} 
set ::FGen::State(2,DTMF,code) {} 
set ::FGen::State(2,DTMF,seq) {} 
set ::FGen::State(2,DTMF,dev) {5.00} 
set ::FGen::State(2,DTMF,digit) {} 
set ::FGen::State(2,DTMF,mode) {BURST} 
set ::FGen::State(2,DTMF,level) {1.000} 
set ::FGen::State(2,DTMF,percent) {10.00} 
set ::FGen::State(2,CTCSS,freq) {67.0} 
set ::FGen::State(2,CTCSS,percent) {1.00} 
set ::FGen::State(2,CTCSS,temp_code) {XZ - 67.0} 
set ::FGen::State(2,CTCSS,level) {0.100} 
set ::FGen::State(2,CTCSS,code) {XZ} 
set ::FGen::State(2,CTCSS,dev) {0.50} 
set ::FGen::State(2,DCS,code) {023} 
set ::FGen::State(2,DCS,seq) {} 
set ::FGen::State(2,DCS,percent) {1.00} 
set ::FGen::State(2,DCS,invert) {NORMAL} 
set ::FGen::State(2,DCS,state) {OFF} 
set ::FGen::State(2,DCS,level) {0.100} 
set ::FGen::State(2,DCS,dev) {0.50} 
set ::FGen::State(2,TSIG,percent) {10.00} 
set ::FGen::State(2,TSIG,dev) {5.00} 
set ::FGen::State(2,TSIG,level) {1.000} 
set ::FGen::State(2,TSIG,space_timing) {} 
set ::FGen::State(2,TSIG,mode) {BURST} 
set ::FGen::State(2,TSIG,format) {USER} 
set ::FGen::State(2,TSIG,mark_timing) {} 
set ::FGen::State(2,TSIG,code) {} 
set ::FGen::State(2,TSIG,begin_timing) {} 
set ::FGen::State(2,TSIG,seq) {} 
set ::FGen::State(2,P25,percent) {99.90} 
set ::FGen::State(2,P25,dev) {49.95} 
set ::FGen::State(2,P25,shape) {Sine} 
set ::FGen::State(2,P25,freq) {1000.0} 
set ::FGen::State(2,P25,level) {9.990} 
set ::FGen::State(2,SINC,omega) {200.00} 
set ::FGen::State(2,SINC,freq) {1000} 
set ::FGen::State(2,SINC,rate) {100000} 
set ::FGen::State(2,SINC,percent) {10.00} 
set ::FGen::State(2,SINC,level) {1.000} 
set ::FGen::State(2,SINC,dev) {5.00} 
set ::FGen::State(2,ARB,percent) {10.00} 
set ::FGen::State(2,ARB,freq) {1000} 
set ::FGen::State(2,ARB,level) {1.000} 
set ::FGen::State(2,ARB,dev) {5.00} 
set ::FGen::State(2,ARB,rate) {8000} 
set ::FGen::State(2,ARB,shape) {TESTING} 
set ::FGen::State(3,TONE,freq) {1000.0} 
set ::FGen::State(3,TONE,shape) {Sine} 
set ::FGen::State(3,TONE,percent) {10.00} 
set ::FGen::State(3,TONE,dev) {5.00} 
set ::FGen::State(3,TONE,level) {1.000} 
set ::FGen::State(3,TREM,seq) {} 
set ::FGen::State(3,TREM,dev) {5.00} 
set ::FGen::State(3,TREM,level) {1.000} 
set ::FGen::State(3,TREM,percent) {10.00} 
set ::FGen::State(3,TREM,user_code) {1050} 
set ::FGen::State(3,TREM,code) {1050} 
set ::FGen::State(3,DTMF,mode) {BURST} 
set ::FGen::State(3,DTMF,seq) {} 
set ::FGen::State(3,DTMF,digit) {} 
set ::FGen::State(3,DTMF,code) {} 
set ::FGen::State(3,DTMF,dev) {5.00} 
set ::FGen::State(3,DTMF,level) {1.000} 
set ::FGen::State(3,DTMF,percent) {10.00} 
set ::FGen::State(3,CTCSS,freq) {67.0} 
set ::FGen::State(3,CTCSS,dev) {0.50} 
set ::FGen::State(3,CTCSS,level) {0.100} 
set ::FGen::State(3,CTCSS,percent) {1.00} 
set ::FGen::State(3,CTCSS,code) {XZ} 
set ::FGen::State(3,CTCSS,temp_code) {XZ - 67.0} 
set ::FGen::State(3,DCS,dev) {0.50} 
set ::FGen::State(3,DCS,code) {023} 
set ::FGen::State(3,DCS,state) {OFF} 
set ::FGen::State(3,DCS,level) {0.100} 
set ::FGen::State(3,DCS,percent) {1.00} 
set ::FGen::State(3,DCS,seq) {} 
set ::FGen::State(3,DCS,invert) {NORMAL} 
set ::FGen::State(3,TSIG,format) {USER} 
set ::FGen::State(3,TSIG,mark_timing) {} 
set ::FGen::State(3,TSIG,seq) {} 
set ::FGen::State(3,TSIG,level) {1.000} 
set ::FGen::State(3,TSIG,code) {} 
set ::FGen::State(3,TSIG,dev) {5.00} 
set ::FGen::State(3,TSIG,begin_timing) {} 
set ::FGen::State(3,TSIG,mode) {BURST} 
set ::FGen::State(3,TSIG,space_timing) {} 
set ::FGen::State(3,TSIG,percent) {10.00} 
set ::FGen::State(3,P25,level) {9.990} 
set ::FGen::State(3,P25,dev) {49.95} 
set ::FGen::State(3,P25,freq) {1000.0} 
set ::FGen::State(3,P25,shape) {Sine} 
set ::FGen::State(3,P25,percent) {99.90} 
set ::FGen::State(3,SINC,rate) {100000} 
set ::FGen::State(3,SINC,dev) {5.00} 
set ::FGen::State(3,SINC,omega) {200.00} 
set ::FGen::State(3,SINC,percent) {10.00} 
set ::FGen::State(3,SINC,freq) {1000} 
set ::FGen::State(3,SINC,level) {1.000} 
set ::FGen::State(3,ARB,shape) {TESTING} 
set ::FGen::State(3,ARB,freq) {800} 
set ::FGen::State(3,ARB,dev) {5.00} 
set ::FGen::State(3,ARB,rate) {8000} 
set ::FGen::State(3,ARB,level) {1.000} 
set ::FGen::State(3,ARB,percent) {10.00} 
set ::FGen::State(4,TONE,shape) {Sine} 
set ::FGen::State(4,TONE,percent) {10.00} 
set ::FGen::State(4,TONE,level) {1.000} 
set ::FGen::State(4,TONE,freq) {1000.0} 
set ::FGen::State(4,TONE,dev) {5.00} 
set ::FGen::State(4,TREM,code) {1050} 
set ::FGen::State(4,TREM,user_code) {1050} 
set ::FGen::State(4,TREM,seq) {} 
set ::FGen::State(4,TREM,percent) {10.00} 
set ::FGen::State(4,TREM,level) {1.000} 
set ::FGen::State(4,TREM,dev) {5.00} 
set ::FGen::State(4,DTMF,dev) {5.00} 
set ::FGen::State(4,DTMF,code) {} 
set ::FGen::State(4,DTMF,digit) {} 
set ::FGen::State(4,DTMF,seq) {} 
set ::FGen::State(4,DTMF,percent) {10.00} 
set ::FGen::State(4,DTMF,mode) {BURST} 
set ::FGen::State(4,DTMF,level) {1.000} 
set ::FGen::State(4,CTCSS,level) {0.100} 
set ::FGen::State(4,CTCSS,freq) {67.0} 
set ::FGen::State(4,CTCSS,temp_code) {XZ - 67.0} 
set ::FGen::State(4,CTCSS,percent) {1.00} 
set ::FGen::State(4,CTCSS,code) {XZ} 
set ::FGen::State(4,CTCSS,dev) {0.50} 
set ::FGen::State(4,DCS,seq) {} 
set ::FGen::State(4,DCS,dev) {0.50} 
set ::FGen::State(4,DCS,percent) {1.00} 
set ::FGen::State(4,DCS,code) {023} 
set ::FGen::State(4,DCS,state) {OFF} 
set ::FGen::State(4,DCS,level) {0.100} 
set ::FGen::State(4,DCS,invert) {NORMAL} 
set ::FGen::State(4,TSIG,mode) {BURST} 
set ::FGen::State(4,TSIG,level) {1.000} 
set ::FGen::State(4,TSIG,begin_timing) {} 
set ::FGen::State(4,TSIG,seq) {} 
set ::FGen::State(4,TSIG,mark_timing) {} 
set ::FGen::State(4,TSIG,dev) {5.00} 
set ::FGen::State(4,TSIG,space_timing) {} 
set ::FGen::State(4,TSIG,code) {} 
set ::FGen::State(4,TSIG,percent) {10.00} 
set ::FGen::State(4,TSIG,format) {USER} 
set ::FGen::State(4,P25,freq) {1000.0} 
set ::FGen::State(4,P25,shape) {Sine} 
set ::FGen::State(4,P25,dev) {49.95} 
set ::FGen::State(4,P25,level) {9.990} 
set ::FGen::State(4,P25,percent) {99.90} 
set ::FGen::State(4,SINC,level) {1.000} 
set ::FGen::State(4,SINC,omega) {200.00} 
set ::FGen::State(4,SINC,freq) {1000} 
set ::FGen::State(4,SINC,percent) {10.00} 
set ::FGen::State(4,SINC,dev) {5.00} 
set ::FGen::State(4,SINC,rate) {100000} 
set ::FGen::State(4,ARB,level) {1.000} 
set ::FGen::State(4,ARB,freq) {800} 
set ::FGen::State(4,ARB,percent) {10.00} 
set ::FGen::State(4,ARB,dev) {5.00} 
set ::FGen::State(4,ARB,shape) {TESTING} 
set ::FGen::State(4,ARB,rate) {8000} 
FGen::setMode  1  0  
FGen::setMode  2  0  
FGen::setMode  3  0  
FGen::setMode  4  0  
}

# Save of Freq_ListUI
::SavedStates::Catch_errs Freq_ListUI \
{
namespace inscope ::Freq_ListUI {reload_freq_list {}}}

# Save of Receiver
::SavedStates::Catch_errs Receiver \
{
Receiver freq         170.0         -nowait
Receiver rfinput      0  -nowait
Receiver atten        0        -nowait
Receiver ifbw         30000         -nowait
Receiver demod        0    -nowait
Receiver range        NARROW        -nowait
Receiver hwagc        1    -nowait
Receiver agcmode      1      -nowait
Receiver filter       0    -nowait
Receiver squelchmode  1  -nowait
Receiver squelchlevel 0 -nowait
Receiver lock         1    -nowait

Receiver::Config_agc  10 -10.5 -9.5 16
}

# Save of Modacc
::SavedStates::Catch_errs Modacc \
{
if { [IFR_options is_installed EVM] }  {
Modacc evm average  0  -nowait 
Modacc evm peakhold  0  -nowait 
Modacc evm ulimit  0.0  -nowait 
Modacc evm llimit  0.0  -nowait 
Modacc evm alerts  0  -nowait 
Modacc mag average  0  -nowait 
Modacc mag peakhold  0  -nowait 
Modacc mag ulimit  0.0  -nowait 
Modacc mag llimit  0.0  -nowait 
Modacc mag alerts  0  -nowait 
Modacc ph average  0  -nowait 
Modacc ph peakhold  0  -nowait 
Modacc ph ulimit  0.0  -nowait 
Modacc ph llimit  0.0  -nowait 
Modacc ph alerts  0  -nowait 
Modacc freq average  0  -nowait 
Modacc freq peakhold  0  -nowait 
Modacc freq ulimit  0.0  -nowait 
Modacc freq llimit  0.0  -nowait 
Modacc freq alerts  0  -nowait 
Modacc or average  0  -nowait 
Modacc or peakhold  0  -nowait 
Modacc or ulimit  0.0  -nowait 
Modacc or llimit  0.0  -nowait 
Modacc or alerts  0  -nowait 
Modacc enable  1023  -nowait 
Modacc run  0  -nowait 
Modacc symbols  80  -nowait 

}
}

# Save of C4fm
::SavedStates::Catch_errs C4fm \
{
C4fm run    1        -nowait
C4fm avg    75           -nowait
C4fm trig   1    -nowait
C4fm en     3    -nowait
C4fm peak   0 -nowait
C4fm alerts 0     -nowait
C4fm ulim   0    -nowait
C4fm llim   0    -nowait

set ::C4fm::State(BellEnabled)   {0}
set ::C4fm::State(resolution)    {1.0}
set ::C4fm::State(units)         {%}

catch  {
C4fm ferr_alerts         0      -nowait
C4fm dev_alerts          0     -nowait
C4fm ferr_peakhold       0  -nowait
C4fm dev_peakhold        0 -nowait
C4fm ferr_ulimit         0     -nowait
C4fm ferr_llimit         0     -nowait
C4fm dev_ulimit          0    -nowait
C4fm dev_llimit          0    -nowait
}
}

# Save of RFError
::SavedStates::Catch_errs RFError \
{
RFError run    1     -nowait
RFError gate   0    -nowait
RFError avg    10        -nowait
RFError en     3 -nowait
RFError peak   0     -nowait
RFError alerts 0         -nowait
RFError ulim   0.00        -nowait
RFError llim   0.00        -nowait

set ::RFError::State(BellEnabled)   {0}
set ::RFError::State(resolution)    {1.0}
set ::RFError::State(units)         {Hz}
}

# Save of FMDev
::SavedStates::Catch_errs FMDev \
{
FMDev run    1     -nowait 
FMDev math   0    -nowait
FMDev trig   1 -nowait
FMDev avg    1000 -nowait
FMDev en     3 -nowait
FMDev peak   0     -nowait
FMDev alerts 0         -nowait
FMDev ulim   0.00        -nowait
FMDev llim   0.00        -nowait
catch {FMDev squ    0 -nowait}

set ::FMDev::State(BellEnabled) {0}
set ::FMDev::State(resolution)  {1.0}
}

# Save of RLmeter
::SavedStates::Catch_errs RLmeter \
{
RLmeter en       3 -nowait
RLmeter peakhold 0     -nowait  
RLmeter alerts   0         -nowait   
RLmeter ulimit   0.00    -nowait    
RLmeter llimit   0.00    -nowait   
RLmeter cable    0.0      -nowait 
RLmeter run      ON            -nowait

set ::RLmeter::State(BellEnabled)   {0}
}

# Save of BBAudio
::SavedStates::Catch_errs BBAudio \
{
BBAudio micbias      ELEC    -nowait
BBAudio sinadbal     UNBAL   -nowait
BBAudio demodfilter  TONE      -nowait
BBAudio fgenfilter   TONE       -nowait
BBAudio fgenbalance  UNBAL    -nowait
BBAudio fgenlevel    0 -nowait
BBAudio clearmixer SPKR -nowait
BBAudio mixer FGEN0 SPKR ON -nowait
BBAudio mixer USER0 SPKR ON -nowait
BBAudio getmixer SPKR -nowait
BBAudio clearmixer DEMOD -nowait
BBAudio mixer L1 DEMOD ON -nowait
BBAudio getmixer DEMOD -nowait
BBAudio clearmixer FGEN -nowait
BBAudio mixer FGEN1 FGEN ON -nowait
BBAudio mixer FGEN2 FGEN ON -nowait
BBAudio getmixer FGEN -nowait
BBAudio clearmixer L1 -nowait
BBAudio mixer FGEN3 L1 ON -nowait
BBAudio mixer FGEN4 L1 ON -nowait
BBAudio getmixer L1 -nowait
BBAudio clearmixer USER0 -nowait
BBAudio getmixer USER0 -nowait
BBAudio clearmixer USER1 -nowait
BBAudio getmixer USER1 -nowait
BBAudio route 18 9 -nowait
BBAudio route -1 10 -nowait
BBAudio route -1 11 -nowait
BBAudio route -1 12 -nowait
BBAudio route -1 13 -nowait
BBAudio route -1 14 -nowait
BBAudio route 2 15 -nowait
BBAudio route 2 16 -nowait
BBAudio route -1 17 -nowait
BBAudio route 0 18 -nowait
BBAudio route -1 19 -nowait
BBAudio route -1 20 -nowait
BBAudio route -1 21 -nowait
BBAudio route -1 22 -nowait
BBAudio route 0 23 -nowait
::BBAudio::set_bbaudio_route L1 SPKR 1
BBAudio uutdigout 0 -nowait
BBAudio uutvoutput 0 -nowait
BBAudio speakervolpercent 0.0 -nowait
}

# Save of AFCounter
::SavedStates::Catch_errs AFCounter \
{
AFCounter run    1      -nowait
AFCounter run2   0     -nowait
AFCounter gate   0     -nowait
AFCounter avg    10         -nowait 
AFCounter trig   1            -nowait 
AFCounter en     3  -nowait
AFCounter en2    1 -nowait
AFCounter peak   0      -nowait
AFCounter alerts 0          -nowait 
AFCounter ulim   0.0         -nowait 
AFCounter llim   0.0         -nowait

set ::AFCounter::State(BellEnabled)   {0}
set ::AFCounter::State(resolution)    {1.0}
set ::AFCounter::State(units)         {Hz}

AFCounter::Input {AUDIO}
}

# Save of Sinad
::SavedStates::Catch_errs Sinad \
{
Sinad run     1       -nowait
Sinad math    0      -nowait
Sinad trig    1   -nowait
Sinad avg     1          -nowait
Sinad filter  1           -nowait
Sinad en      3   -nowait
Sinad peak    0 -nowait
Sinad alerts  0     -nowait
Sinad ulim    0.00    -nowait
Sinad llim    0.00    -nowait
Sinad encwt   OFF       -nowait
Sinad rate    10             -nowait
Sinad minx    1             -nowait
Sinad maxx    20000             -nowait
Sinad rangey  80.0           -nowait
Sinad maxy    0.0             -nowait
Sinad size    2048             -nowait
Sinad alpha   2.6            -nowait
Sinad window  1           -nowait
Sinad lnoise  100.0           -nowait
Sinad hnoise  10000.0           -nowait
Sinad lnotch  900.0           -nowait
Sinad hnotch  1100.0           -nowait

catch {Sinad log 0 -nowait }
catch {
Sinad tmmode 2 0.0 157 164 -nowait
}

Dist peak    0  -nowait
Dist alerts  0      -nowait
Dist ulim    0.00     -nowait
Dist llim    0.00     -nowait

set ::Sinad::State(Sinad.BellEnabled)        {0}
set ::Sinad::State(Sinad.BellEnabled_text)   {OFF}
set ::Sinad::State(Sinad.resolution)         {1.0}
set ::Sinad::State(Dist.BellEnabled)         {0}
set ::Sinad::State(Dist.BellEnabled_text)    {OFF}
set ::Sinad::State(Dist.resolution)          {1.0}

Sinad::Input {AUDIO}

if [IFR_options is_installed Audio_Analyzer] {
catch { Sinad anlz_trig   0 -nowait }
catch { Sinad tavg_factor 0.9   -nowait }
catch { array set ::Sinad::State {marker,7,ul 0.000 marker,5,ref 0.000 marker,7,pos 0.0 marker,0,ul 0.000 marker,0,avg 0.000 marker,5,ph -200.000 marker,8,avg 0.000 marker,2,ref 0.000 marker,9,freq 0.000 marker,5,pl 0.000 marker,4,ll 0.000 marker,6,freq 0.000 marker,4,pos 0.0 marker,6,ul 0.000 marker,3,freq 0.000 marker,9,math 0.000 marker,0,freq 0.000 marker,6,math 0.000 marker,3,math 0.000 marker,0,math 0.000 marker,5,avg 0.000 marker,8,live 0.000 marker,9,state OFF marker,1,pos 0.0 marker,4,ph -200.000 marker,7,ref 0.000 marker,5,live 0.000 marker,4,pl 0.000 marker,2,live 0.000 marker,9,pos 0.0 marker,3,ll 0.000 marker,5,ul 0.000 marker,8,state OFF marker,2,avg 0.000 marker,7,state OFF marker,4,ref 0.000 marker,9,ll 0.000 marker,6,pos 0.0 marker,3,ph -200.000 marker,3,pl 0.000 marker,6,state OFF marker,2,ll 0.000 marker,4,ul 0.000 marker,8,freq 0.000 marker,5,freq 0.000 marker,7,avg 0.000 marker,1,ref 0.000 marker,5,state OFF marker,2,freq 0.000 marker,9,ph -200.000 marker,8,math 0.000 marker,9,pl 0.000 marker,3,pos 0.0 marker,9,ref 0.000 marker,5,math 0.000 marker,8,ll 0.000 marker,2,math 0.000 marker,4,state OFF marker,2,ph -200.000 marker,2,pl 0.000 marker,7,live 0.000 marker,1,ll 0.000 marker,4,avg 0.000 marker,3,ul 0.000 marker,3,state OFF marker,4,live 0.000 marker,1,live 0.000 marker,0,pos 0.0 marker,6,ref 0.000 marker,8,ph -200.000 marker,8,pos 0.0 marker,2,state OFF marker,8,pl 0.000 marker,7,ll 0.000 marker,9,ul 0.000 marker,1,avg 0.000 marker,1,ph -200.000 marker,1,state OFF marker,1,pl 0.000 marker,9,avg 0.000 marker,0,ll 0.000 marker,3,ref 0.000 marker,2,ul 0.000 marker,5,pos 0.0 marker,0,state OFF marker,7,freq 0.000 marker,7,ph -200.000 marker,4,freq 0.000 marker,7,pl 0.000 marker,6,ll 0.000 marker,1,freq 0.000 marker,7,math 0.000 marker,8,ul 0.000 marker,6,avg 0.000 marker,0,ref 0.000 marker,4,math 0.000 marker,0,ph -200.000 marker,1,math 0.000 marker,2,pos 0.0 marker,0,pl 0.000 marker,8,ref 0.000 marker,9,live 0.000 marker,1,ul 0.000 marker,6,live 0.000 marker,3,live 0.000 marker,6,ph -200.000 marker,0,live 0.000 marker,3,avg 0.000 marker,6,pl 0.000 marker,5,ll 0.000 trace_state,llim OFF trace_state,pkhi OFF trace_state,avg OFF trace_state,stored OFF trace_state,pklo OFF trace_state,live OFF trace_state,ulim OFF trace_state,math OFF}}
set ::Sinad::State(scale) {10}


set Sinad::State(tracking_gen) 0

	      set x {0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0}
	      Sinad trace  tref x
	      unset x
	    
	      set x {0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0}
	      Sinad trace  tulim x
	      unset x
	    
	      set x {0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0}
	      Sinad trace  tllim x
	      unset x
	    
	     Sinad tlimit_enable 0 0 0 0 0 0 0 0
	          catch {Sinad marker 0 0.000}
catch {Sinad marker 1 0.000}
catch {Sinad marker 2 0.000}
catch {Sinad marker 3 0.000}
catch {Sinad marker 4 0.000}
catch {Sinad marker 5 0.000}
catch {Sinad marker 6 0.000}
catch {Sinad marker 7 0.000}
catch {Sinad marker 8 0.000}
catch {Sinad marker 9 0.000}
}}

# Save of Scope
::SavedStates::Catch_errs Scope \
{
Scope sweep1      {10000}  -nowait
Scope trigpol1    {0}    -nowait
Scope trigtype1   {0}   -nowait
Scope trigsource1 {CH1} -nowait
Scope triglev1    {0.0}    -nowait
Scope coupling1   {1} -nowait
Scope position1   {0}   -nowait
Scope scale1      {7}      -nowait
Scope enable1     {7}     -nowait
Scope run1        {1}        -nowait

Scope sweep2      {10000}  -nowait
Scope trigpol2    {0}    -nowait
Scope trigtype2   {0}   -nowait
Scope trigsource2 {CH1} -nowait
Scope triglev2    {0.0}    -nowait
Scope coupling2   {1} -nowait
Scope position2   {0}   -nowait
Scope scale2      {7}      -nowait
Scope enable2     {7}     -nowait
Scope run2        {1}        -nowait

Scope sweep3      {50000}  -nowait
Scope trigpol3    {0}    -nowait
Scope trigtype3   {0}   -nowait
Scope trigsource3 {CH1} -nowait
Scope triglev3    {0.0}    -nowait
Scope coupling3   {1} -nowait
Scope position3   {0}   -nowait
Scope scale3      {0}      -nowait
Scope enable3     {7}     -nowait
Scope run3        {0}        -nowait
#save markers 
catch {
Scope marker1 0 0.0 0.0 -nowait
Scope marker1 1 0.0 0.0 -nowait
Scope marker1 2 0.0 0.0 -nowait
Scope marker1 3 0.0 0.0 -nowait
Scope marker1 4 0.0 0.0 -nowait
Scope marker1 5 0.0 0.0 -nowait
Scope marker1 6 0.0 0.0 -nowait
Scope marker1 7 0.0 0.0 -nowait
Scope marker2 0 0.0 0.0 -nowait
Scope marker2 1 0.0 0.0 -nowait
Scope marker2 2 0.0 0.0 -nowait
Scope marker2 3 0.0 0.0 -nowait
Scope marker2 4 0.0 0.0 -nowait
Scope marker2 5 0.0 0.0 -nowait
Scope marker2 6 0.0 0.0 -nowait
Scope marker2 7 0.0 0.0 -nowait
Scope marker3 0 0.0 0.0 -nowait
Scope marker3 1 0.0 0.0 -nowait
Scope marker3 2 0.0 0.0 -nowait
Scope marker3 3 0.0 0.0 -nowait
Scope marker3 4 0.0 0.0 -nowait
Scope marker3 5 0.0 0.0 -nowait
Scope marker3 6 0.0 0.0 -nowait
Scope marker3 7 0.0 0.0 -nowait
}}

# Save of Analyzer
::SavedStates::Catch_errs Analyzer \
{
Analyzer run 3 -nowait

Analyzer enable  500  99 -nowait
Analyzer scale  10                              -nowait
Analyzer sweep  50000  2     -nowait
Analyzer resolutionbandwidth  3 kHz                  -nowait
Analyzer videobandwidth  3000                -nowait

Analyzer span  -0.05  0.05  -nowait

Analyzer tgstate  0  -nowait

set ::Analyzer::State(track_gen_level)  {-110.0}

Analyzer::set_average  1

Analyzer run  1  -nowait

Analyzer trigmode   0   -nowait
Analyzer triglevel  0.0  -nowait
Analyzer trigedge   1  -nowait
Analyzer trigdepth  0.0   -nowait
catch {Analyzer autocpl 1 -nowait}
update idle
Analyzer tos  0.0 -nowait

}

# Save of Generator
::SavedStates::Catch_errs Generator \
{
Generator dcpower   ON     -nowait
Generator enable    11      -nowait
Generator freq      170.000000        -nowait
Generator rfoutput  GEN       -nowait
Generator rflevel   -110.0   -nowait
Generator hwalc     0         -nowait
Generator hwbw      NARROW        -nowait
Generator mod       0     -nowait
Generator yigspeed  1    -nowait
Generator ptt       OFF         -nowait

Generator p25mode  1 -nowait
}

# Save of Dvm
::SavedStates::Catch_errs Dvm \
{
Dvm run 1 -nowait
Dvm avg 10 -nowait
Dvm en 3 -nowait
Dvm peak 0 -nowait
Dvm alerts 0 -nowait
Dvm::setResistance 600
Dvm ulim 0.0 -nowait
Dvm llim 0.0 -nowait
Dvm impedance 0 -nowait
Dvm mode AC -nowait
Dvm hwrange 0 -nowait

set ::Dvm::State(BellEnabled)   {0}
set ::Dvm::State(units)         {V}
}

# Save of Alert
::SavedStates::Catch_errs Alert \
{
Alert vol 10.0
}

# Save of Ber
::SavedStates::Catch_errs Ber \
{
Ber run      1 -nowait
Ber frames   1 -nowait
Ber pattern  0 -nowait
Ber en       3 -nowait

Ber ulim   {0.0} -nowait
Ber llim   {0.0} -nowait
Ber alerts {0}      -nowait
Ber peak   {0}  -nowait

::Ber::setPatternSource ::Ber::DEMOD
}
# post restore commands 
update idle
update idle

#Begin user interface save


#Begin tile save


# Save of FGenUI
::SavedStates::Catch_errs FGenUI \
{
}

# Save of SincUI
::SavedStates::Catch_errs SincUI \
{
}

# Save of ArbitraryUI
::SavedStates::Catch_errs ArbitraryUI \
{
foreach lun { 1 2 3 4 }  {
if {$::FGen::State($lun,fgen_mode) == "ARB"}  {
ArbitraryUI::set_arb_shape $lun
send_arb_seq  $lun
}
}
}

# Save of SweepUI
::SavedStates::Catch_errs SweepUI \
{
}

# Save of CounterUI
::SavedStates::Catch_errs CounterUI \
{
set ::CounterUI::StateUI(range_selection)  {AR}
set ::CounterUI::StateUI(ref_mode)         {OFF}
}

# Save of C4fmUI
::SavedStates::Catch_errs C4fmUI \
{
set ::C4fmUI::StateUI(range_selection) {AR}
set ::C4fmUI::StateUI(ref_mode)        {OFF}
}

# Save of DeviationUI
::SavedStates::Catch_errs DeviationUI \
{
set ::DeviationUI::StateUI(range_selection) {AR}
set ::DeviationUI::StateUI(ref_mode)        {OFF}
}

# Save of DistortionUI
::SavedStates::Catch_errs DistortionUI \
{
set ::DistortionUI::StateUI(range_selection)  {AR}
set ::DistortionUI::StateUI(ref_mode)         {OFF}
}

# Save of DvmUI
::SavedStates::Catch_errs DvmUI \
{
set ::DvmUI::StateUI(hi_limit,on)  {0}
set ::DvmUI::StateUI(lo_limit,on)  {0}
set ::DvmUI::StateUI(range_selection,V)  {0}
set ::DvmUI::StateUI(range_selection,dBm)  {0}
set ::DvmUI::StateUI(ref_mode) {OFF}
}

# Save of PowerUI
::SavedStates::Catch_errs PowerUI \
{
set ::PowerUI::StateUI(range,auto_txt) {}
set ::PowerUI::StateUI(range,auto)     {0}
set ::PowerUI::StateUI(units)          {W}
set ::PowerUI::StateUI(cable_loss)     {0.0}

set ::PowerUI::StateUI(range,W)             {1}
set ::PowerUI::StateUI(range,dBm)           {0}
set ::PowerUI::StateUI(range_selection,W)   {0}
set ::PowerUI::StateUI(range_selection,dBm) {0}
}

# Save of RferrUI
::SavedStates::Catch_errs RferrUI \
{
set ::RferrUI::StateUI(range_selection) {AR}
set ::RferrUI::StateUI(ref_mode)        {OFF}
}

# Save of SinadUI
::SavedStates::Catch_errs SinadUI \
{
set ::SinadUI::StateUI(range_selection)  {AR}
set ::SinadUI::StateUI(ref_mode)         {OFF}
}

# Save of RssiUI
::SavedStates::Catch_errs RssiUI \
{
set ::RssiUI::StateUI(range,auto_txt) {}
set ::RssiUI::StateUI(range,auto)     {1}
set ::RssiUI::StateUI(units)          {dB}
set ::RssiUI::StateUI(cable_loss)     {0.0}
}

# Save of GeneratorUI
::SavedStates::Catch_errs GeneratorUI \
{
set ::GeneratorUI::levelunit               {dBm}
set ::GeneratorUI::StateUI(chanmode)	      {FREQ}
set ::ReceiverUI::StateUI(list_freq_index) {0}
set ::GeneratorUI::StateUI(sweepstart)     {200.000000}
set ::GeneratorUI::StateUI(sweepstop)      {500.000000}
set ::GeneratorUI::StateUI(sweeprate)      {0.50}
set ::GeneratorUI::StateUI(sweepincr)      {45.000000}
set ::GeneratorUI::StateUI(incrfreq)       {45.000000}
set ::GeneratorUI::StateUI(voice_source)   {M1}

set ::GeneratorUI::fgen_mode(3)   {OFF}
set ::GeneratorUI::fgen_mode(4)   {OFF}
namespace inscope ::GeneratorUI {
if {$StateUI(chanmode) == "LIST"}  {
get_list_freq
}
}}

# Save of DownlinkUI
::SavedStates::Catch_errs DownlinkUI \
{
}

# Save of P25_Repeat_SimUI
::SavedStates::Catch_errs P25_Repeat_SimUI \
{
}

# Save of P25_ScannerUI
::SavedStates::Catch_errs P25_ScannerUI \
{
}

# Save of ReceiverUI
::SavedStates::Catch_errs ReceiverUI \
{
set ::ReceiverUI::StateUI(mode)      {FREQ}
set ::ReceiverUI::StateUI(incrfreq)  {45.0000}
set ::ReceiverUI::StateUI(scanincr)  {45.0000}
set ::ReceiverUI::StateUI(scanrate)  {0.50}
set ::ReceiverUI::StateUI(scanstart) {100.0000}
set ::ReceiverUI::StateUI(scanstop)  {500.0000}
set ::ReceiverUI::StateUI(scanmode)  {START}
set ::ReceiverUI::StateUI(scanon)    {0}
set ::ReceiverUI::StateUI(scanpause) {0}
namespace inscope ::ReceiverUI {
if {$StateUI(mode) == "LIST"}  {
get_list_freq
}
}}

# Save of AnalyzerUI
::SavedStates::Catch_errs AnalyzerUI \
{
set ::AnalyzerUI::StateUI(units)     {dBm}
set ::AnalyzerUI::StateUI(mode)      {LIVE}
set ::AnalyzerUI::StateUI(bw_type)   {CHANNEL}
set ::AnalyzerUI::prev_screen        {}
}

# Save of Anlz_MarkersUI
::SavedStates::Catch_errs Anlz_MarkersUI \
{
set ::Anlz_MarkersUI::StateUI(marker,0,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,0,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,0,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,0,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,0,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,1,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,1,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,1,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,1,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,1,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,2,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,2,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,2,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,2,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,2,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,3,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,3,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,3,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,3,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,3,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,4,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,4,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,4,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,4,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,4,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,5,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,5,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,5,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,5,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,5,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,6,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,6,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,6,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,6,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,6,time)  {0.00}
set ::Anlz_MarkersUI::StateUI(marker,7,state)   {OFF}
set ::Anlz_MarkersUI::StateUI(marker,7,orient)   {VERT}
set ::Anlz_MarkersUI::StateUI(marker,7,freq)   {0.000000}
set ::Anlz_MarkersUI::StateUI(marker,7,mag)   {0.00}
set ::Anlz_MarkersUI::StateUI(marker,7,time)  {0.00}
}

# Save of ScopeUI
::SavedStates::Catch_errs ScopeUI \
{
namespace eval ::ScopeUI  {
array set StateUI  {
mdyn,triglev 0.000 OFF,triglev 0.0 mect,triglev 0.000 demod,triglev 0.0 bal,triglev 0.000 baseband,triglev 0.0 squelched,triglev 0.000 ext,triglev 0.000 ch1,triglev 0.0 ch2,triglev 0.000 aud,triglev 0.000
mdyn,horiz 0.0 mect,horiz 0.0 demod,horiz 0.0 squelched,horiz 0.0 OFF,horiz 0.0 aud,horiz 0.0 ch2,horiz 0.0 bal,horiz 0.0 ch1,horiz 0.0
ch1,vpos 0 squelched,vpos 0 baseband,vpos 0 bal,vpos 0 mect,vpos 0 demod,vpos 0 ch2,vpos 0 mdyn,vpos 0 aud,vpos 0
baseband,scale 1 ch2,scale 1 bal,scale 1 ch1,scale 1 mdyn,scale 1 mect,scale 1 demod,scale 1 squelched,scale 1 ext,scale .25 aud,scale 1
marker,1,orient VERT marker,4,orient VERT marker,3,orient VERT marker,2,orient VERT
marker,4,state OFF marker,3,state OFF marker,2,state OFF marker,1,state OFF
marker,diff1,1 1 marker,diff2,1 1
marker,diff1,2 1 marker,diff2,2 1
marker,1,mag 0.00 marker,diff2,mag { 0.000} marker,3,mag 0.00 marker,diff1,mag { 0.000} marker,2,mag 0.00 marker,4,mag 0.00

source {CH 1}
}
}
}

# Save of SzSnet_Repeat_SimUI
::SavedStates::Catch_errs SzSnet_Repeat_SimUI \
{
set ::SzSnet_Repeat_SimUI::StateUI(num_format)     {HEX}
set ::SzSnet_Repeat_SimUI::StateUI(xmit_dev)       {3200}
set ::SzSnet_Repeat_SimUI::StateUI(xmit_dev_desc)  {WIDE}
set ::SzSnet_Repeat_SimUI::StateUI(NAC_hex)        {000}
set ::SzSnet_Repeat_SimUI::StateUI(MFID_hex)       {00}
}

# Save of SzSnet_ScannerUI
::SavedStates::Catch_errs SzSnet_ScannerUI \
{
set ::SzSnet_ScannerUI::StateUI(start)  {300}
set ::SzSnet_ScannerUI::StateUI(stop)   {400}
}

# Save of SzSnet_ConfigUI
::SavedStates::Catch_errs SzSnet_ConfigUI \
{
set ::SzSnet_ConfigUI::StateUI(tx_start,0)   {}
set ::SzSnet_ConfigUI::StateUI(tx_stop,0)   {}
set ::SzSnet_ConfigUI::StateUI(tx_space,0)   {}
set ::SzSnet_ConfigUI::StateUI(rx_start,0)   {}
set ::SzSnet_ConfigUI::StateUI(rx_stop,0)   {}
set ::SzSnet_ConfigUI::StateUI(rx_space,0)   {}
set ::SzSnet_ConfigUI::StateUI(tx_start,1)   {}
set ::SzSnet_ConfigUI::StateUI(tx_stop,1)   {}
set ::SzSnet_ConfigUI::StateUI(tx_space,1)   {}
set ::SzSnet_ConfigUI::StateUI(rx_start,1)   {}
set ::SzSnet_ConfigUI::StateUI(rx_stop,1)   {}
set ::SzSnet_ConfigUI::StateUI(rx_space,1)   {}
set ::SzSnet_ConfigUI::StateUI(tx_start,2)   {}
set ::SzSnet_ConfigUI::StateUI(tx_stop,2)   {}
set ::SzSnet_ConfigUI::StateUI(tx_space,2)   {}
set ::SzSnet_ConfigUI::StateUI(rx_start,2)   {}
set ::SzSnet_ConfigUI::StateUI(rx_stop,2)   {}
set ::SzSnet_ConfigUI::StateUI(rx_space,2)   {}
set ::SzSnet_ConfigUI::StateUI(user_band)   {TEST 1}
set ::SzSnet_ConfigUI::StateUI(user_chan_list)   { 0  1  2  3  4  5  6 }
set ::SzSnet_ConfigUI::StateUI(user_chan_no)   {0}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,0)   {937.000000}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,0)   {898.000000}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,1)   {937.500000}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,1)   {898.500000}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,2)   {935.437500}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,2)   {896.437500}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,3)   {935.425000}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,3)   {896.425000}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,4)   {935.412500}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,4)   {896.412500}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,5)   {935.400000}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,5)   {896.400000}
set ::SzSnet_ConfigUI::StateUI(user_tx_freq,6)   {935.387500}
set ::SzSnet_ConfigUI::StateUI(user_rx_freq,6)   {896.387500}
}

# Save of EVM_DataUI
::SavedStates::Catch_errs EVM_DataUI \
{
}

# Save of EVM_PlotUI
::SavedStates::Catch_errs EVM_PlotUI \
{
set ::EVM_PlotUI::StateUI(persistence) {OFF}
set ::EVM_PlotUI::StateUI(traj_on_off) {ON}
set ::EVM_PlotUI::StateUI(const_on_off) {ON}
}

# Save of Tone_Signal_DecodeUI
::SavedStates::Catch_errs Tone_Signal_DecodeUI \
{
set ::Tone_Signal_DecodeUI::StateUI(mode)  {OFF}
}

# Save of LTR_Repeat_SimUI
::SavedStates::Catch_errs LTR_Repeat_SimUI \
{
array set ::LTR_Repeat_SimUI::StateUI  {
display_menu { "TRANSMIT SETUP"  "RECEIVED DATA" } display {TRANSMIT SETUP}
}
}

# Save of LTR_Radio_SimUI
::SavedStates::Catch_errs LTR_Radio_SimUI \
{
array set ::LTR_Radio_SimUI::StateUI  {
display_menu { "TRANSMIT SETUP"  "RECEIVED DATA" } display {TRANSMIT SETUP}
}
}

# Save of LTR_Sim_ConfigUI
::SavedStates::Catch_errs LTR_Sim_ConfigUI \
{
set ::LTR_Sim_ConfigUI::StateUI(1,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(1,freq_tx)   {851.0125}
set ::LTR_Sim_ConfigUI::StateUI(1,freq_rx)   {806.0125}
set ::LTR_Sim_ConfigUI::StateUI(1,fcc)   {1}
set ::LTR_Sim_ConfigUI::StateUI(1,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(2,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(2,freq_tx)   {851.0375}
set ::LTR_Sim_ConfigUI::StateUI(2,freq_rx)   {806.0375}
set ::LTR_Sim_ConfigUI::StateUI(2,fcc)   {2}
set ::LTR_Sim_ConfigUI::StateUI(2,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(3,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(3,freq_tx)   {851.0625}
set ::LTR_Sim_ConfigUI::StateUI(3,freq_rx)   {806.0625}
set ::LTR_Sim_ConfigUI::StateUI(3,fcc)   {3}
set ::LTR_Sim_ConfigUI::StateUI(3,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(4,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(4,freq_tx)   {851.0875}
set ::LTR_Sim_ConfigUI::StateUI(4,freq_rx)   {806.0875}
set ::LTR_Sim_ConfigUI::StateUI(4,fcc)   {4}
set ::LTR_Sim_ConfigUI::StateUI(4,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(5,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(5,freq_tx)   {851.1125}
set ::LTR_Sim_ConfigUI::StateUI(5,freq_rx)   {806.1125}
set ::LTR_Sim_ConfigUI::StateUI(5,fcc)   {5}
set ::LTR_Sim_ConfigUI::StateUI(5,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(6,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(6,freq_tx)   {851.1375}
set ::LTR_Sim_ConfigUI::StateUI(6,freq_rx)   {806.1375}
set ::LTR_Sim_ConfigUI::StateUI(6,fcc)   {6}
set ::LTR_Sim_ConfigUI::StateUI(6,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(7,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(7,freq_tx)   {851.1625}
set ::LTR_Sim_ConfigUI::StateUI(7,freq_rx)   {806.1625}
set ::LTR_Sim_ConfigUI::StateUI(7,fcc)   {7}
set ::LTR_Sim_ConfigUI::StateUI(7,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(8,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(8,freq_tx)   {851.1875}
set ::LTR_Sim_ConfigUI::StateUI(8,freq_rx)   {806.1875}
set ::LTR_Sim_ConfigUI::StateUI(8,fcc)   {8}
set ::LTR_Sim_ConfigUI::StateUI(8,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(9,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(9,freq_tx)   {851.2125}
set ::LTR_Sim_ConfigUI::StateUI(9,freq_rx)   {806.2125}
set ::LTR_Sim_ConfigUI::StateUI(9,fcc)   {9}
set ::LTR_Sim_ConfigUI::StateUI(9,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(10,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(10,freq_tx)   {851.2375}
set ::LTR_Sim_ConfigUI::StateUI(10,freq_rx)   {806.2375}
set ::LTR_Sim_ConfigUI::StateUI(10,fcc)   {10}
set ::LTR_Sim_ConfigUI::StateUI(10,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(11,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(11,freq_tx)   {851.2625}
set ::LTR_Sim_ConfigUI::StateUI(11,freq_rx)   {806.2625}
set ::LTR_Sim_ConfigUI::StateUI(11,fcc)   {11}
set ::LTR_Sim_ConfigUI::StateUI(11,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(12,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(12,freq_tx)   {851.2875}
set ::LTR_Sim_ConfigUI::StateUI(12,freq_rx)   {806.2875}
set ::LTR_Sim_ConfigUI::StateUI(12,fcc)   {12}
set ::LTR_Sim_ConfigUI::StateUI(12,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(13,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(13,freq_tx)   {851.3125}
set ::LTR_Sim_ConfigUI::StateUI(13,freq_rx)   {806.3125}
set ::LTR_Sim_ConfigUI::StateUI(13,fcc)   {13}
set ::LTR_Sim_ConfigUI::StateUI(13,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(14,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(14,freq_tx)   {851.3375}
set ::LTR_Sim_ConfigUI::StateUI(14,freq_rx)   {806.3375}
set ::LTR_Sim_ConfigUI::StateUI(14,fcc)   {14}
set ::LTR_Sim_ConfigUI::StateUI(14,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(15,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(15,freq_tx)   {851.3625}
set ::LTR_Sim_ConfigUI::StateUI(15,freq_rx)   {806.3625}
set ::LTR_Sim_ConfigUI::StateUI(15,fcc)   {15}
set ::LTR_Sim_ConfigUI::StateUI(15,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(16,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(16,freq_tx)   {851.3875}
set ::LTR_Sim_ConfigUI::StateUI(16,freq_rx)   {806.3875}
set ::LTR_Sim_ConfigUI::StateUI(16,fcc)   {16}
set ::LTR_Sim_ConfigUI::StateUI(16,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(17,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(17,freq_tx)   {851.4125}
set ::LTR_Sim_ConfigUI::StateUI(17,freq_rx)   {806.4125}
set ::LTR_Sim_ConfigUI::StateUI(17,fcc)   {17}
set ::LTR_Sim_ConfigUI::StateUI(17,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(18,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(18,freq_tx)   {851.4375}
set ::LTR_Sim_ConfigUI::StateUI(18,freq_rx)   {806.4375}
set ::LTR_Sim_ConfigUI::StateUI(18,fcc)   {18}
set ::LTR_Sim_ConfigUI::StateUI(18,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(19,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(19,freq_tx)   {851.4625}
set ::LTR_Sim_ConfigUI::StateUI(19,freq_rx)   {806.4625}
set ::LTR_Sim_ConfigUI::StateUI(19,fcc)   {19}
set ::LTR_Sim_ConfigUI::StateUI(19,border_bit)   {0}
set ::LTR_Sim_ConfigUI::StateUI(20,band)   {800}
set ::LTR_Sim_ConfigUI::StateUI(20,freq_tx)   {851.4875}
set ::LTR_Sim_ConfigUI::StateUI(20,freq_rx)   {806.4875}
set ::LTR_Sim_ConfigUI::StateUI(20,fcc)   {20}
set ::LTR_Sim_ConfigUI::StateUI(20,border_bit)   {0}
}

# Save of Audio_AnalyzerUI
::SavedStates::Catch_errs Audio_AnalyzerUI \
{
}

# Save of Audio_Anlz_MarkersUI
::SavedStates::Catch_errs Audio_Anlz_MarkersUI \
{
set ::Audio_Anlz_MarkersUI::StateUI(marker,0,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,0,mag) {0.00}
set ::Audio_Anlz_MarkersUI::StateUI(marker,1,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,1,mag) {0.00}
set ::Audio_Anlz_MarkersUI::StateUI(marker,2,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,2,mag) {0.00}
set ::Audio_Anlz_MarkersUI::StateUI(marker,3,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,3,mag) {0.00}
set ::Audio_Anlz_MarkersUI::StateUI(marker,4,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,4,mag) {0.00}
set ::Audio_Anlz_MarkersUI::StateUI(marker,5,orient) {VERT}
set ::Audio_Anlz_MarkersUI::StateUI(marker,5,mag) {0.00}
}

# Save of Analog_Simul_App
::SavedStates::Catch_errs Analog_Simul_App \
{
# Motorola Simulcast Measurement Application
set ::Analog_Simul_App::StateUI(state)  {OFF}

set ::Analog_Simul_App::StateUI(upper_limit)  {0.3}
set ::Analog_Simul_App::StateUI(lower_limit)  {-0.3}

set ::Analog_Simul_App::StateUI(fgen,level)  {1.000}
set ::Analog_Simul_App::StateUI(fgen,rate)   {28000}
set ::Analog_Simul_App::StateUI(fgen,omega)  {150}
}

# Save of BerMtrUI
::SavedStates::Catch_errs BerMtrUI \
{
set ::BerMtrUI::StateUI(range_selection)  {AR}
set ::BerMtrUI::StateUI(ref_mode)         {OFF}
}

# Save of Passport_Sim_ConfigUI
::SavedStates::Catch_errs Passport_Sim_ConfigUI \
{
if [IFR_options is_installed PASSPORT] {
array set Passport_Sim_ConfigUI::StateUI {         1,dfa {1}
1,chan_tx {1}
1,freq_tx {150.775000}
1,chan_rx {1}
1,freq_rx {150.775000}
2,dfa {2}
2,chan_tx {1}
2,freq_tx {150.775000}
2,chan_rx {1}
2,freq_rx {150.775000}
3,dfa {3}
3,chan_tx {1}
3,freq_tx {150.775000}
3,chan_rx {1}
3,freq_rx {150.775000}
4,dfa {4}
4,chan_tx {1}
4,freq_tx {150.775000}
4,chan_rx {1}
4,freq_rx {150.775000}
5,dfa {5}
5,chan_tx {1}
5,freq_tx {150.775000}
5,chan_rx {1}
5,freq_rx {150.775000}
6,dfa {6}
6,chan_tx {1}
6,freq_tx {150.775000}
6,chan_rx {1}
6,freq_rx {150.775000}
7,dfa {7}
7,chan_tx {1}
7,freq_tx {150.775000}
7,chan_rx {1}
7,freq_rx {150.775000}
8,dfa {8}
8,chan_tx {1}
8,freq_tx {150.775000}
8,chan_rx {1}
8,freq_rx {150.775000}
9,dfa {9}
9,chan_tx {1}
9,freq_tx {150.775000}
9,chan_rx {1}
9,freq_rx {150.775000}
10,dfa {10}
10,chan_tx {1}
10,freq_tx {150.775000}
10,chan_rx {1}
10,freq_rx {150.775000}
11,dfa {11}
11,chan_tx {1}
11,freq_tx {150.775000}
11,chan_rx {1}
11,freq_rx {150.775000}
12,dfa {12}
12,chan_tx {1}
12,freq_tx {150.775000}
12,chan_rx {1}
12,freq_rx {150.775000}
13,dfa {13}
13,chan_tx {1}
13,freq_tx {150.775000}
13,chan_rx {1}
13,freq_rx {150.775000}
14,dfa {14}
14,chan_tx {1}
14,freq_tx {150.775000}
14,chan_rx {1}
14,freq_rx {150.775000}
15,dfa {15}
15,chan_tx {1}
15,freq_tx {150.775000}
15,chan_rx {1}
15,freq_rx {150.775000}
16,dfa {16}
16,chan_tx {1}
16,freq_tx {150.775000}
16,chan_rx {1}
16,freq_rx {150.775000}
17,dfa {17}
17,chan_tx {1}
17,freq_tx {150.775000}
17,chan_rx {1}
17,freq_rx {150.775000}
18,dfa {18}
18,chan_tx {1}
18,freq_tx {150.775000}
18,chan_rx {1}
18,freq_rx {150.775000}
19,dfa {19}
19,chan_tx {1}
19,freq_tx {150.775000}
19,chan_rx {1}
19,freq_rx {150.775000}
20,dfa {20}
20,chan_tx {1}
20,freq_tx {150.775000}
20,chan_rx {1}
20,freq_rx {150.775000}
21,dfa {21}
21,chan_tx {1}
21,freq_tx {150.775000}
21,chan_rx {1}
21,freq_rx {150.775000}
22,dfa {22}
22,chan_tx {1}
22,freq_tx {150.775000}
22,chan_rx {1}
22,freq_rx {150.775000}
23,dfa {23}
23,chan_tx {1}
23,freq_tx {150.775000}
23,chan_rx {1}
23,freq_rx {150.775000}
24,dfa {24}
24,chan_tx {1}
24,freq_tx {150.775000}
24,chan_rx {1}
24,freq_rx {150.775000}
25,dfa {25}
25,chan_tx {1}
25,freq_tx {150.775000}
25,chan_rx {1}
25,freq_rx {150.775000}
26,dfa {26}
26,chan_tx {1}
26,freq_tx {150.775000}
26,chan_rx {1}
26,freq_rx {150.775000}
27,dfa {27}
27,chan_tx {1}
27,freq_tx {150.775000}
27,chan_rx {1}
27,freq_rx {150.775000}
28,dfa {28}
28,chan_tx {1}
28,freq_tx {150.775000}
28,chan_rx {1}
28,freq_rx {150.775000}
29,dfa {29}
29,chan_tx {1}
29,freq_tx {150.775000}
29,chan_rx {1}
29,freq_rx {150.775000}
30,dfa {30}
30,chan_tx {1}
30,freq_tx {150.775000}
30,chan_rx {1}
30,freq_rx {150.775000}
}}}

#Begin screen save


# Save of View
::SavedStates::Catch_errs View \
{
}

# Save of Gen_Screen
::SavedStates::Catch_errs Gen_Screen \
{
set Gen_Screen::ActiveTiles { QtrScopeUI SinadUI DistortionUI DvmUI RssiUI }
}

# Save of Rec_Screen
::SavedStates::Catch_errs Rec_Screen \
{
set Rec_Screen::ActiveTiles { Analyzer_QtrUI SinadUI CounterUI Dev_C4fmUI RssiUI }
}

# Save of Duplex_Screen
::SavedStates::Catch_errs Duplex_Screen \
{
set Duplex_Screen::ActiveTiles { CounterUI Dev_C4fmUI RssiUI FGen_SmallUI }
}

# Save of AFGen_Screen
::SavedStates::Catch_errs AFGen_Screen \
{
set AFGen_Screen::ActiveTiles { SinadUI DistortionUI CounterUI DvmUI }
}

# Save of Scope_Screen
::SavedStates::Catch_errs Scope_Screen \
{
}

# Save of Analyzer_Screen
::SavedStates::Catch_errs Analyzer_Screen \
{
}

# Save of Analyzer_Channel_Screen
::SavedStates::Catch_errs Analyzer_Channel_Screen \
{
}

# Save of SmartNet_Screen
::SavedStates::Catch_errs SmartNet_Screen \
{
}

# Save of Audio_Analyzer_Screen
::SavedStates::Catch_errs Audio_Analyzer_Screen \
{
}

# Save of System_Screen
::SavedStates::Catch_errs System_Screen \
{
}

# Save of Auto_Test_2
::SavedStates::Catch_errs Auto_Test_2 \
{
set ::Auto_Test_2::test_radio_type_menu  { "ASTRO SABER"  "XTS-3000" }
set ::Auto_Test_2::test_radio_type       {ASTRO SABER}
set ::Auto_Test_2::test_type_menu        { "INCOMING RADIO"  "OUTGOING RADIO"  "RADIO STATUS CHANGE" }
set ::Auto_Test_2::test_type             {INCOMING RADIO}
set ::Auto_Test_2::abort_flag 1
set ::Auto_Test_2::test_enable(Test_Siren_PA) {0}
set ::Auto_Test_2::test_enable(Test_Squelch) {0}
set ::Auto_Test_2::test_enable(Test_Digital_Tx) {0}
set ::Auto_Test_2::test_enable(Test_Analog_Tx) {1}
set ::Auto_Test_2::test_enable(Test_MDC_1200) {0}
set ::Auto_Test_2::test_enable(Test_Digital_Rx) {0}
set ::Auto_Test_2::test_enable(Test_Analog_Rx) {1}
}

# Save of Manual_Test
::SavedStates::Catch_errs Manual_Test \
{
set ::Manual_Test::test_name_menu  { "GENERIC"  "SPECIFIC" }
}

# Save of Apps_Screen
::SavedStates::Catch_errs Apps_Screen \
{
}

# Save of User_Screen
::SavedStates::Catch_errs User_Screen \
{
set User_Screen::ActiveTiles { QtrScopeUI  Analyzer_QtrUI  MultimeterUI }
}
SavedStates::Finalize
