#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99,2000   DESIGN ENGINEERING    #
# --------------------------------------------------------------------------#
# FILE        : to_bbaudio.tcl                                              #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson/Steve White                                   #
# DESCRIPTION : Interface to FITS System Message Bus                        #
#                                                                           #
#############################################################################


#
#  Audio BB System Number
#
set BBAUDIO_ENGINE(SYSTEM_ID)      21

#
#  Audio BB Sub-Systems
#
#set BBAUDIO_ENGINE(SPKR_FILT)      1  removed due to HW changes
set BBAUDIO_ENGINE(DEMOD_FILT)      2
set BBAUDIO_ENGINE(FGEN_FILT)       3
set BBAUDIO_ENGINE(FGEN_BALANCE)    4
set BBAUDIO_ENGINE(FGEN_LEV)        5
set BBAUDIO_ENGINE(SINAD_BALANCE)   6
set BBAUDIO_ENGINE(MIC_BIAS)        7
set BBAUDIO_ENGINE(MIC_PTT_DUMMY)   8
#set BBAUDIO_ENGINE(L1_FMT)          9 removed, used in Gen & Rec modules
set BBAUDIO_ENGINE(L1_LOOPB)       10
set BBAUDIO_ENGINE(AUDIO_ROUTE)    11
set BBAUDIO_ENGINE(CLR_ROUTE)      12
set BBAUDIO_ENGINE(AUDIO_FILE)     13
set BBAUDIO_ENGINE(SPKR_ADJ)       14
set BBAUDIO_ENGINE(SPKR_VOL)       15
set BBAUDIO_ENGINE(UUT_DIG_OUT)    16
set BBAUDIO_ENGINE(UUT_DIG_INPUT)  17
set BBAUDIO_ENGINE(DIG_IN_AUTO)    18
set BBAUDIO_ENGINE(UUT_VOUT_ADJ)   19
set BBAUDIO_ENGINE(UUT_VOUT_PUT)   20
set BBAUDIO_ENGINE(BBAUDIO_INFO)   21
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE00)   22
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE01)   23
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE02)   24
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE03)   25
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE04)   26
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE05)   27
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE06)   28
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE07)   29
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE08)   30
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE09)   31
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE10)   32
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE11)   33
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE12)   34
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE13)   35
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE14)   36
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE15)   37
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE16)   38
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE17)   39
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE18)   40
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE19)   41
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE20)   42
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE21)   43
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE22)   44
set BBAUDIO_ENGINE(SETARMROUTE_IN_DEVICE23)   45
set BBAUDIO_ENGINE(SET_SCALAR_VALUE)          46
set BBAUDIO_ENGINE(GENERIC_METER00)           47
set BBAUDIO_ENGINE(GENERIC_METER01)           48
set BBAUDIO_ENGINE(GENERIC_METER02)           49
set BBAUDIO_ENGINE(GENERIC_METER03)           50
set BBAUDIO_ENGINE(GENERIC_METER04)           51
set BBAUDIO_ENGINE(GENERIC_METER05)           52
set BBAUDIO_ENGINE(GENERIC_METER06)           53
set BBAUDIO_ENGINE(GENERIC_METER07)           54
set BBAUDIO_ENGINE(GENERIC_METER08)           55
set BBAUDIO_ENGINE(SPKR_VOL_PERCENT_SET)      56
set BBAUDIO_ENGINE(SPKR_VOL_PERCENT_SET_TEMP) 57
set BBAUDIO_ENGINE(SPKR_VOL_RESTORE)          58
set BBAUDIO_ENGINE(SQUELCH_VALUE)             59
set BBAUDIO_ENGINE(SQUELCH_MODE)              60
set BBAUDIO_ENGINE(SQUELCH_STATUS)            61

#
#  Routing state tables
#
set BBAUDIO_ENGINE(L1.SPKR)         0
set BBAUDIO_ENGINE(L1.DEMOD)        0
set BBAUDIO_ENGINE(L1.FGEN)         0
set BBAUDIO_ENGINE(L1.L1)     0
set BBAUDIO_ENGINE(L1.USER0)      0
set BBAUDIO_ENGINE(L1.USER1)      0

set BBAUDIO_ENGINE(MIC.SPKR)        0
set BBAUDIO_ENGINE(MIC.DEMOD)       0
set BBAUDIO_ENGINE(MIC.FGEN)        0
set BBAUDIO_ENGINE(MIC.L1)          0
set BBAUDIO_ENGINE(MIC.USER0)     0
set BBAUDIO_ENGINE(MIC.USER1)     0

set BBAUDIO_ENGINE(SINAD.SPKR)      0
set BBAUDIO_ENGINE(SINAD.DEMOD)     0
set BBAUDIO_ENGINE(SINAD.FGEN)      0
set BBAUDIO_ENGINE(SINAD.L1)        0
set BBAUDIO_ENGINE(SINAD.USER0)     0
set BBAUDIO_ENGINE(SINAD.USER1)     0

set BBAUDIO_ENGINE(FILE.SPKR)       0
set BBAUDIO_ENGINE(FILE.DEMOD)      0
set BBAUDIO_ENGINE(FILE.FGEN)       0
set BBAUDIO_ENGINE(FILE.L1)         0
set BBAUDIO_ENGINE(FILE.USER0)      0
set BBAUDIO_ENGINE(FILE.USER1)      0

set BBAUDIO_ENGINE(FGEN0.SPKR)      0
set BBAUDIO_ENGINE(FGEN0.DEMOD)     0
set BBAUDIO_ENGINE(FGEN0.FGEN)      0
set BBAUDIO_ENGINE(FGEN0.L1)        0
set BBAUDIO_ENGINE(FGEN0.USER0)     0
set BBAUDIO_ENGINE(FGEN0.USER1)     0

set BBAUDIO_ENGINE(FGEN1.SPKR)      0
set BBAUDIO_ENGINE(FGEN1.DEMOD)     0
set BBAUDIO_ENGINE(FGEN1.FGEN)      0
set BBAUDIO_ENGINE(FGEN1.L1)        0
set BBAUDIO_ENGINE(FGEN1.USER0)     0
set BBAUDIO_ENGINE(FGEN1.USER1)     0

set BBAUDIO_ENGINE(FGEN2.SPKR)      0
set BBAUDIO_ENGINE(FGEN2.DEMOD)     0
set BBAUDIO_ENGINE(FGEN2.FGEN)      0
set BBAUDIO_ENGINE(FGEN2.L1)        0
set BBAUDIO_ENGINE(FGEN2.USER0)     0
set BBAUDIO_ENGINE(FGEN2.USER1)     0

set BBAUDIO_ENGINE(FGEN3.SPKR)      0
set BBAUDIO_ENGINE(FGEN3.DEMOD)     0
set BBAUDIO_ENGINE(FGEN3.FGEN)      0
set BBAUDIO_ENGINE(FGEN3.L1)        0
set BBAUDIO_ENGINE(FGEN3.USER0)     0
set BBAUDIO_ENGINE(FGEN3.USER1)     0

set BBAUDIO_ENGINE(FGEN4.SPKR)      0
set BBAUDIO_ENGINE(FGEN4.DEMOD)     0
set BBAUDIO_ENGINE(FGEN4.FGEN)      0
set BBAUDIO_ENGINE(FGEN4.L1)        0
set BBAUDIO_ENGINE(FGEN4.USER0)     0
set BBAUDIO_ENGINE(FGEN4.USER1)     0

set BBAUDIO_ENGINE(USER0.SPKR)      0
set BBAUDIO_ENGINE(USER0.DEMOD)     0
set BBAUDIO_ENGINE(USER0.FGEN)      0
set BBAUDIO_ENGINE(USER0.L1)        0
set BBAUDIO_ENGINE(USER0.USER0)     0
set BBAUDIO_ENGINE(USER0.USER1)     0

set BBAUDIO_ENGINE(USER1.SPKR)      0
set BBAUDIO_ENGINE(USER1.DEMOD)     0
set BBAUDIO_ENGINE(USER1.FGEN)      0
set BBAUDIO_ENGINE(USER1.L1)        0
set BBAUDIO_ENGINE(USER1.USER0)     0
set BBAUDIO_ENGINE(USER1.USER1)     0

set BBAUDIO_ENGINE(USER2.SPKR)      0
set BBAUDIO_ENGINE(USER2.DEMOD)     0
set BBAUDIO_ENGINE(USER2.FGEN)      0
set BBAUDIO_ENGINE(USER2.L1)        0
set BBAUDIO_ENGINE(USER2.USER0)     0
set BBAUDIO_ENGINE(USER2.USER1)     0

set BBAUDIO_ENGINE(USER3.SPKR)      0
set BBAUDIO_ENGINE(USER3.DEMOD)     0
set BBAUDIO_ENGINE(USER3.FGEN)      0
set BBAUDIO_ENGINE(USER3.L1)        0
set BBAUDIO_ENGINE(USER3.USER0)     0
set BBAUDIO_ENGINE(USER3.USER1)     0

set BBAUDIO_ENGINE(USER4.SPKR)      0
set BBAUDIO_ENGINE(USER4.DEMOD)     0
set BBAUDIO_ENGINE(USER4.FGEN)      0
set BBAUDIO_ENGINE(USER4.L1)        0
set BBAUDIO_ENGINE(USER4.USER0)     0
set BBAUDIO_ENGINE(USER4.USER1)     0

set BBAUDIO_ENGINE(USER5.SPKR)      0
set BBAUDIO_ENGINE(USER5.DEMOD)     0
set BBAUDIO_ENGINE(USER5.FGEN)      0
set BBAUDIO_ENGINE(USER5.L1)        0
set BBAUDIO_ENGINE(USER5.USER0)     0
set BBAUDIO_ENGINE(USER5.USER1)     0

set BBAUDIO_ENGINE(spkr.filter)     0
set BBAUDIO_ENGINE(demod.filter)    0


set BBAUDIO_ROUTE(USER0)  "NONE"
set BBAUDIO_ROUTE(USER1)  "NONE"
set BBAUDIO_ROUTE(USER2)  "NONE"
set BBAUDIO_ROUTE(USER3)  "NONE"
set BBAUDIO_ROUTE(USER4)  "NONE"
set BBAUDIO_ROUTE(USER5)  "NONE"
set BBAUDIO_ROUTE(AFCTR)  "NONE"
set BBAUDIO_ROUTE(SINAD)  "NONE"
set BBAUDIO_ROUTE(SCOPE)  "NONE"
set BBAUDIO_ROUTE(SCALAR) "NONE"
set BBAUDIO_ROUTE(MF4)    "NONE"
set BBAUDIO_ROUTE(MF5)    "NONE"
set BBAUDIO_ROUTE(MF6)    "NONE"
set BBAUDIO_ROUTE(MF7)    "NONE"
set BBAUDIO_ROUTE(MF8)    "NONE"



#
# Digital Input state variables
#
set BBAUDIO_ENGINE(handle_dig_input)      0
set BBAUDIO_ENGINE(handle_squelch_level)  0
set BBAUDIO_ENGINE(handle_squelch_mode)   0
set BBAUDIO_ENGINE(handle_squelch_status) 0
set BBAUDIO_ENGINE(dig_rate)        300
set BBAUDIO_ENGINE(DigIn1)           0
set BBAUDIO_ENGINE(DigIn2)           0
set BBAUDIO_ENGINE(DigIn3)           0
set BBAUDIO_ENGINE(DigIn4)           0
set BBAUDIO_ENGINE(SerIn1)           0
set BBAUDIO_ENGINE(SquelchModeIn)    0
set BBAUDIO_ENGINE(SquelchStatusIn)  0
set BBAUDIO_ENGINE(SquelchLevelIn)   0


font create bbaudio_font -family helvetica -size 8


#############################################################################
#                                                                           #
#                       Message Bus Interfaces                              #
#                                                                           #
#############################################################################


#
#  Message bus callback - fill in supplied structure
#
proc handle_bbaudio_dig_input {sys sub lun flags uid state type } {
  global BBAUDIO_ENGINE

#puts "bbaudio msg:  $uid   $state $type"

  if { $type == 1 } { set BBAUDIO_ENGINE(DigIn1) [ expr { $state & 1 ? 1 : 0 }] }

  if { $type == 2 } { set BBAUDIO_ENGINE(DigIn2) [ expr { $state & 2 ? 1 : 0 }]  }

  if { $type == 4 } { set BBAUDIO_ENGINE(DigIn3) [ expr { $state & 4 ? 1 : 0 }]  }

  if { $type == 8 } { set BBAUDIO_ENGINE(DigIn4) [ expr { $state & 8 ? 1 : 0 }]  }

  if { $type == 16 } { set BBAUDIO_ENGINE(SerIn1) [ expr { $state & 16 ? 1 : 0 }] }
}

proc handle_bbaudio_squelch_reply {sys sub lun flags uid reply } {
  global BBAUDIO_ENGINE

  if { $flags & 0x03 } { return }

  if { $sub == $BBAUDIO_ENGINE(SQUELCH_MODE) }   { set BBAUDIO_ENGINE(SquelchModeIn) $reply }
  if { $sub == $BBAUDIO_ENGINE(SQUELCH_STATUS) } { set BBAUDIO_ENGINE(SquelchStatusIn) $reply }
  if { $sub == $BBAUDIO_ENGINE(SQUELCH_VALUE) }  { set BBAUDIO_ENGINE(SquelchLevelIn) $reply }
}

#
#  Message bus interfaces for messages being generated FROM bbaudio engine
#
proc create_bbaudio_callback { } {
  global BBAUDIO_ENGINE

  set BBAUDIO_ENGINE(handle_dig_input) [tclMsgbus rcv handle \
                                  -sys $BBAUDIO_ENGINE(SYSTEM_ID) \
                                  -sub $BBAUDIO_ENGINE(UUT_DIG_INPUT) \
                                  -lun 1 -cmd "handle_bbaudio_dig_input" ]
  set BBAUDIO_ENGINE(handle_squelch_level) [tclMsgbus rcv handle \
                                  -sys $BBAUDIO_ENGINE(SYSTEM_ID) \
                                  -sub $BBAUDIO_ENGINE(SQUELCH_VALUE) \
                                  -lun 1 -cmd "handle_bbaudio_squelch_reply" ]
  set BBAUDIO_ENGINE(handle_squelch_mode) [tclMsgbus rcv handle \
                                  -sys $BBAUDIO_ENGINE(SYSTEM_ID) \
                                  -sub $BBAUDIO_ENGINE(SQUELCH_MODE) \
                                  -lun 1 -cmd "handle_bbaudio_squelch_reply" ]
  set BBAUDIO_ENGINE(handle_squelch_status) [tclMsgbus rcv handle \
                                  -sys $BBAUDIO_ENGINE(SYSTEM_ID) \
                                  -sub $BBAUDIO_ENGINE(SQUELCH_STATUS) \
                                  -lun 1 -cmd "handle_bbaudio_squelch_reply" ]
}

#
#  Message bus interfaces - removed from use
#
proc destroy_bbaudio_callback { } {
  global BBAUDIO_ENGINE

  if {$BBAUDIO_ENGINE(handle_dig_input) != 0 } {
    tclMsgbus $BBAUDIO_ENGINE(handle_dig_input) destroy
  }
  if {$BBAUDIO_ENGINE(handle_squelch_level) != 0 } {
    tclMsgbus $BBAUDIO_ENGINE(handle_squelch_level) destroy
  }
  if {$BBAUDIO_ENGINE(handle_squelch_mode) != 0 } {
    tclMsgbus $BBAUDIO_ENGINE(handle_squelch_mode) destroy
  }
  if {$BBAUDIO_ENGINE(handle_squelch_status) != 0 } {
    tclMsgbus $BBAUDIO_ENGINE(handle_squelch_status) destroy
  }

  set BBAUDIO_ENGINE(handle_dig_input)      0
  set BBAUDIO_ENGINE(handle_squelch_level)  0
  set BBAUDIO_ENGINE(handle_squelch_mode)   0
  set BBAUDIO_ENGINE(handle_squelch_status) 0
}



#############################################################################
#                                                                           #
#                       Engine Interfaces                                   #
#                                                                           #
#############################################################################





#
#  BaseBand Audio - Layer-1 loop-back 
#      
#      Data coming from/going to the layer-1 DSP.
#
proc set_bbaudio_l1_loopb { type } {
  global BBAUDIO_ENGINE

  switch $type {
    OFF       { set x 0 }
    ON        { set x 1 }
    default { return }
   }

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(L1_LOOPB) 1 $x
}

#
#  Speaker volume control functions
#      o  Speaker volume range:  0 to 32
#      o  Basic control functions:
#         - Increment:  Allows simple interface for the volume control knob
#         - Adjust:  Allows a relative adjustment of the volume
#         - Set Absolute: Allows direct set to 0 - 32
#         - Set Percent:  Allows setting from 0 to 100% volume
#
proc incr_spkr_vol { dir } {
  global BBAUDIO_ENGINE

  switch $dir {
    UP { set vol  1 }
    DN { set vol -1 }
    default { return }
   } 

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SPKR_ADJ) 1 $vol
}

#
#  BaseBand Audio Engine - Adjust speaker volume relative
#     o This adjusts the volume relative to its current setting.
#     o Valid input range:  +/- 32
#     o Setting a relative volume of -32 will turn the speaker off.  Setting a 
#       relative volume to +32 will set the speaker at maximum volume.  
#
proc adjust_spkr_vol { level } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SPKR_ADJ) 1 $level
}

#
#  BaseBand Audio Engine - Set the default volume (turn speaker OFF)
#
proc set_default_volume { } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SPKR_ADJ) 1 -32
}


#
#  BaseBand Audio - Restore speaker volume to its previous value 
#
proc set_bbaudio_spkr_level_restore { } {
    global BBAUDIO_ENGINE

    message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SPKR_VOL_RESTORE) 1 0
}

#
#  BaseBand Audio - Set the squelch mode 
#
proc set_bbaudio_squelch_mode { mode } {
    global BBAUDIO_ENGINE

    switch $mode {
        AUTO { set squelch_mode  1 }
        SQUELCHED { set squelch_mode 2 }
        NOSQUELCH { set squelch_mode 3 }
        QUERY  { set squelch_mode 4 }
        default { return }
    } 
    
    message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SQUELCH_MODE) 1 $squelch_mode
}


#
#  BaseBand Audio - Request the squelch limit 
#
proc get_bbaudio_squelch_limit { } {
    global BBAUDIO_ENGINE

    set msg " { $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SQUELCH_VALUE) \
              1 0x42 } \
              { inline udword 0} "
    tclMsgbus send $msg
}

#
#  BaseBand UUT Digitial Output
#
#       BIT 0  - Digital Out 1 (Pin 9)
#       BIT 1  - Digital Out 2 (Pin 10)
#       BIT 2  - Digital Out 3 (Pin 11)
#       BIT 3  - Digital Out 4 (Pin 12)
#       BIT 4  - Serial  Out 1 (Pin 13)
#       BIT 5  - Vout Disable  (Pin 8)
#
proc set_bbaudio_uut_dig_out { state mask } {
  global Send_Flags
  global BBAUDIO_ENGINE

  set msg " { $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(UUT_DIG_OUT) \
              1 $Send_Flags } \
     { inline udword $state} { inline udword $mask } "

  tclMsgbus send $msg
}


#
#  BaseBand Get UUT Test Port Digital input pin state
#
proc get_bbaudio_uut_dig_input { type } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(UUT_DIG_INPUT) \
                  1 $type
}

#
#  BaseBand Auto Update for Digital input pins state 
#
proc set_bbaudio_uut_dig_in_auto { rate } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(DIG_IN_AUTO) \
                  1 $rate
}

#
#  BaseBand Auto Update for Digital input pins state 
#
proc set_bbaudio_uut_adj_test_voltage { vdc } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(UUT_VOUT_ADJ) \
                  1 $vdc
}

#
#  BaseBand Auto Update for Digital input pins state 
#
proc set_bbaudio_uut_adj_test_voltage { level } {
  global BBAUDIO_ENGINE

  message_bus_int $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(UUT_VOUT_PUT) \
                  1 $level
}

#
#  BaseBand Auto - enable/disable MB messages from DSP
#
proc set_bbaudio_enable { type } {
  global BBAUDIO_ENGINE

  switch $type {
    DIG_INPUT        - 
    DEMO             { set_bbaudio_uut_dig_in_auto $BBAUDIO_ENGINE(dig_rate) }
    OFF              { set_bbaudio_uut_dig_in_auto 0 }
    default          { return }
  }
}

#
#  Set up the scalar filter for the Sinad input
#
proc set_sinad_scalar { } {
    global BBAUDIO_ENGINE

    # Use a standard offset for unbalanced
    set sinad_multiplier 0.25

    if { $BBAUDIO_ENGINE(SINAD.input) == "BALANCED" } {

      if [catch { OpenCalFile sinadcal r } fileId] {
      } else {
        if { [ gets $fileId line ] >= 0} {
            set temp [lindex $line 1 ]  ;#expecting SCALAR value 
        }
        close $fileId
        set sinad_multiplier [expr $sinad_multiplier * $temp]
      }
    }

    message_bus_double $BBAUDIO_ENGINE(SYSTEM_ID) \
                       $BBAUDIO_ENGINE(SET_SCALAR_VALUE) \
                       1 $sinad_multiplier
}

proc set_scalar_test { value } {
    global BBAUDIO_ENGINE

    message_bus_double $BBAUDIO_ENGINE(SYSTEM_ID) $BBAUDIO_ENGINE(SET_SCALAR_VALUE) 1 $value

}
