#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99,2000   DESIGN ENGINEERING    #
# --------------------------------------------------------------------------#
# FILE        : screen_evm.tcl                                              #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : EVM Meter                                                   #
#                                                                           #
#############################################################################

package require C4fm

font create evms_font -family helvetica -size 8

#
#   build_EVM_meter_screen
#
proc build_EVM_meter_screen { name } {
  global bevms
  global EVM_STATUS
  global EVMMTR_SCREEN
  global DemoColor

set bevms $name

frame $bevms.head
frame $bevms.enable
frame $bevms.trig
frame $bevms.avg
frame $bevms.reading
frame $bevms.prec

#
# Set up Meter Enable / Disable buttons
#

radiobutton $bevms.enable.on  -text "Enabled" -font evms_font \
                      -command { C4fm run ON } \
                      -variable ::C4fm::State(run) \
                      -value ON
radiobutton $bevms.enable.off -text "Disabled" -font evms_font \
                      -command { C4fm run OFF } \
                      -variable ::C4fm::State(run) \
                      -value OFF
 
pack $bevms.enable.on   -side left -fill both -expand true
pack $bevms.enable.off  -side left -fill both -expand true

#
# Set up meter trigger
#

radiobutton $bevms.trig.one -text "One-Shot" -font evms_font \
                      -command { C4fm trig ONE_SHOT } \
                      -variable ::C4fm::State(trigger) \
                      -value ONE_SHOT
radiobutton $bevms.trig.cont -text "Continuous" -font evms_font \
                      -command { C4fm trig CONTINUOUS } \
                      -variable ::C4fm::State(trigger) \
                      -value CONTINUOUS
 
pack $bevms.trig.off   -side left -fill both -expand true
pack $bevms.trig.one   -side left -fill both -expand true
pack $bevms.trig.cont  -side left -fill both -expand true

#
#  Average Widget
#
label $bevms.avg.label -text "No. Samples"
entry $bevms.avg.entry -relief sunken  -width 8 \
                       -textvariable ::C4fm::State(average)

bind  $bevms.avg.entry  <Return> \
           { C4fm avg $::C4fm::State(average) }

pack $bevms.avg.label   -side left -fill both -expand true
pack $bevms.avg.entry   -side left -fill both -expand true


#
# Display the EVM meter output information
#
label $bevms.reading.label -text "EVM Data"
label $bevms.reading.entry -textvariable ::C4fm::State(reading)

pack $bevms.reading.label  -side top
pack $bevms.reading.entry  -side top


pack $bevms.prec.label  -side top
pack $bevms.prec.entry  -side top
#
#  Pack screen
#
pack $bevms.head        -side top
pack $bevms.enable      -side top
pack $bevms.trig        -side top
pack $bevms.avg         -side top
pack $bevms.reading     -side top
}

#
#  allow a manual reset of all hardware
#
proc reset_evm_hw { } {
    ::C4fm::DefaultSetup
    ::C4fm::QuickStart
}




