#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2000   DESIGN ENGINEERING           #
# --------------------------------------------------------------------------#
# FILE        : screen_evm.tcl                                              #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : Meter Version Information                                   #
#                                                                           #
#############################################################################

set ModuleVersion(Afctr_Eng) dummy
set ModuleVersion(Afctr_Drv) dummy
set ModuleVersion(Afctr_HW)  dummy
set ModuleVersion(C4fm_Eng)  dummy
set ModuleVersion(C4fm_Drv)  dummy
set ModuleVersion(Dvm_Eng)   dummy
set ModuleVersion(Dvm_Drv)   dummy
set ModuleVersion(Fmdev_Eng) dummy
set ModuleVersion(Fmdev_Drv) dummy
set ModuleVersion(Pt_Eng)    dummy
set ModuleVersion(Pt_Drv)    dummy
set ModuleVersion(Rff_Eng)   dummy
set ModuleVersion(Rff_Drv)   dummy
set ModuleVersion(Sinad_Eng) dummy
set ModuleVersion(Sinad_Drv) dummy
set ModuleVersion(Rlm_Eng)   dummy
set ModuleVersion(Rlm_Drv)   dummy
set ModuleVersion(Rec_Eng)   dummy
set ModuleVersion(Rec_Drv)   dummy
set ModuleVersion(Gen_Eng)   dummy
set ModuleVersion(Gen_Drv)   dummy
set ModuleVersion(Anlz_Eng)  dummy
set ModuleVersion(Anlz_Drv)  dummy
set ModuleVersion(BBa_Eng)   dummy
set ModuleVersion(BBa_Drv)   dummy
set ModuleVersion(Dcs_Eng)   dummy
set ModuleVersion(Dcs_Drv)   dummy
set ModuleVersion(Sco_Eng)   dummy
set ModuleVersion(Sco_Drv)   dummy
set ModuleVersion(P25r_Eng)  dummy
set ModuleVersion(P25r_Drv)  dummy
set ModuleVersion(P25t_Eng)  dummy
set ModuleVersion(P25t_Drv)  dummy

font create minfos_font -family helvetica -size 8


#*************************************************
#       Name: build_info_widget
# Parameters: 
#Description: 
#*************************************************
proc build_info_widget { path title eng dvr } {
  global ModuleVersion

  frame $path

  label $path.label -text $title   -width 15 -font tinybold
  entry $path.eng   -relief sunken -textvariable ModuleVersion($eng) -width 35
  entry $path.drv   -relief sunken -textvariable ModuleVersion($dvr) -width 35

  pack $path.label  -side left -fill both -expand true
  pack $path.eng    -side left -fill both -expand true
  pack $path.drv    -side left -fill both -expand true

  pack $path        -side top
}


#*************************************************
#       Name: build_meter_INFO_screen
# Parameters: 
#Description: 
#*************************************************
proc build_meter_INFO_screen { name } {
  global binfos
  global EVM_STATUS
  global ModuleVersion
  global DemoColor

  set binfos $name
  set path $binfos

  frame $binfos.reset
  frame $binfos.retrieve


  build_info_widget $path.rec  "Receiver"        Rec_Eng   Rec_Drv

  build_info_widget $path.gen  "RF Gen"          Gen_Eng   Gen_Drv

  build_info_widget $path.anlz "Analyzer"        Anlz_Eng  Anlz_Drv

  build_info_widget $path.scop "Scope"           Sco_Eng   Sco_Drv

  build_info_widget $path.afc  "AF Counter"      Afctr_Eng Afctr_Drv

  build_info_widget $path.cf4m "C4FM"            C4fm_Eng  C4fm_Drv

  build_info_widget $path.dcs  "Dcs"             Dcs_Eng   Dcs_Drv

  build_info_widget $path.dvm  "DVM"             Dvm_Eng   Dvm_Drv

  build_info_widget $path.fmdv "FM Deviation"    Fmdev_Eng Fmdev_Drv

  build_info_widget $path.pt   "Power Term"      Pt_Eng    Pt_Drv

  build_info_widget $path.rfc  "RF Freq Err"     Rff_Eng   Rff_Drv

  build_info_widget $path.sind "Sinad"           Sinad_Eng Sinad_Drv

  build_info_widget $path.rlm  "RL Meter"        Rlm_Eng   Rlm_Drv

  build_info_widget $path.bba  "BaseBand Audio"  BBa_Eng   BBa_Drv

  build_info_widget $path.p25r "P25 Receive"     P25r_Eng  P25r_Drv

  build_info_widget $path.p25g "P25 Generate"    P25t_Eng  P25t_Drv


  #
  # Reset button - to verify the retrieval process 
  #
  button $binfos.reset.label -text "Reset" -font minfos_font \
                           -command reset_info_screen
  pack $binfos.reset.label   -side top

  #
  # Retrieve button - access meter info data 
  #
  button $binfos.retrieve.label -text "Get Data" -font minfos_font \
                              -command get_meter_info
  pack $binfos.retrieve.label   -side top

  pack $binfos.reset       -side left
  pack $binfos.retrieve    -side left
}


#*************************************************
#       Name: get_meter_info
# Parameters: 
#Description: 
#*************************************************
proc get_meter_info { } {
  global ModuleVersion

  set ModuleVersion(BBa_Eng)   "Not Available"
  set ModuleVersion(BBa_Drv)   "Not Available"
  set ModuleVersion(Dvm_Eng)   "Not Available"
  set ModuleVersion(Dvm_Drv)   "Not Available"
  set ModuleVersion(Pt_Eng)    "Not Available"
  set ModuleVersion(Pt_Drv)    "Not Available"
  set ModuleVersion(P25r_Eng)  "Not Available"
  set ModuleVersion(P25r_Drv)  "Not Available"
  set ModuleVersion(P25t_Eng)  "Not Available"
  set ModuleVersion(P25t_Drv)  "Not Available"

  get_rlm_info

  set ModuleVersion(Rff_Eng)   [RFError ver 0]
  set ModuleVersion(Rff_Drv)   [RFError ver 1]
  set ModuleVersion(Sinad_Eng) [Sinad ver 0]
  set ModuleVersion(Sinad_Drv) [Sinad ver 1]
  set ModuleVersion(Dcs_Eng)   [Dcs ver 0]
  set ModuleVersion(Dcs_Drv)   [Dcs ver 1]
  set ModuleVersion(Fmdev_Eng) [FMDev ver 0]
  set ModuleVersion(Fmdev_Drv) [FMDev ver 1]
  set ModuleVersion(C4fm_Eng)  [Civ_fm ver 0]
  set ModuleVersion(C4fm_Drv)  [Civ_fm ver 1]
  set ModuleVersion(Afctr_Eng) [AFCounter ver 0]
  set ModuleVersion(Afctr_Drv) [AFCounter ver 1]

  set ModuleVersion(Rec_Eng)   [Receiver  idn 2]
  set ModuleVersion(Rec_Drv)   [Receiver  idn 1]
  set ModuleVersion(Gen_Eng)   [Generator idn 2]
  set ModuleVersion(Gen_Drv)   [Generator idn 1]
  set ModuleVersion(Anlz_Eng)  [Analyzer  ver 2]
  set ModuleVersion(Anlz_Drv)  [Analyzer  ver 1]
  set ModuleVersion(Sco_Eng)   [Scope     ver 1]
  set ModuleVersion(Sco_Drv)   [Scope     ver 2]
}

#*************************************************
#       Name: reset_info_screen
# Parameters: 
#Description: 
#*************************************************
proc reset_info_screen { } {
  global ModuleVersion

  set ModuleVersion(Afctr_Eng) reset
  set ModuleVersion(Afctr_Drv) reset
  set ModuleVersion(Afctr_HW)  reset
  set ModuleVersion(C4fm_Eng)  reset
  set ModuleVersion(C4fm_Drv)  reset
  set ModuleVersion(Dvm_Eng)   reset
  set ModuleVersion(Dvm_Drv)   reset
  set ModuleVersion(Fmdev_Eng) reset
  set ModuleVersion(Fmdev_Drv) reset
  set ModuleVersion(Pt_Eng)    reset
  set ModuleVersion(Pt_Drv)    reset
  set ModuleVersion(Rff_Eng)   reset
  set ModuleVersion(Rff_Drv)   reset
  set ModuleVersion(Sinad_Eng) reset
  set ModuleVersion(Sinad_Drv) reset
  set ModuleVersion(Rlm_Eng)   reset
  set ModuleVersion(Rlm_Drv)   reset
  set ModuleVersion(Rec_Eng)   reset
  set ModuleVersion(Rec_Drv)   reset
  set ModuleVersion(Gen_Eng)   reset
  set ModuleVersion(Gen_Drv)   reset
  set ModuleVersion(Anlz_Eng)  reset
  set ModuleVersion(Anlz_Drv)  reset
  set ModuleVersion(BBa_Eng)   reset
  set ModuleVersion(BBa_Drv)   reset
  set ModuleVersion(Dcs_Eng)   reset
  set ModuleVersion(Dcs_Drv)   reset
  set ModuleVersion(Sco_Eng)   reset
  set ModuleVersion(Sco_Drv)   reset
  set ModuleVersion(P25r_Eng)  reset
  set ModuleVersion(P25r_Drv)  reset
  set ModuleVersion(P25t_Eng)  reset
  set ModuleVersion(P25t_Drv)  reset
}



