#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99,2000   DESIGN ENGINEERING    #
# --------------------------------------------------------------------------#
# FILE        : screen_rff.tcl                                              #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : RF Frequency Error Meter                                    #
#                                                                           #
#############################################################################

font create rffs_font -family helvetica -size 10


#
#   build_RFF_meter_screen
#
proc build_RFF_meter_screen { name } {
  global brffms
  global DemoColor
  global rffs_font

set brffms $name

frame $brffms.head
frame $brffms.enable
frame $brffms.gate
frame $brffms.avg
frame $brffms.freq
frame $brffms.freqerr
frame $brffms.freqprec
frame $brffms.state


#
# Set up Meter Enable / Disable buttons
#

radiobutton $brffms.enable.on  -text "Enabled" -font rffs_font \
                      -command { RFError run ON } \
                      -variable ::RFError::State(run) \
                      -value ON
radiobutton $brffms.enable.off -text "Disabled" -font rffs_font \
                      -command { RFError run OFF } \
                      -variable ::RFError::State(run) \
                      -value OFF
 
pack $brffms.enable.on   -side left -fill both -expand true
pack $brffms.enable.off  -side left -fill both -expand true

#
# Set up meter gate
#

radiobutton $brffms.gate.tenth  -text "0.1 Sec Gate" -font rffs_font \
                      -command { RFError gate TenthSec } \
                      -variable ::RFError::State(gate) \
                      -value TenthSec
radiobutton $brffms.gate.one -text "1.0 Sec Gate" -font rffs_font \
                      -command { RFError gate OneSec } \
                      -variable ::RFError::State(gate) \
                      -value OneSec
 
pack $brffms.gate.tenth  -side left -fill both -expand true
pack $brffms.gate.one    -side left -fill both -expand true

#
#  Average Widget
#
label $brffms.avg.label -text "No. Samples"
entry $brffms.avg.entry -relief sunken  -width 8 \
                       -textvariable ::RFError::State(average)
bind  $brffms.avg.entry  <Return> \
           { RFError avg $::RFError::State(average) }
pack $brffms.avg.label   -side left -fill both -expand true
pack $brffms.avg.entry   -side left -fill both -expand true


#
# Display the RFF meter output information
#
label $brffms.freq.label -text "Frequency"
label $brffms.freq.entry -textvariable ::RFError::State(freq) -relief sunken

pack $brffms.freq.label  -side top
pack $brffms.freq.entry  -side top


label $brffms.freqerr.label -text "Freq Error"
label $brffms.freqerr.entry -textvariable ::RFError::State(freqErrRaw) -relief sunken

pack $brffms.freqerr.label  -side top
pack $brffms.freqerr.entry  -side top

label $brffms.freqprec.label -text "Precision"
label $brffms.freqprec.entry -textvariable ::RFError::State(freqErrPrec) -relief sunken

pack $brffms.freqprec.label  -side top
pack $brffms.freqprec.entry  -side top

label $brffms.state.label -text "Status"
label $brffms.state.entry -textvariable ::RFError::State(status) -relief sunken

pack $brffms.state.label  -side top
pack $brffms.state.entry  -side top

#
#  Pack screen
#
pack $brffms.head        -side top
pack $brffms.enable      -side top
pack $brffms.gate        -side top
pack $brffms.avg         -side top
pack $brffms.freq        -side top
pack $brffms.freqerr     -side top
pack $brffms.freqprec    -side top
pack $brffms.state       -side top
}

#
#  allow a manual reset of all hardware
#
proc reset_rff_hw { } {
    ::RFError::DefaultSetup
    ::RFError::QuickStart
}




