#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99      DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : to_color.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson                                               #
# DESCRIPTION : change widget color             		            #
#                                                                           #
#############################################################################

set ADJUSTCOLOR(path)    junk
set ADJUSTCOLOR(type)    junk7
set ADJUSTCOLOR(rpath)   junk1
set ADJUSTCOLOR(gpath)   junk2
set ADJUSTCOLOR(bpath)   junk3
set ADJUSTCOLOR(sample)  junk8
set ADJUSTCOLOR(color)   junk4
set ADJUSTCOLOR(rval)    junk4
set ADJUSTCOLOR(gval)    junk5
set ADJUSTCOLOR(bval)    junk6


proc doNewColor dummyarg {
  global ADJUSTCOLOR

  # this returns the current numbers from the slider(s)
  set ADJUSTCOLOR(color) [ format #%02x%02x%02x \
                           [ $ADJUSTCOLOR(rpath) get ] \
                           [ $ADJUSTCOLOR(gpath) get ] \
                           [ $ADJUSTCOLOR(bpath) get ] 
                         ]

  $ADJUSTCOLOR(path)   configure $ADJUSTCOLOR(type) $ADJUSTCOLOR(color)
  $ADJUSTCOLOR(sample) configure -background        $ADJUSTCOLOR(color)
}



proc doUpdateColor { } {
  global ADJUSTCOLOR

  $ADJUSTCOLOR(rpath) configure -variable ADJUSTCOLOR(rval)
  $ADJUSTCOLOR(gpath) configure -variable ADJUSTCOLOR(gval)
  $ADJUSTCOLOR(bpath) configure -variable ADJUSTCOLOR(bval)

  doNewColor dummy
}



proc doColorAdjust { name } {
  global ADJUSTCOLOR

  label $name.path   -text "Adjust Path: $ADJUSTCOLOR(path)"

  set ADJUSTCOLOR(rpath)  $name.red
  set ADJUSTCOLOR(gpath)  $name.green
  set ADJUSTCOLOR(bpath)  $name.blue
  set ADJUSTCOLOR(sample) $name.sample

  scale $name.red    -label Red   -from 0 -to 255 -length 10c \
                     -orient horizontal -command doNewColor
  scale $name.green  -label Green -from 0 -to 255 -length 10c \
                     -orient horizontal -command doNewColor
  scale $name.blue   -label Blue  -from 0 -to 255 -length 10c \
                     -orient horizontal -command doNewColor

  label $name.color  -textvariable ADJUSTCOLOR(color)

  frame $name.sample -height 1.5c -width 6c

  button $name.ok    -text OK -command "destroy $name" \
                     -default active

  pack $name.path   -side top
  pack $name.red    -side top
  pack $name.green  -side top
  pack $name.blue   -side top
  pack $name.color  -side top
  pack $name.sample -side top
  pack $name.ok     -side top
}


proc fix_color { win color } {

  set check  [ string index $color 0 ]
 
  # check if in correct format
  if { $check == "#" } {
    return $color
  }

  set rgb [ winfo rgb $win $color ]

  return [ format "#%02x%02x%02x" \
           [ expr round([lindex $rgb 0]) & 0xff ] \
           [ expr round([lindex $rgb 1]) & 0xff ] \
           [ expr round([lindex $rgb 2]) & 0xff ]
         ]
}

proc  AdjustColor { type path } {
  global ADJUSTCOLOR

  set Holdww .color

  destroy $Holdww

  toplevel $Holdww
  wm transient $Holdww

  doColorAdjust $Holdww

  set ADJUSTCOLOR(type)   $type
  set ADJUSTCOLOR(color)  [ $path configure $type ]
  set ADJUSTCOLOR(color)  [ lindex $ADJUSTCOLOR(color) 4 ]
  set ADJUSTCOLOR(color)  [ fix_color $path $ADJUSTCOLOR(color) ]
  set ADJUSTCOLOR(path)   $path

  set ADJUSTCOLOR(rval)   [ string range $ADJUSTCOLOR(color) 1 2 ]
  set ADJUSTCOLOR(gval) [ string range $ADJUSTCOLOR(color) 3 4 ]
  set ADJUSTCOLOR(bval)  [ string range $ADJUSTCOLOR(color) 5 6 ]

  scan "0x$ADJUSTCOLOR(rval)" "%x" ADJUSTCOLOR(rval)
  scan "0x$ADJUSTCOLOR(gval)" "%x" ADJUSTCOLOR(gval)
  scan "0x$ADJUSTCOLOR(bval)" "%x" ADJUSTCOLOR(bval)

  doUpdateColor
}



bind all <Button-2> { AdjustColor -foreground %W }
bind all <Button-3> { AdjustColor -background %W }
#bind all <Button-2> { puts "path: %W " }
