#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99      DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : to_menu.tcl                                                 #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson                                               #
# DESCRIPTION : menu support procs                                          #
#                                                                           #
#############################################################################



set DemoColor(title)      Green
set DemoColor(menu)       Cyan
set DemoColor(label)      Green

set DemoColor(labelwidth) 25m


#
# doDummy
#
proc doDummy { tg } {
    label $tg.msg  -text  "Dummy Meter"  -font meter_font 
    pack  $tg.msg  -side left -fill both -expand true
}


#*************************************************
#       Name: MenuInvokeRemain
# Parameters: w, menu widget name
#Description: copy of tkMenuInvoke (tk binding routine)
#				: without unposting of menu
#*************************************************
proc MenuInvokeRemain {w buttonRelease} {
    global tkPriv

    if {$buttonRelease && ($tkPriv(window) == "")} {
		# Mouse was pressed over a menu without a menu button, then
		# dragged off the menu (possibly with a cascade posted) and
		# released.  Unpost everything and quit.

		$w postcascade none
		$w activate none
	 	event generate $w <<MenuSelect>>
#		tkMenuUnpost $w
		return
    }
   
    if {[$w type active] == "cascade"} {
		$w postcascade active
		set menu [$w entrycget active -menu]
		tkMenuFirstEntry $menu

    } elseif {[$w type active] == "tearoff"} {
		tkMenuUnpost $w
		tkTearOffMenu $w

    } elseif {[$w cget -type] == "menubar"} {
		$w postcascade none
		$w activate none
		event generate $w <<MenuSelect>>
		tkMenuUnpost $w

    } else {
#		tkMenuUnpost $w
		uplevel #0 [list $w invoke active]
    }
}

# showVars --
# Displays the values of one or more variables in a window, and
# updates the display whenever any of the variables changes.
#
# Arguments:
# w -		Name of new window to create for display.
# args -	Any number of names of variables.

proc showVars {w args} {
    catch {destroy $w}
    toplevel $w
    wm title $w "Variable values"

    label $w.title -text "Variable values:" -width 20 -anchor center \
	    -font {Helvetica 18}
    pack $w.title -side top -fill x

    set len 1
    foreach i $args {
	if {[string length $i] > $len} {
	    set len [string length $i]
	}
    }

    foreach i $args {
	frame $w.$i
	label $w.$i.name -text "$i: " -width [expr $len + 2] -anchor w
	label $w.$i.value -textvar $i -anchor w
	pack $w.$i.name -side left
	pack $w.$i.value -side left -expand 1 -fill x
	pack $w.$i -side top -anchor w -fill x
    }

    button $w.ok -text OK -command "destroy $w" -default active
    bind $w <Return> "tkButtonInvoke $w.ok"
    pack $w.ok -side bottom -pady 2
}


# WidgetWindow --
#
# Arguments:
# widget-	Name of worker-bee proc.
# parent-       Parent window
# tg- 		base tag to build top-level in.
# title         Title of our window

proc WidgetWindow { widget tg parent title }  {
    toplevel $tg
    wm transient $tg [winfo toplevel $parent]
    wm title $tg $title

    set fr $tg.fr
    frame $fr     -relief raised -bd 2

    set cmd "$widget $fr"
    eval $cmd

    button $fr.ok -text RETURN -command "destroy $tg" \
                  -default active

    pack $fr.ok   -side bottom -pady 2
    pack $fr

    bind $tg <F8> "destroy $tg"
}

