#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded AFCounter 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        AFCounter 1.0 {{afcounter.tcl source \
        {AFCounter ::AFCounter::getSaveState ::AFCounter::DefaultSetup \
         ::AFCounter::QuickStart ::AFCounter::QuickStop} }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::AFCounter::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the AF Counter command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::AFCounter {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path AFCounter.out]

  set ::AFCounter::callbackStatus         0

  array set State \
  {
    init             "no"
    count            0
    reading_raw      0
    reading_raw2     0
    reading_cond     0
    reading_cond2     0
    BellEnabled      0
    BellEnabled_text "OFF"
    precision        0
    accuracy         0
    status           0
    Engine_run       0
    Engine_run2      0
    run              OFF
    average          10
    enabled          0
    Engine_enabled   0
    Engine_enabled2   0
    gate             OFF
    Engine_gate      0
    trig             0               
    peakHi           0
    peakLo           0
    peakFlags        0
    alertHi          0
    alertHi_text     "OFF"
    alertLo          0
    alertLo_text     "OFF"
    alerts           0
    peakEnable       0
    peakEnable_text  "OFF"
    resolution       1.0
    units            "Hz"
    engineId         " "
    driverId         " "
    input            AUDIO
    reed_code        ""
  }

  trace variable ::AFCounter::State ruw "::AFCounter::Load"

  proc Load { args } {
     source [file join $::AFCounter::path afcounter.tcl]
  }
}

