#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Alert 1.0 \
       [list tclPkgSetup [file join [pwd] $dir] \
        Alert 1.0 \
        { \
          {alert.tcl source \
           {
             Alert Alert::AddMeter
           }
          }
         }
        ]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Alert::path] { return }

namespace eval ::Alert {
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path Alert.out]

  proc Load { args } \
  {
     variable path
     source [file join $path alert.tcl]
  }
  
  variable Meter_list
  set Meter_list {}
}

