#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Analyzer 1.0 [list tclPkgSetup [file join [pwd] $dir] Analyzer 1.0 {
 {
  analyzer.tcl source \
  {
    Analyzer
    ::Analyzer::set_analyzer_callbacks
    ::Analyzer::updateTOSinfo
    ::Analyzer::updateCenter
    ::Analyzer::updateNormalize
    ::Analyzer::Restore
    ::Analyzer::updateTGState
    ::Analyzer::updateScale
    ::Analyzer::updateTOS
    ::Analyzer::updateScaleTOS
    ::Analyzer::updateSweep
    ::Analyzer::updateRBW
    ::Analyzer::updateVBW
    ::Analyzer::updateRunMode
    ::Analyzer::set_span
    ::Analyzer::updateSpan
    ::Analyzer::query_analyzer_state
    ::Analyzer::set_average
    ::Analyzer::getSaveState
    ::Analyzer::Sync
    ::Analyzer::updateEnable
    ::Analyzer::setEnable
    ::Analyzer::setMath
    ::Analyzer::check_valid_span
    ::Analyzer::check_rbw_calstate
    ::Analyzer::get_valid_rbw_main_spans
    ::Analyzer::get_valid_rbw_chan_spans
    ::Analyzer::ensure_valid_chan_spans
    ::Analyzer::check_vbw_calstate
    ::Analyzer::check_sweep_calstate
    ::Analyzer::SyncAll
    ::Analyzer::check_cal_state
    ::Analyzer::toggle_auto_couple
    ::Analyzer::update_auto_couple
    ::Analyzer::Enable
    ::Analyzer::Disable
    ::Analyzer::Toggle
  }
 }
}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Analyzer::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.
namespace eval ::Analyzer {

   variable State
   variable callbackStatus      ;# Set to 1 when callbacks are set up
   variable path
   variable object

   set path   [file join [pwd] $dir]
   set object [file join $path Analyzer.out]

   set callbackStatus 0
   
   array set State \
   {
      Engine_run      0
      run             STOP
      Engine_enabled  0

      mode_String     ""
      scale           0
      scale1          0
      scale2          0
      scale3          0
      scale4          0
      scale5          0
      scale6          0
      scale7          0
      scale8          0
      tos             0.0
      sweep_time      0
      sweep_type      0
      sweep           0
      sweep,cal       1
      rbw             0
      Engine_rbw      0
      vbw             0
      Engine_vbw      0

      span,raw        ""
      span            "0 SPAN"
      span_kHz        0.0
      span_f1         0.0
      span_f2         0.0


      tgstate         0
      normalize       0
      average         1
      cal         1
      track_gen_level   -110.0
      rbw,cal   1
      vbw,cal   1

      trig_mode        0
      trig_mode_text   "AUTO"
      trig_level       0.0
      trig_slope       1
      trig_slope_text  "RISING"
      trig_hpos        0
      stat_ifgain 0

      driverId        " "
      engineId        " "

      trace_length 500
      enable  1

      stat_cal     Initial
      
      auto_couple 1
      auto_couple,text AUTO
      freq_rate 1
      span,Hz 0
      sweep_time,sec 1
   }

   trace variable ::Analyzer::State ruw "::Analyzer::Load"

   proc Load { args } {
      source [file join $::Analyzer::path analyzer.tcl]
   }

}

