#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded BIT 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        BIT 1.0 {{Bit.tcl source \
        {BIT ::BIT::addTest ::BIT::getTestList ::BIT::MakeHeader ::BIT::MakeString \
             ::BIT::putsTest } }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::BIT::path] { return }

# Force an execution of the BIT command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::BIT {
  variable path
  variable State
  variable Status
  variable resultsFileID
  variable testList
  variable ClockFormat
  variable ReportLevel
  
  set path [file join [pwd] $dir]
  set State(TotalCases) 0
  set State(TotalErrors) 0
  set resultsFileID ""
  set testList { }
  set selectedTestList { }
  set ClockFormat "%I:%M:%S %p          %d %b %Y"
  set ReportLevel "Full"

}

