#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded C4fm 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        C4fm 1.0 {{Civ_fm.tcl source \
        {C4fm ::C4fm::getSaveState ::C4fm::restoreSavedState ::C4fm::printCurrentState \
         ::C4fm::DefaultSetup ::C4fm::QuickStart ::C4fm::QuickStop} }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::C4fm::path] { return }

# Force an execution of the C4fm command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::C4fm {
  variable path
  variable object
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  
  set path [file join [pwd] $dir]
  set object [file join $path Civ_fm.out]

  set ::C4fm::callbackStatus 0
  
  array set State \
  {
    init              "no"
    BellEnabled       0
    BellEnabled_text  "OFF"
    alarm_text        "OFF"
    Engine_run        0
    run               OFF
    average           -1
    enabled           0
    Engine_enabled    0
    trigger           OFF
    Engine_trigger    0
    resolution        1.0
    units             "%"
    engineId          " "
    driverId          " "
  }
  
  foreach reading { modacc deviation freq_err } \
  {
     set State($reading) ""
     foreach value { alertHi alertHi,raw alertHi_text
                     alertLo alertLo,raw alertLo_text
                     alerts raw precision 
                     peakEnable peakEnable_text peakFlags
                     peakHi peakLo
                   } \
     {
        set State($reading,$value) 0
     }
     set State($reading,status)    0x0002
  }
  

  trace variable ::C4fm::State ruw "::C4fm::Load"

  proc Load { args } {
     source [file join $::C4fm::path Civ_fm.tcl]
  }
}

