#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
if ![interp issafe ] \
{
  package ifneeded DHCP 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        DHCP 1.0 {{dhcp.tcl source \
        {DHCP ::DHCP::Start ::DHCP::Read_config ::DHCP::Write_config ::DHCP::Config}
        }}]

  namespace eval ::DHCP \
  {
    set path   [file join [pwd] $dir]
    set object [file join $path DHCP.out]

    variable State
    array set State \
    {
       aquired 0
       expires 0
       {Renew time} 0
       expires,text 0
       aquired,text 0
       {Domain name} aeroflex.com
       {Lease time} 0
       state IDLE
       Subnet 255.255.0.0
       Router 10.200.1.90
       group_id 200
       {Server ID} 0.0.0.0
       DNS {}
       {Time Offset} -21600
       {DHCP Message type} ""
       SERVER_NAME {}
       YOUR_IP 10.200.126.14
       CLIENT_IP 10.200.126.14
       HW_ADDR ""
       filename /system/etc/ifcfg_eth0
       GATEWAY_IP 0.0.0.0
       TRANSACTION_ID 0
       OPCODE BOOTREPLY
       {Rebind time} 37800
       user_id 2016 
       Mode DHCP
       SERVER_IP 0.0.0.0 
       {Host Name} vxworks
       squatter_MAC ""
    }

  }
}

