#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Dvm 1.0 \
  [list tclPkgSetup [file join [pwd] $dir] Dvm 1.0 \
    {
      {
         dvm.tcl source \
         {
           Dvm Dvm::setResistance Dvm::getSaveState Dvm::Sync
         }
      }
    }
  ]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Dvm::path] { return }

# Force an execution of the DVM command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::Dvm {
  variable State
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path Dvm.out]
  
  array set State \
  {
    init "no"
    raw   -1  
    status -1 
    reading 0
    reading,V 0
    reading,dBm 0
    reading,any 0
    Engine_run 0
    run    OFF
    average -1
    enabled   0
    Engine_enabled 0
    
    mode AC
    
    BellEnabled 0
    BellEnabled_text "OFF"
    
    peak 0
    peakHi 0
    peakLo 0
    peak,V 0
    peakHi,V 0
    peakLo,V 0
    peak,dBm 0
    peakHi,dBm 0
    peakLo,dBm 0
    peakFlags 0
    
    alertHi 0
    alertHi_text "OFF"
    
    alertLo 0
    alertLo_text "OFF"
    
    alertHi,V 0
    alertLo,V 0
    alertHi,dBm 0
    alertLo,dBm 0
    alerts 0
    
    peakEnable 0
    peakEnable_text "OFF"
    
    engineId " "
    driverId " "
    ohms 600
    current_ohms 600
  
    units  "V"
    
    load 0
    
    hwrange,raw 0
    hwrange ""
  }
  

  trace variable ::Dvm::State ruw "::Dvm::Load"

  proc Load { args } {
     source [file join $::Dvm::path dvm.tcl]
  }
}

