#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::FGen::path] { return }
package ifneeded Fgen 1.0 [list tclPkgSetup [file join [pwd] $dir] Fgen 1.0 {
   {fgen.tcl source { Fgen                      \
                      FGen                      \
                      ::FGen::Init                \
                      ::FGen::set_fgen_callbacks  \
                      ::FGen::Shape               \
                      ::FGen::updateLevel         \
                      ::FGen::updateFreq          \
                      ::FGen::updateDevPercent    \
                      ::FGen::DevPercent          \
                      ::FGen::updateShape         \
                      ::FGen::Mode                \
                      ::FGen::updateMode          \
                      ::FGen::updateStatus        \
                      ::FGen::setResponse         \
                      ::FGen::doResponse          \
                      ::FGen::query_fgen_state    \
                      ::FGen::Sync                \
                      ::FGen::Send_core           \
                      ::FGen::Send                \
                      ::FGen::Event               \
                      ::FGen::send_sinc_seq       \
                      ::FGen::setMode             \
                      ::FGen::setFreq             \
                      ::FGen::setShape            \
                      ::FGen::setLevel            \
                      ::FGen::setDeviation } } }]


package ifneeded FGen 1.0 [list tclPkgSetup [file join [pwd] $dir] FGen 1.0 { \
  {
   fgen.tcl source \
   {
    FGen Fgen FGen::Sync FGen::Init FGen::Send FGen::Off FGen::Abort
   }
  }
 }]

# Force an execution of the FGen command if any data is accessed from the namespace,
# to force an initialization of the data

namespace eval ::FGen \
{
  variable  path
  variable  State
  variable  object
  variable  loaded
  variable  callbackStatus      ;# Set to 1 when callbacks are set up
  variable  modes               ;# List of available FGEN modes
  variable  shapes              ;# List of available FGEN shapes
  variable  fgen_ctrl           ;# Array of unbind links 

  set callbackStatus 0
  set path   [file join [pwd] $dir]
  set object [file join $path Fgen.out]
  
  
  set State(fgen_mode_menu)   { "OFF"  "TONE"  "TREM"  "DTMF"  "CTCSS"  \
                                       "DCS"  "TSIG"  "SINC"  "ARB" }

  set State(shape_menu_fgen)  { "SINE"  "SQUARE"  "TRIANGLE"  "RAMP" }

  set State(shape_menu_mod)   { "Sine"  "Sqr"  "Tri"  "Rmp" }
   
  set State(level_units)  "Vpp"
  set State(level_units,1)  "Vpp"
  set State(level_units,2)  "Vpp"
  set State(dev_units)    "kHz"

  # Initialize variables to insure their existance when used
  foreach { lun } { 0 1 2 3 4 } \
  {
    set State($lun,fgen_mode)        "OFF"
    set State($lun,fgen_mode_value)  0
    
    if { $lun == 0 || $lun == 1 || $lun == 2 } \
    {
      set State($lun,level)    1.000
      set State($lun,percent)  10.00
      set State($lun,dev)      5.00
      set State($lun,freq)     1000.0
      set State($lun,shape)    SINE
    
      set State($lun,TONE,level)    1.000
      set State($lun,TONE,level_rms) 0.354
      set State($lun,TONE,percent)  10.00
      set State($lun,TONE,dev)      5.00
      set State($lun,TONE,freq)     1000.0
      set State($lun,TONE,shape)    SINE

      set State($lun,OFF,level)    0.000
      set State($lun,OFF,percent)  0.00
      set State($lun,OFF,dev)      0.00
      set State($lun,OFF,freq)     0.0
      set State($lun,OFF,shape)    SINE
    }

    if { $lun == 3 || $lun == 4 } \
    {
      set State($lun,level)    1.000
      set State($lun,percent)  10.00
      set State($lun,dev)      5.00
      set State($lun,freq)     1000.0
      set State($lun,shape)    Sine
    
      set State($lun,TONE,level)    1.000
      set State($lun,TONE,percent)  10.00
      set State($lun,TONE,dev)      5.00
      set State($lun,TONE,freq)     1000.0
      set State($lun,TONE,shape)    Sine

      set State($lun,OFF,level)    0.000
      set State($lun,OFF,percent)  0.00
      set State($lun,OFF,dev)      0.00
      set State($lun,OFF,freq)     0.0
      set State($lun,OFF,shape)    Sine
    }

    set State($lun,TREM,level)      1.000
    set State($lun,TREM,percent)    10.00
    set State($lun,TREM,dev)        5.00
    set State($lun,TREM,code)       1050
    set State($lun,TREM,user_code)  1050
    set State($lun,TREM,seq)        ""
    
    set State($lun,DTMF,level)    1.000
    set State($lun,DTMF,percent)  10.00
    set State($lun,DTMF,dev)      5.00
    set State($lun,DTMF,code)     ""
    set State($lun,DTMF,digit)    ""
    set State($lun,DTMF,mode)     "BURST"
    set State($lun,DTMF,seq)      ""
    
    set State($lun,CTCSS,level)      0.100
    set State($lun,CTCSS,percent)    1.00
    set State($lun,CTCSS,dev)        0.50
    set State($lun,CTCSS,code)       "XZ"
    set State($lun,CTCSS,temp_code)  "XZ - 67.0"
    set State($lun,CTCSS,freq)       67.0
    
    set State($lun,DCS,level)    0.100
    set State($lun,DCS,percent)  1.00
    set State($lun,DCS,dev)      0.50
    set State($lun,DCS,state)    "OFF"
    set State($lun,DCS,invert)   NORMAL
    set State($lun,DCS,code)     "023"
    set State($lun,DCS,seq)      ""

    set State($lun,TSIG,level)         1.000
    set State($lun,TSIG,percent)       10.00
    set State($lun,TSIG,dev)           5.00
    set State($lun,TSIG,code)          ""
    set State($lun,TSIG,mode)          "BURST"
    set State($lun,TSIG,format)        "USER"
    set State($lun,TSIG,seq)           ""
    set State($lun,TSIG,begin_timing)  ""
    set State($lun,TSIG,mark_timing)   ""
    set State($lun,TSIG,space_timing)  ""

    set State($lun,P25,level)    9.990
    set State($lun,P25,percent)  99.90
    set State($lun,P25,dev)      49.95
    set State($lun,P25,freq)     1000.0
    set State($lun,P25,shape)    Sine
    
    set State($lun,SINC,level)    1.000
    set State($lun,SINC,percent)  10.00
    set State($lun,SINC,dev)      5.00
    set State($lun,SINC,rate)     16000
    set State($lun,SINC,freq)     1000
    set State($lun,SINC,omega)    15.00

    set State($lun,ARB,level)      1.000
    set State($lun,ARB,percent)    10.00
    set State($lun,ARB,dev)        5.00
    set State($lun,ARB,rate)       10000
    set State($lun,ARB,freq)       1000
    set State($lun,ARB,shape)      ""
    
    set State($lun,SWEEP,level)      1.000
    set State($lun,SWEEP,percent)    10.00
    set State($lun,SWEEP,dev)        5.00
    set State($lun,SWEEP,start)      100
    set State($lun,SWEEP,stop)       1000
    set State($lun,SWEEP,dur)        100.000
    set State($lun,SWEEP,mode)       "BURST"

    set State($lun,pending)  {}
    set State($lun,XOFF)     0
    set State($lun,sending)  0
    set State($lun,abort)    0
  }

  set  dcs_invalid(1)  0
  set  dcs_invalid(2)  0
  set  dcs_invalid(3)  0
  set  dcs_invalid(4)  0

  set State(init) "no"

  trace variable ::FGen::State ruw "::FGen::Load"

  proc Load { args } \
  {
    source [file join $::FGen::path fgen.tcl]
  }
}

