#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : gpib.tcl                                                    #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : This file is sourced by TCL when the GPIB command is first  #
#             : used.  It loads the C++ interface file, provides an GPIB    #
#             : namespace for screen variables, and sets up callbacks to    #
#             : update the variables for the UI.                            #
#                                                                           #
#############################################################################
# remove the variable watches

foreach v $::GPIB::vlist {
     trace vdelete ::GPIB::$v rwu ::GPIB::Load
}

# Load the object file
if {"[info command GPIB]" != "" } { return }
::load $::GPIB::object

package provide GPIB 1.0

namespace eval ::GPIB {
 if ![interp issafe] \
 {
    source [file join $path master.tcl]
 }
}


