# Tcl package index file, version 1.0
package ifneeded GPIB 1.0 [list tclPkgSetup [file join [pwd] $dir] GPIB 1.0 {{gpib.tcl source {GPIB ::GPIB::Init ::GPIB::Input ::GPIB::Addr ::GPIB::Timeout \
             ::GPIB::Slave_Get_Srq ::GPIB::Slave_Get_Sre ::GPIB::Slave_Set_Sre}}}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::GPIB::path] { return }

namespace eval ::GPIB {
  variable   path         [file join [pwd] $dir]
  variable   object       [file join $path TclGPIB.out]
  variable   statefile    /sysdata/current_state/gpib.tcl
  variable   myaddr       "4"
  variable   mysubaddr    "0"
  variable   interp_type  "TCL"
  variable   timeout      ".1"
  variable   vlist        { myaddr mysubaddr interp_type timeout }
  if ![interp issafe] \
  {
    if [file exists $statefile] {
      catch {
        source $statefile
      }
    }
  }
 
  proc Load {args } {
     variable path
     source [file join $path gpib.tcl]
  }
  
  foreach v $vlist {
     trace variable ::GPIB::$v rwu ::GPIB::Load
  }

}

