#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Generator 1.0 [list tclPkgSetup [file join [pwd] $dir] Generator 1.0 {
{
  generator.tcl source \
  {
     Generator 
     ::Generator::get_valid_mod_names
     ::Generator::format_gen_level
     ::Generator::set_generator_callbacks
     ::Generator::updateDCpower
     ::Generator::updateYigSpeed
     ::Generator::updateYigStat
     ::Generator::init_generator_vars
     ::Generator::updateModtype
     ::Generator::updatePtt
     ::Generator::updateBandwidth
     ::Generator::updateP25mode
     ::Generator::updateRFoutput
     ::Generator::updatePortLimitsMax
     ::Generator::updatePortLimitsMin
     ::Generator::is_locked
     ::Generator::updateLockStatus
     ::Generator::toggleRFoutput
     ::Generator::getSaveState
     ::Generator::query_generator_state
     ::Generator::getAlertProcedure
     ::Generator::Sync
     ::Generator::SyncAll
     ::Generator::Trunking_mode
  }
}}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Generator::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the Receiver command if any data is accessed from the 
# namespace, to force an initialization of the data

namespace eval ::Generator {
  variable State
  variable path
  variable object
  variable unlock_window
  
  set path   [file join [pwd] $dir]
  set object [file join $path Generator.out]
  
  array set State \
  {
     ptt  0
     mod  0

     lockstat,raw   0xFF
     lockstat       0xFF
     lock_unstable  0x8000
     lock,main      UNLOCKED
     lock,step      UNLOCKED
     lock,ref       UNLOCKED
     lock,clean     UNLOCKED
     lock,cal_request     0
     mod_raw     0

     enable  0
     freq  0
     freq,raw 0
     
     rflev,raw  0
     rflev,dBm  0
     rflev,mV   0
     rflev,uV   0
     
     
     alc  0
     dcpower  0

     hold  0
     dac  0
     alc  0

     hwbw_raw  0
     hwbw  0
     p25mode_raw  0
     p25mode  0
     rfout  0
     init "no"
     yigspeed slow
  }
   
  variable last_trunking_off_cmd ""

  trace variable ::Generator::State ruw "::Generator::Load"

  proc Load { args } {
     source [file join $::Generator::path generator.tcl]
  }
}

