#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT  2002      DESIGN ENGINEERING          #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Hieu Tran                                                   #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Gzip 1.0 [list tclPkgSetup [file join [pwd] $dir] Gzip 1.0 {{gzip.tcl source Gzip}}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Gzip::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the Gzip command if any data is accessed from the 
# namespace, to force an initialization of the data

namespace eval ::Gzip {
  variable State
  variable path
  variable object

  set path   [file join [pwd] $dir]
  set object [file join $path Gzip.out]

  array set State \
  {
    gzippercent 0
    gziperrstr  ""
    gziperrcode -1
    gzip_done 0
  }

  trace variable ::Gzip::State ruw "::Gzip::Load"

  proc Load { args } {
     source [file join $::Gzip::path gzip.tcl]
  }
}

