#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2002      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded HW_control 1.0 [list tclPkgSetup [file join [pwd] $dir] HW_control 1.0 {
   {hw_control.tcl source 
     {
       HW_control
       ::HW_control::Init
       ::HW_control::updateRef
       ::HW_control::updateBack
       ::HW_control::updateLed
       ::HW_control::updateTcxo
       ::HW_control::updateYig
       ::HW_control::updateYigRes
       ::HW_control::updateYigCal
       ::HW_control::updateEnable
       ::HW_control::updateRouteCal
       ::HW_control::updateTemp
       ::HW_control::WaitForYigDone
       ::HW_control::StartYigCal
       ::HW_control::ShiftLED
       ::HW_control::Set_clock
       ::HW_control::OnYigDone
     }
   }
}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::HW_control::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the AF Counter command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::HW_control {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  variable trace_list
  set trace_list {State }
  
  set State(ref)         "0"
  set State(yig_running) ""
  set State(yig) 0
  set State(if_temp) "-1"
  set State(on_yig_done) ""
  
  set path   [file join [pwd] $dir]
  set file   [file join $path hw_control.tcl]
  set object [file join $path hw_control.out]

  foreach var $trace_list {
     trace variable ::HW_control::$var ruw "::HW_control::Load"
  }

  proc Load { args } {
     source [file join $::HW_control::file]
  }
  
#****************************************************************************
# Name:        OnYigDone
# Parameters:  commands to execute
# Description: When YIG cal completes, do these commands and then forget them
#****************************************************************************
 proc OnYigDone { {cmd ""} } \
 {
    if {$cmd == ""} { return }
    variable State
    if {$State(yig_running) != 0} \
    {
       append State(on_yig_done) "$cmd;"
    } \
    else \
    {
       after idle [subst "::HW_control::YigDoneAfter {$cmd}"]
    }
 }
}

