# Load the object file
if {"[info command IFR_options]" == ""} \
{
   load $::IFR_options::object
}


namespace eval IFR_options \
{
   variable progress 0.0
   
   proc Crypt_progress { percent } \
   {
      variable progress
      set progress $percent
   }
   
variable opt_header \
{
<html>
<head>
  <title>
     Installed options on [IFR_options man] [IFR_options model] serial #[IFR_options ser]:
  </title>
</head>
<body>
   <H1>
     Installed options on [IFR_options man] [IFR_options model] serial #[IFR_options ser]
   </H1>
   <table cellspacing="0" width=100%>
   <tr>
     <td>Option Name</td>
     <td>Status</td>
     <td>Expiry date</td>
   </tr>
}

variable opt_footer \
{
   <tr><td colspan="3"><hr></td></tr>
   <tr>
    <td colspan="3" bgcolor="yellow">
     Yellow options will expire in less than a week's time
    </td>
   <tr>
    <td colspan="3" bgcolor="red">
     <hr>
     <font color="white">Red options have already expired</font>
    </td>
   </tr>
</table>
</body>
</html>
}

variable opt_entry \
{
   <tr><td colspan="3"><hr></td><tr>
<tr bgcolor="$bg">
   <td>$font$option$unfont</td>
   <td>$font$state$unfont</td>
   <td>$font[get_expires $expires]$unfont</td>
</tr>
}

variable opt_info \
{
   <tr><td colspan="3">$info</td><tr>
}

   # return an HTML formatted list of options in the unit. Indention is going to look
   # strange because of how I format HTML inline...
   proc get_expires { n } \
   {    
      switch -- $n \
      {
         0  {return ""}
         -1 {return ""}
         default \
         {
            return [clock format $n -format "%A, %d %B %Y %H:%M:%S" ]
         }
      }
   }
   
   proc will_expire_soon { n } \
   {
      set now [clock seconds]
      set soon [expr 7 * 24 * 60 * 60]
      
      set delta [expr $n - $now]
      if {$delta < $soon } \
      {
         return 1
      }
      return 0
   }
   
   proc get_info { name } \
   {
      if { "[namespace children :: $name]" != "" } \
      {
          upvar #0 $name\::InfoString info
      }
      if ![info exists info] \
      {
          set info ""
      }
      return $info
   }
   
   
   proc html_list {} \
   {
     variable opt_header
     variable opt_footer
     variable opt_entry
     variable opt_info
     
     set ret_list [subst $opt_header]

     set options [IFR_options list]
   
     foreach option $options \
     {
        set state   [IFR_options state   $option]
        set expires [IFR_options expires $option]
        set info    [get_info $option]
        
        # check for things that ought to be highlighted, like expired options
        set font ""
        set unfont ""
        set bg white
        switch -- $state \
        {
           LEASED \
           { 
             if [will_expire_soon $expires] \
             { 
                set font   {<font size="+2"><b>}
                set unfont {</b></font>}
                set bg yellow
             }
           }
           EXPIRED \
           {
              set font   {<font color="white" size="+2"><b>}
              set unfont {</b></font>}
              set bg red
           }
        }
         
        append ret_list [subst $opt_entry]
        append ret_list [subst $opt_info]
    }
    
    append ret_list [subst $opt_footer]

    return $ret_list
   }
   
   proc options_post_string { } \
   {
      # form the post data
      set data [list MAC [IFR_options MAC] SERIAL [IFR_options ser] TIME [clock seconds]]

      set options ""

      foreach option [IFR_options list] \
      {
         set x [list $option [IFR_options state $option] [IFR_options expires $option]]
         lappend options $x
      }
      lappend data OPTIONS $options
      
      return $data
   }
}
