#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : David Hagood                                                #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Keys 1.0 [list tclPkgSetup [file join [pwd] $dir] Keys 1.0 \
{ { keys.tcl source { Keys ::Keys::Load } } }]


# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Keys::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the AF Counter command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::Keys {
  variable State
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path Keys.out]

  set callbackStatus         0

  array set State \
  {
  }

  trace variable ::Keys::State ruw "::Keys::Load"

  proc Load { args } \
  {
     source [file join $::Keys::path keys.tcl]
  }
}

