#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded P25 1.0 [list tclPkgSetup [file join [pwd] $dir] P25 1.0 {
    {Pxxv.tcl source {
       P25 ::P25ns::EnableTrunking ::P25ns::setLogMask ::P25ns::send_lco \
           ::P25ns::State ::P25ns::getSaveState ::P25ns::SyncFreq
       }
    }
}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::P25ns::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the P25 command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::P25ns \
{
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  variable DecodeCount
  variable DecodeParm
  variable DUID_strings
  variable LCO_strings
  variable LCO_short_strings
  variable status_str 
  variable status_short_str
  variable algid_strings
  variable EncodeParm
  variable DefaultTrunkEncode
  variable TrunkModeIndex
  variable TrunkModeCurrent
  variable ChannelAddr
  variable TrunkFreqs
  variable Log
  variable ChannelConfig


  set path   [file join [pwd] $dir]
  set object [file join $path Pxxv.out]

  set ::P25ns::callbackStatus  0
  
  set ::P25ns::State(init)  "no"

  set DecodeCount  "---"
  
  set DecodeParm(HDR_MFID_dec)	   "-"
  set DecodeParm(HDR_LSD)	   "--------"
  set DecodeParm(HDR_MFID)	   "--"
  set DecodeParm(DID)    	   "---"
  set DecodeParm(HDR_TGID)   	   "----"
  set DecodeParm(TGID)   	   "----"
  set DecodeParm(MFID)   	   "--"
  set DecodeParm(P)        	   "-"
  set DecodeParm(SF)     	   "-"
  set DecodeParm(EMG)       	   "-"
  set DecodeParm(SID)    	   "---"
  set DecodeParm(LCO)    	   "--"
  set DecodeParm(HDR_SSYM) 	   "-"
  set DecodeParm(Status) 	   "-"
  set DecodeParm(HDR_NAC)    	   "---"
  set DecodeParm(HDR_NAC_dec) 	   "---"
  set DecodeParm(HDR_DUID)   	   "-"
  set DecodeParm(DUID_text) 	   " "
  set DecodeParm(LSD)    	   "--------"
  set DecodeParm(HDR_ALGID)  	   "--"
  set DecodeParm(ES_ALGID)  	   "--"
  set DecodeParm(ALGID)  	   "--"
  set DecodeParm(HDR_KID)    	   "----"
  set DecodeParm(ES_KID)    	   "----"
  set DecodeParm(KID)    	   "----"
  set DecodeParm(HDR_MI)     	   "----"
  set DecodeParm(ES_MI)     	   "----"
  set DecodeParm(MI)     	   "----"
  set DecodeParm(LCW_raw) 	   " "
  set DecodeParm(SERVICEOP_dec)    "--"
  set DecodeParm(SERVICEOP)        "--"
  set DecodeParm(raw1)		   "--"
  set DecodeParm(raw2)		   "--"
  set DecodeParm(raw3)		   "--"
  set DecodeParm(raw4)		   "--"
  set DecodeParm(raw5)		   "--"
  set DecodeParm(raw6)		   "--"
  set DecodeParm(raw7)		   "--"
  set DecodeParm(raw8)		   "--"
  set DecodeParm(raw9)		   "--"
  set DecodeParm(LCO_text) 	   " "
  set DecodeParm(LCO_short_text)   " "
  set DecodeParm(StatusText) 	   " "
  set DecodeParm(StatusShortText)  " "
  set DecodeParm(header) 	   " "
  set DecodeParm(ALGID_txt) 	   "Unknown"
  set DecodeParm(ES_ALGID_txt) 	   "Unknown"
  set DecodeParm(DTMF) 	         ""

  set DecodeParm(SOURCEADDR_dec)    "------"
  set DecodeParm(SOURCEADDR)        "------"
  set DecodeParm(TARGETADDR_dec)    "------"
  set DecodeParm(TARGETADDR)        "------"
  set DecodeParm(SYSID_dec)         "---"
  set DecodeParm(SYSID)             "---"
  set DecodeParm(SRCID_dec)         "------"
  set DecodeParm(SRCID)             "------"
  set DecodeParm(GRPADDR_dec)       "----"
  set DecodeParm(GRPADDR)           "----"
  set DecodeParm(OPCODE)            "--"
  set DecodeParm(OPCODE_dec)        "--"
  set DecodeParm(T_PROT)            "-"
  set DecodeParm(T_ANET)            "-"
  set DecodeParm(UID)               "------"
  set DecodeParm(UID_dec)           "------"
  set DecodeParm(GID)               "----"
  set DecodeParm(GID_dec)           "----"
  set DecodeParm(WACNID)            "-----"
  set DecodeParm(WACNID_dec)        "-----"
  set DecodeParm(ANNGRPADR)         "----"
  set DecodeParm(ANNGRPADR_dec)     "----"
  set DecodeParm(ANSRES)            "--"
  set DecodeParm(PSTNADDR)          "--"
  set DecodeParm(SERVTYPE)          "--"
  set DecodeParm(REASONCODE)        "--"
  set DecodeParm(IDFLAGS)           "-"
  set DecodeParm(IDUPDATE)          "-"
  set DecodeParm(TXMULT)            "-"
  set DecodeParm(ADD_24)            "------"
  set DecodeParm(RES_32)            "--------"

  set State(trunk_on_off)      "OFF"
  set State(trunk_state)        "OFF"
  set State(trunk_state_short)  "OFF"
  set State(trunk_state,raw)   "Disable"
  set State(d_sampleRate)      -1
  set State(d_enable) 	       -1
  set State(d_encryptState)    -1
  set State(d_run)	       0
  set State(e_encryptState)    0
  set State(trunk_ptt_on_off)  "PTT OFF"
  set State(trunk_reg_rcv)     0
  set State(trunk_aff_rcv)     0
  set State(trunk_ptt_rcv)     0
  set State(trunk_signal_rcv)  0
  set State(ccFreq)            0.0
  set State(vcFreq)            0.0
  set State(obtctrl)           2
  set State(obtctrl_Stxt)      "TYPE 1"
  set State(expmsg)            0
  set State(expmsg_txt)        IMPLICIT
  set State(trunk_ptt_state)   0
  set State(AutoWrap)          31
  set State(AutoCopy_Reg)      1
  set State(AutoCopy_Aff)      1
  set State(AutoCopy_Voice)    1
  set State(AutoCopy_UU)       1
  set State(AutoCopy_Dial)     1
  set State(AdjStatusEnable)   0

  trace variable ::P25ns::State ruw "::P25ns::Load"

  set EncodeParm(HDR_ALGID_txt)  "Unknown"
  set EncodeParm(LCO_ALGID_txt)  "Unknown"

  set EncodeParm(StatusText) 	   ""
  set EncodeParm(StatusShortText)  ""
  set EncodeParm(LCO_text)         ""
  set EncodeParm(LCO_short_text)   ""

  set EncodeParm(HDR_MFID_dec)	0
  set EncodeParm(HDR_MFID)	00
  set EncodeParm(HDR_NAC_dec)	0
  set EncodeParm(HDR_NAC)	000
  set EncodeParm(HDR_TGID)	0000
  set EncodeParm(HDR_LSD1)	0000
  set EncodeParm(HDR_LSD2)	0000
  set EncodeParm(HDR_DID)	000000
  set EncodeParm(HDR_SID)	000000
  set EncodeParm(HDR_KID)	0000
  set EncodeParm(HDR_SSYM)	0
  set EncodeParm(HDR_ALGID)	00
 
  set EncodeParm(LCO)		  00
  set EncodeParm(EMG)		  0
  set EncodeParm(SF)		  0
  set EncodeParm(P)		  0
  set EncodeParm(LCO_MFID)	  00
  set EncodeParm(TELE_DIDSID)	  000000
  set EncodeParm(TARGETADDR_dec)  1
  set EncodeParm(TARGETADDR)	  000001
  set EncodeParm(SOURCEADDR_dec)  1
  set EncodeParm(SOURCEADDR)	  000001
  set EncodeParm(CHANID)	  0
  set EncodeParm(CHANNUM)	  000
  set EncodeParm(CHANID_A)	  0
  set EncodeParm(CHANNUM_A)	  000
  set EncodeParm(CHANID_B)	  0
  set EncodeParm(CHANNUM_B)	  000
  set EncodeParm(CHANID_R_dec)	  0
  set EncodeParm(CHANID_R)	  0
  set EncodeParm(CHANNUM_R_dec)	  0 
  set EncodeParm(CHANNUM_R)	  000 
  set EncodeParm(CHANID_T_dec)	  0
  set EncodeParm(CHANID_T)	  0
  set EncodeParm(CHANNUM_T_dec)	  0
  set EncodeParm(CHANNUM_T)	  000
  set EncodeParm(GRPADDR)	  0000
  set EncodeParm(GRPADDR_A)	  0000
  set EncodeParm(GRPADDR_B)	  0000
  set EncodeParm(CTIMER_dec)	  0
  set EncodeParm(CTIMER)	  0000
  set EncodeParm(DIG0_9)	  0000000000
  set EncodeParm(NETID)		  00000
  set EncodeParm(SYSID_dec)       1
  set EncodeParm(SYSID)		  001
  set EncodeParm(SRCID_dec)	  1
  set EncodeParm(SRCID)		  000001
  set EncodeParm(PRIREQ)	  0
  set EncodeParm(SSAVAIL)	  000000
  set EncodeParm(SSSUPPORT)	  000000
  set EncodeParm(RFSUBID_dec)	  1
  set EncodeParm(RFSUBID)	  01
  set EncodeParm(SITEID_dec)	  0
  set EncodeParm(SITEID)	  00
  set EncodeParm(SERVCLASS_dec)	  96
  set EncodeParm(SERVCLASS)	  60
  set EncodeParm(SERVCLASS_A)	  00
  set EncodeParm(SERVCLASS_B)	  00
  set EncodeParm(LOCREGAREA_dec)  1
  set EncodeParm(LOCREGAREA)	  01
  set EncodeParm(STSUPDATE)	  0000
  set EncodeParm(MSG)		  0000
  set EncodeParm(EXTFUNCT_A)	  000000
  set EncodeParm(EXTFUNCT_B)	  0000
  set EncodeParm(BW)		  000
  set EncodeParm(XMITOFF)	  000
  set EncodeParm(CHANSPACE)	  000
  set EncodeParm(BASEFREQ)	  00000000
  set EncodeParm(LCO_ALGID)	  00
  set EncodeParm(LCO_KID)	  0000
  set EncodeParm(SERVICEOP_dec)	  0
  set EncodeParm(SERVICEOP)	  00
  set EncodeParm(RESERVE_4)	  0
  set EncodeParm(RESERVE_8)	  00
  set EncodeParm(RESERVE_16)	  0000
  set EncodeParm(RESERVE_24)	  000000

  set EncodeParm(WACNID_dec)     1
  set EncodeParm(WACNID)         00001
  set EncodeParm(WUID_dec)       1
  set EncodeParm(WUID)           000001
  set EncodeParm(WGID_dec)       1
  set EncodeParm(WGID)           0001
  set EncodeParm(CHANID_C_dec)   0
  set EncodeParm(CHANID_C)       0
  set EncodeParm(CHANNUM_C_dec)  0
  set EncodeParm(CHANNUM_C)      000
  set EncodeParm(CHANID_V_dec)   0
  set EncodeParm(CHANID_V)       0
  set EncodeParm(CHANNUM_V_dec)  50
  set EncodeParm(CHANNUM_V)      032
  set EncodeParm(ANNGRPADR_dec)  0
  set EncodeParm(ANNGRPADR)      0000
  set EncodeParm(T_PROT_dec)     0
  set EncodeParm(T_PROT)         0
  set EncodeParm(T_ANET_dec)     1
  set EncodeParm(T_ANET)         1
  set EncodeParm(T_LG_dec)       0
  set EncodeParm(T_LG)           0
  set EncodeParm(T_GAV_dec)      0
  set EncodeParm(T_GAV)          0
  set EncodeParm(T_RV_dec)       0
  set EncodeParm(T_RV)           0

  set EncodeParm(CHANIDRX_C_dec)   0
  set EncodeParm(CHANNUMRX_C_dec)  10
  set EncodeParm(CHANIDTX_C_dec)   0
  set EncodeParm(CHANNUMTX_C_dec)  15
  set EncodeParm(CHANIDRX_V_dec)   0
  set EncodeParm(CHANNUMRX_V_dec)  20
  set EncodeParm(CHANIDTX_V_dec)   0
  set EncodeParm(CHANNUMTX_V_dec)  25


  set EncodeParm(OCTET_0)  00
  set EncodeParm(OCTET_1)  00
  set EncodeParm(OCTET_2)  00
  set EncodeParm(OCTET_3)  00
  set EncodeParm(OCTET_4)  00
  set EncodeParm(OCTET_5)  00
  set EncodeParm(OCTET_6)  00
  set EncodeParm(OCTET_7)  00
  set EncodeParm(OCTET_8)  00

  set EncodeParm(ADJ_MFID_dec)   0
  set EncodeParm(ADJ_MFID)       00
  set EncodeParm(ADJ_RFSSID_dec) 0
  set EncodeParm(ADJ_RFSSID)     00
  set EncodeParm(ADJ_SYSID_dec)  0
  set EncodeParm(ADJ_SYSID)      000
  set EncodeParm(ADJ_SITEID_dec) 0
  set EncodeParm(ADJ_SITEID)     00
  set EncodeParm(ADJ_LRA_dec)    0
  set EncodeParm(ADJ_LRA)        00
  set EncodeParm(ADJ_SCLASS_dec) 0
  set EncodeParm(ADJ_SCLASS)     00
  set EncodeParm(ADJ_CFLAG_dec)  0
  set EncodeParm(ADJ_FFLAG_dec)  0
  set EncodeParm(ADJ_VFLAG_dec)  0
  set EncodeParm(ADJ_AFLAG_dec)  0
  set EncodeParm(ADJ_CHANID_R_dec)  0
  set EncodeParm(ADJ_CHANID_R)      0
  set EncodeParm(ADJ_CHANNUM_R_dec) 0
  set EncodeParm(ADJ_CHANNUM_R)     000
  set EncodeParm(ADJ_CHANID_T_dec)  0
  set EncodeParm(ADJ_CHANID_T)      0
  set EncodeParm(ADJ_CHANNUM_T_dec) 0
  set EncodeParm(ADJ_CHANNUM_T)     000

  set EncodeParm(SCCB1_CHANID_R_dec)  0
  set EncodeParm(SCCB1_CHANID_R)      0
  set EncodeParm(SCCB1_CHANNUM_R_dec) 0
  set EncodeParm(SCCB1_CHANNUM_R)     000
  set EncodeParm(SCCB1_CHANID_T_dec)  0
  set EncodeParm(SCCB1_CHANID_T)      0
  set EncodeParm(SCCB1_CHANNUM_T_dec) 0
  set EncodeParm(SCCB1_CHANNUM_T)     000
  set EncodeParm(SCCB1_SSCLASS_dec)   0
  set EncodeParm(SCCB1_SSCLASS)       0
  set EncodeParm(SCCB2_CHANID_R_dec)  0
  set EncodeParm(SCCB2_CHANID_R)      0
  set EncodeParm(SCCB2_CHANNUM_R_dec) 0
  set EncodeParm(SCCB2_CHANNUM_R)     000
  set EncodeParm(SCCB2_CHANID_T_dec)  0
  set EncodeParm(SCCB2_CHANID_T)      0
  set EncodeParm(SCCB2_CHANNUM_T_dec) 0
  set EncodeParm(SCCB2_CHANNUM_T)     000
  set EncodeParm(SCCB2_SSCLASS_dec)   0
  set EncodeParm(SCCB2_SSCLASS)       0



  foreach { band } { "800" "UHF/VHF" "700" } \
  {
    foreach { index } { 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 } \
    {
       set EncodeParm($band,$index,BANDWIDTH)    0.000
       set EncodeParm($band,$index,XMIT_OFFSET)  0.000
       set EncodeParm($band,$index,CHAN_SPACE)   0.000
       set EncodeParm($band,$index,BASE_FREQ)    0.00000
    }
    
    set TrunkChanArray($band,CHANIDRX_C)   0
    set TrunkChanArray($band,CHANNUMRX_C)  10
    set TrunkChanArray($band,CHANIDTX_C)   0
    set TrunkChanArray($band,CHANNUMTX_C)  0
    set TrunkChanArray($band,CHANIDRX_V)   0
    set TrunkChanArray($band,CHANNUMRX_V)  20
    set TrunkChanArray($band,CHANIDTX_V)   0
    set TrunkChanArray($band,CHANNUMTX_V)  50
  }

  set TrunkModeIndex(800)       0
  set TrunkModeIndex(UHF/VHF)   1
  set TrunkModeIndex(700)       2
  set TrunkModeCurrent          "800"
  set TrunkFreqs(ccTX)          0.0
  set TrunkFreqs(ccRX)          0.0
  set TrunkFreqs(vcTX)          0.0
  set TrunkFreqs(vcRX)          0.0
  set TrunkFreqs(adjchanT)      0.0
  set TrunkFreqs(adjchanR)      0.0
  set TrunkFreqs(sccb1_chanT)   0.0
  set TrunkFreqs(sccb1_chanR)   0.0
  set TrunkFreqs(sccb2_chanT)   0.0
  set TrunkFreqs(sccb2_chanR)   0.0
  
  set DefaultTrunkEncode(MFID)       00000
  set DefaultTrunkEncode(NAC)        293
  set DefaultTrunkEncode(SYSID)      293
  set DefaultTrunkEncode(RFSUBID)    00001
  set DefaultTrunkEncode(SITEID)     00001
  set DefaultTrunkEncode(LRA)        00001
  set DefaultTrunkEncode(SCLASS)     00060
  set DefaultTrunkEncode(SERVOP)     00000
  set DefaultTrunkEncode(WACNID)     00001
  set DefaultTrunkEncode(WUID)       000001
  set DefaultTrunkEncode(WGID)       0001
  set DefaultTrunkEncode(CHANID_C)   0
  set DefaultTrunkEncode(CHANNUM_C)  000
  set DefaultTrunkEncode(CHANID_V)   0
  set DefaultTrunkEncode(CHANNUM_V)  032
  set DefaultTrunkEncode(ANNGRPADR)  0000
  set DefaultTrunkEncode(T_PROT)     0
  set DefaultTrunkEncode(T_ANET)     1
  set DefaultTrunkEncode(T_LG)       0
  set DefaultTrunkEncode(T_GAV)      0
  set DefaultTrunkEncode(T_RV)       0

  set DefaultTrunkEncode(CTIMER)	  0000
  set DefaultTrunkEncode(SRCID)		  000001
  set DefaultTrunkEncode(DIG0_9)	  0000000000
  set DefaultTrunkEncode(TARGETADDR)	  000001
  set DefaultTrunkEncode(SOURCEADDR)	  000001
  set DefaultTrunkEncode(ADJ_MFID)       00
  set DefaultTrunkEncode(ADJ_RFSSID)     02
  set DefaultTrunkEncode(ADJ_SYSID)      002
  set DefaultTrunkEncode(ADJ_SITEID)     02
  set DefaultTrunkEncode(ADJ_LRA)        01
  set DefaultTrunkEncode(ADJ_SCLASS)     60
  set DefaultTrunkEncode(ADJ_CFLAG_dec)  0
  set DefaultTrunkEncode(ADJ_FFLAG_dec)  0
  set DefaultTrunkEncode(ADJ_VFLAG_dec)  0
  set DefaultTrunkEncode(ADJ_AFLAG_dec)  0
  set DefaultTrunkEncode(ADJ_CHANID_R)      0
  set DefaultTrunkEncode(ADJ_CHANNUM_R)     000
  set DefaultTrunkEncode(ADJ_CHANID_T)      0
  set DefaultTrunkEncode(ADJ_CHANNUM_T)     000
  set DefaultTrunkEncode(obtctrl)           2
  set DefaultTrunkEncode(expmsg)            0
  set DefaultTrunkEncode(AutoWrap)          0
  set DefaultTrunkEncode(AdjStatusEnable)   0


  set Log(raw)		1
  set Log(lco_octets)	0
  set Log(lco_msg)	0
  set Log(osp_octets)	0
  set Log(osp_msg)	0
  set Log(isp_octets)	0
  set Log(isp_msg)	0
  set Log(debug_xmt)    0
  set Log(debug_rcv)    0
  set Log(extended)     0
  set Log(mask)         0
  set Log(NextVersion)  1
  set Log(P25_log_ctrldata_fd) -1

  set LCO_delay         0
  set LCO_delayTime     3000
  set LCO_ignore        0

  proc Load { args } \
  {
     source [file join $::P25ns::path Pxxv.tcl]
  }
}


