#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Power::path] { return }

package ifneeded Power 1.0 [list tclPkgSetup [file join [pwd] $dir] Power 1.0 {{power.tcl source Power}}]

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

namespace eval ::Power {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path Power.out]

  set callbackStatus 0
  
  array set State \
  {
     status           0
     init             "no"
     BellEnabled      0
     BellSounding     0
     enabled          On
     peakHi           0
     accuracy         0
     over_range       0
     range            0
     alertStatus      0
     alerts           0
     alertHi          0
     alertHi_text     "OFF"
     alertHi,W        0
     alertHi,dBm      0
     alertLo          0
     alertLo_text     "OFF"
     alertLo,W        0
     alertLo,dBm      0
     peakEnable       0
     peakEnable_text  "OFF"
     cableloss        0
     rate             8000

     prange            "2"

     temp1             0
     temp2             0
     fan               0
     fan_raw           0
     temp_overload     0
     
     ad_value          0
     low_zero          0
     high_zero         0
     ad_offset         0
     raw_power         0
     pw_factor         0
     freq              0
  }

  trace variable ::Power::State ruw "::Power::Load"

  proc Load { args } {
     namespace eval :: {source [file join $::Power::path power.tcl]}
  }
}

