#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded RLmeter 1.0 [list tclPkgSetup [file join [pwd] $dir] RLmeter 1.0 {{rlmeter.tcl source RLmeter}}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::RLmeter::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the RL Power command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::RLmeter {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path RLmeter.out]

  set callbackStatus 0
  array set State \
  {
     init              "no"
     BellEnabled       0
     BellSounding      0
     count             0
     precision         0
     accuracy          0
     status            0
     alertStatus       0
     Engine_run        0
     run               OFF
     average           1
     enabled           0
     Engine_enabled    0
     gate              OFF
     Engine_gate       0
     peakHi            0
     peakLo            0
     peakFlags         0
  
     alertHi           0.0
     alertHi_text      "OFF"
     alertHi,dBm       0.0
     alertHi,W         0.0
     alertLo           0.0
     alertLo_text      "OFF"
     alertLo,dBm       0.0
     alertLo,W         0.0
  
     alerts            0
     peakEnable        0
     status_text       ""
     cableloss         0
     reading           0
  
     W,reading         0
     dBm,reading       0
     mW,reading        0
     W,precision       0
     dBm,precision     0
     mW,precision      0
     W,peakHi          0
     dBm,peakHi        0
     mW,peakHi         0
     cal_done          1
     cal,current       0
     cal,num_cals      0
     cal,status        0
     cal,status_text   ""
     cal,old_gen_state ""
     cal,old_rcv_state ""
     cal,retries       0
     cal,after         ""
     cal,done          1
  }
  
  trace variable ::RLmeter::State ruw "::RLmeter::Load"

  proc Load { args } {
     source [file join $::RLmeter::path rlmeter.tcl]
  }
}

