#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT © 2001      DESIGN ENGINEERING          #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Receiver 1.0 [list tclPkgSetup [file join [pwd] $dir] Receiver 1.0 {
  {
    receiver.tcl source \
    {
       Receiver
       Receiver::set_receiver_callbacks
       Receiver::updateSquelch
       Receiver::updateSquelch_core
       Receiver::updateIFGain
       Receiver::updateIIRfilter
       Receiver::setIIRfilter
       Receiver::updateYigStatus
       Receiver::is_locked
       Receiver::updateLockStatus
       Receiver::updateInput
       Receiver::toggle_input
       Receiver::updateAtten
       Receiver::updateDemod
       Receiver::setDemod
       Receiver::updateHwAgc
       Receiver::updateAgcMode
       Receiver::update_squelch_level
       Receiver::updateRange
       Receiver::startFindFreq
       Receiver::Restore
       Receiver::lock_in_freq
       Receiver::fine_tune
       Receiver::query_receiver_state
       Receiver::getSaveState
       Receiver::updateAgc
       Receiver::Config_agc
       Receiver::Sync
       Receiver::SyncAll
    }
  }
}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Receiver::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the Receiver command if any data is accessed from the 
# namespace, to force an initialization of the data

namespace eval ::Receiver {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  variable unlock_window

  set path   [file join [pwd] $dir]
  set object [file join $path Receiver.out]

  set callbackStatus 0
  array set State \
  {
   init "no"
  freq_raw 170
  freq 170
  rfinput " "
  rfinput_raw 0
  atten 0
  ifbw 30000
  demod_raw 0
  demod 0
  range_raw 1
  range 0
  hwagc_raw 1
  hwagc 0
  iirFilter 0
  agcmode 0
  squelchmode 0
  squelchlevel 0
  squelchstate 0

  lockstat,raw  0xFFFF
  lockstat      0xFFFF
  lock,mode     1
  lock_unstable 0x8000
  lock,main     UNLOCKED
  lock,step     UNLOCKED
  lock,ref      UNLOCKED
  lock,clean    UNLOCKED
  lock,cal_request    0
  fine_tune 0
 
  yig,hold 0
  yig,dac 0
  }

  trace variable ::Receiver::State ruw "::Receiver::Load"

  proc Load { args } {
     source [file join $::Receiver::path receiver.tcl]
  }

}

