#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2002      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded RFError 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        RFError 1.0 {{rferror.tcl source \
        {RFError ::RFError::getSaveState ::RFError::QuickStart \
         ::RFError::DefaultSetup ::RFError::QuickStop} }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::RFError::path] { return }

# Force an execution of the RF Error command if any data is accessed from the namespace,
# to force an initialization of the data
namespace eval ::RFError {
  variable State
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path RFError.out]

  set State(init) "no"
  array set State \
  {
     run              OFF
     Engine_run       0
     avg              -1
     enabled          Disabled
     Engine_enabled   0
     gate             OFF
     Engine_gate      0

     BellEnabled       0
     BellEnabled_text  "OFF"

     peakHi            0
     peakLo            0

     peakFlags         0

     alertHi           0
     alertHi_text      "OFF"

     alertLo           0
     alertLo_text      "OFF"

     alerts            0

     peakEnable        0
     peakEnable_text   "OFF"

     average           0
     freq              0
     freqPrec          0
     freqErrRaw        0
     freqErrPrec       0
     status            0
     freqErrAccuracy   0
     freqErrHz         0
     freqErrMhz        0

     reading_raw       0
     reading_cond_Hz   0
     reading_cond_MHz  0

     units             "Hz"
     resolution        1.0

     engineId          " "
     driverId          " "
  }

  set  State(resolutions)  { "0.1"  "1.0"  "10.0" }

  trace variable ::RFError::State ruw "::RFError::Load"

  proc Load { args } {
     source [file join $::RFError::path rferror.tcl]
  }
}

