namespace eval ::Scope \
{
 # tie together the items that LUN 1 and 2 share
 Scope -onchange run1       { Scope run2 %V -nowait}
 Scope -onchange sweep1     { Scope sweep2 %V -nowait}
 Scope -onchange position1  { Scope position2 %V -nowait}
  
 variable scales \
 {
   "10mv" "20mv" "50mv" "100mv" "200mv" "500mv"
   "1v" "2v" "5v" "10v" "20v" "50v"
 }
 # Right now, this is unused - perhaps in future we can update the cal and see
 # if the cal code actually WORKS!
 proc get_scope_cal_data { } \
 {

  set file [ OpenCalFile scope r ]

  while { [ gets $file line ] >= 0 } \
  {
    if { [ lindex $line 0 ] == "SCOPECAL" } \
    {
      parse_scope $line
    }
  }

  close $file
 }

 proc set_x5_cal { refdes value } \
 {
    if {[scan $refdes "U%x" rd_num] != 1 } \
    {
       return -code error "Bad refdes $refdes"
    }
    Scope caloffset1 $rd_num $value
 }
 proc set_gain_cal { lun scale cal } \
 {
    variable scales
    set s [lsearch $scales [string tolower $scale]]
    if {$s == -1} \
    {
       return -code error "Invalid scale $scale"
    }
    Debug::Puts Scope 1 "set_gain_cal $lun $s $cal"
    Scope calgain$lun $s $cal
 }
 proc update_x5_cal { v } \
 {
    variable State
    set refdes U[format %02X [lindex $v 0]]
    set value [lindex $v 1]
    Debug::Puts Scope 1 "update_x5_cal $v $refdes $value"
    set State(cal,$refdes) $value
 }
 proc update_gain_cal { lun v } \
 {
    variable scales
    variable State
    set s     [lindex $v 0]
    set value [lindex $v 1]
    set scale [lindex $scales $s]
    
    Debug::Puts Scope 1 "update_gain_cal $v $lun $scale $value"
    set State(cal,$scale,$lun) $value
 }
 Scope -queue caloffset1 { ::Scope::update_x5_cal %V}
 Scope -queue calgain0   { ::Scope::update_gain_cal %L %V}

 proc parse_scope { line } \
 {
  variable State

  set refdes [ lindex $line 3 ]
  set ch     [ lindex $line 1 ]
  set value  [ lindex $line 5 ]

  Debug::Puts Scope 1 "parse_scope $line: $refdes $ch $value"

  switch [ lindex $line 1 ] \
  {
    X5STAGE { set_x5_cal     $refdes $value }
    CH1     { set_gain_cal 1 $refdes $value }
    CH2     { set_gain_cal 2 $refdes $value }
  }
 }
 
#****************************************************************************
# Name:        Sync
# Parameters:  none
# Description: Write state variables to hardware
#****************************************************************************
 proc Sync { } \
 {
    eval [getSaveState]
 }

 Load::on_system_done \
 {
    ::Scope::Sync
    Scope sweep0 10000 -nowait
    Scope trigsource0 CH1 -nowait
    Scope triglev 0 -nowait
    Scope trigpol 0 -nowait
    Scope trigtype 0 -nowait
    Scope enable0 7 -nowait
    Scope scale0 7 -nowait
 }
}

#****************************************************************************
# This registers the engine with the list for saving instrument states
#****************************************************************************
namespace eval ::SavedStates \
{

   variable engines   
   lappend engines Scope
}

#****************************************************************************
# This registers the engine with the list for the version screen
#****************************************************************************
namespace eval ::Version_Screen \
{
   variable version
   variable names
   
   array set names \
   {
     Sco_Eng  "Scope Engine"
     Sco_Drv  "Scope Driver"
   }
   set version(Sco_Eng)   [Scope version 0]
   set version(Sco_Drv)   [Scope version 1]
}
