#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT  2002      DESIGN ENGINEERING          #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Hieu Tran                                                   #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Untar 1.0 [list tclPkgSetup [file join [pwd] $dir] Untar 1.0 {{untar.tcl source Untar}}]
# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Untar::path] { return }

# Build a global variable which holds the path back to the directory.  "$dir"
# has a relative path at this point, and while "pwd" is valid relative to $dir
# now, it may change before the TCL command needs to be sourced.

# Force an execution of the Untar command if any data is accessed from the 
# namespace, to force an initialization of the data

namespace eval ::Untar {
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object

  set path   [file join [pwd] $dir]
  set object [file join $path Untar.out]

  set callbackStatus 0

  set State(tarfilecount)  0
  set State(filepercent)   0
  set State(tardone)       0
  set State(tarerrstr)     ""
  set State(tarerrcode)    -1
  set State(filename)      ""
  set State(filecount)     0
  set State(tarfileoffset) 0
  set State(tarfilesize)   0
  

  trace variable ::Untar::State ruw "::Untar::Load"

  proc Load { args } {
     source [file join $::Untar::path untar.tcl]
  }

}

