#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded BBAudio 1.0 [list tclPkgSetup [file join [pwd] $dir] BBAudio 1.0 {{bbaudio.tcl source \
       {
          BBAudio ::BBAudio::Sync ::BBAudio::update_mic_bias ::BBAudio::set_bbaudio_route 
          ::BBAudio::clr_bbaudio_routes ::BBAudio::default_audio_routes
          ::BBAudio::Factory_defaults
       } }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::BBAudio::path] { return }

namespace eval ::BBAudio {
  variable State
  variable path
  variable object
  variable mixer_target_map
  variable mixer_source_map

  set path [file join [pwd] $dir]
  set object [file join $path BBAudio.out]

  array set mixer_target_map {
      0 SPKR		
      1 DEMOD		
      2 FGEN		
      3 L1		
      4 USER0		
      5 USER1		
  }

  array set mixer_source_map {
      0 L1		
      1 MIC		
      2 SINAD		
      3 FILE		
      4 FGEN0		
      5 FGEN1		
      6 FGEN2		
      7 FGEN3		
      8 FGEN4		
      9 USER0		
      10 USER1		
      11 USER2		
      12 USER3		
      13 USER4		
      14 SQUELCHED
  }
  
  array set State \
  {
    init "no"
    micbias 0
    micbias_lname DYNAMIC
    micbias_sname DYN
    sinadbal 0
    sinadbal_lname BALANCE
    sinadbal_sname BAL
    volume       0
    volume_raw   0
    PTT          0
    uut_in       0
    uut_in_delta 0
    diginauto    100
    uut_out      0
    uut_vout     0
    demod_to_mod  OFF
  }
  
  for { set i 0 } { $i < 24 } { incr i  1 } \
  {
    set ::BBAudio::State(Route_$i)  -1
  }

  foreach  mixer  {SPKR DEMOD FGEN L1 USER0 USER1} \
  {
    foreach  source  {L1 MIC SINAD FILE FGEN0 FGEN1 FGEN2 FGEN3 FGEN4 USER0 USER1 USER2 USER3 USER4 SQUELCHED} \
    {
      set ::BBAudio::Mixers($mixer.$source)  ""
    }
  }

  trace variable ::BBAudio::State ruw "::BBAudio::Load"

  proc Load { args } \
  {
    source [file join $::BBAudio::path bbaudio.tcl]
  }
}

