#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Ber 1.0 [list tclPkgSetup [file join [pwd] $dir] Ber 1.0  \
{ { ber.tcl source { Ber                 
                     ::Ber::QuickStart     
                     ::Ber::resetTotals    
                     ::Ber::setTestPattern 
                     ::Ber::setPatternSource
                     ::Ber::getSaveState
                     ::Ber::Sources_Help
                     ::Ber::Rescan_sources
                   } } }]


# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Ber::path] { return }

# Initialize the State array and set up to force an execution of the Ber
# command if any data is accessed from the namespace
namespace eval ::Ber \
{
  variable path

  set path    [file join [pwd] $dir]

  variable object

  set object  [file join  $path  Ber.out]

  variable stdPatterns
  variable State
  variable Sources ""
  
  array set State \
  {
     test_pattern,raw  ""
     
     init           "no"
     
     run            OFF
     Engine_run     0
     
     enabled         0
     Engine_enabled  0
     
     ber_raw         0.0000
     ber_cond        0.00
     ber_percent     0.0
     ber_avg         0.0000
     ber_avgpercent  0.0

     rawber_percent  0.0
     rawber_ppm      0
     
     precision,per   2
     precision,ppm   6

     fer_raw      0.0000
     fer_cond     0.00
     fer_percent  0.0
     
     total_bits          0
     total_frames        0
     total_error_bits    0
     total_error_frames  0
     
     BellEnabled       0
     BellEnabled,text  "OFF"
     
     alertHi,raw       0
     alertHi,per       0
     alertHi,ppm       0
     alertHi_text  "OFF"
     
     alertLo,raw       0
     alertLo,per       0
     alertLo,ppm       0
     alertLo_text  "OFF"
     
     alerts        0
     
     peakHi,per       0
     peakHi,ppm       0
     peakLo,per       0
     peakLo,ppm       0
     peakFlags        0
     peakEnable       0
     peakEnable_text  "OFF"
     
     frameDuration  0
     precision      0
     status         0
     
     units               "%"
     sample_time_units   "ms"
     test_pattern        "STD 1011"
     test_pattern,short  "S 1011"
     pattern_source      "DEMOD"
     numFrames	         1
     sampleTime          180
     
     test_pattern_menu    { "STD 1011"  "STD CAL"  "STD SILENCE"  "STD BUSY" "STD 511"}
     
     engineId  " "
     driverId  " "
     
     pattern_match 0
  }
  
  variable callbackStatus  0;  # Set to 1 when callbacks are set up

  trace variable  ::Ber::State  ruw  "::Ber::Load"
  trace variable  ::Ber::Sources  ruw  "::Ber::Load"
  
  proc Load { args } \
  {
    source [file join  $::Ber::path  ber.tcl]
  }
}

