#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003         DESIGN ENGINEERING     #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield/Brad Taylor                               #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Dtmf 1.0 [list tclPkgSetup [file join [pwd] $dir] Dtmf 1.0 \
{ { dtmf_decode.tcl source { Dtmf } } }]

# protect against re-sourcing this file twice in the same interpreter.
if { [info exists ::Dtmf::path] } { return }

namespace eval ::Dtmf \
{
  variable  State
  variable  callbackStatus
  variable  path
  variable  object
   
  set path   [file join  [pwd]  $dir]
  set object [file join  $path  Dtmf.out]
   
  set callbackStatus  0
  
  set State(engineId)  ""
  set State(driverId)  ""

  set State(status)         ""
  set State(status_text)    ""
  set State(digit_dec)      "";  # Decimal value of the decoded digit
  set State(digit)          "";  # ASCII character
  set State(dtmf_received)  "";  # string of ASCII characters received
  set State(sample_count)   0
  set State(first_energy)   0.00
  set State(second_energy)  0.00
  
  set State(duration)       0.00
  set State(spacing)        0.00
   
  proc Load { args } \
  {
    source [file join  $::Dtmf::path  dtmf_decode.tcl]
  }
}
