#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded FMDev 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        FMDev 1.0 {{fmdev.tcl source \
        {FMDev ::FMDev::getSaveState ::FMDev::QuickStart \
         ::FMDev::DefaultSetup ::FMDev::QuickStop} }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::FMDev::path] { return }

# Initialize the State array and set up to force an execution of the FM Deviation
# command if any data is accessed from the namespace
namespace eval ::FMDev \
{
  variable State
  variable callbackStatus      ;# Set to 1 when callbacks are set up
  variable path
  variable object
  
  set path   [file join [pwd] $dir]
  set object [file join $path FMDev.out]

  set callbackStatus 0
  
  array set State \
  {
     init               "no"
     pos_value          0
     neg_value          0
     avg_value          0
     rms_value          0
     precision          0

     BellEnabled        0
     BellEnabled_text   "OFF"
     Engine_run         0
     run                OFF
     average            -1
     enabled            0
     Engine_enabled     0
     trigger            OFF
     Engine_trigger     0
     math               PEAK
     Engine_math        0
     peakHi             0
     peakLo             0
     peakFlags          0

     alertHi            0
     alertHi_text       "OFF"

     alertLo            0
     alertLo_text       "OFF"

     alerts             0

     peakEnable         0
     peakEnable_text    "OFF"

     resolution         1.0

     units              "KHz"
     title              "DEV"
     status             0
     use_squelch,raw    0
     use_squelch        "OFF"
     
     mode               0     
     mode,text,long     "PEAK"
     mode,text,short    "PEAK"
  }
  
  set State(mode_menu)  { "PEAK"  "AVERAGE"  "POS PEAK"  "NEG PEAK" }
  
  trace variable ::FMDev::State ruw "::FMDev::Load"

  proc Load { args } {
     source [file join $::FMDev::path fmdev.tcl]
  }
}

