#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2003         DESIGN ENGINEERING     #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bradford Taylor                                             #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Ltr 1.0 [list tclPkgSetup [file join [pwd] $dir] Ltr 1.0 \
{ { Ltr.tcl source { Ltr                       \
                     ::Ltr::Init               \
                     ::Ltr::setBand            \
                     ::Ltr::Standard           \
                     ::Ltr::King               \
                     ::Ltr::Uniden             \
                     ::Ltr::copyRxDataToTxData } } } ]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Ltr::path] { return }

namespace eval ::Ltr \
{
  variable path

  set path [file join [pwd] $dir]

  variable object

  set object [file join $path Ltr.out]

  variable callbackStatus
  
  set callbackStatus 0
  
  variable  rlist  ""

  variable  present_on_off    0
  
  variable  State

  set State(sync)       000
  set State(word)       000000
  set State(checksum)   00
  set State(timestamp)  0

  set State(band)       0
  set State(band_text)       "800"

  set State(repeat_sim_on_off)        0
  set State(repeat_sim_on_off_text)   "OFF"
  
  set State(radio_sim_on_off)         0
  set State(radio_sim_on_off_text)    "OFF"

  set State(find_repeat_on_off)       0
  set State(find_repeat_on_off_text)  "OFF"

  set State(monitor_mode_text)        "OFF"

  set State(tx_area)      0
  set State(tx_free)      31
  set State(tx_home)      0
  set State(tx_goto)      0
  set State(tx_group)     0
  set State(tx_riccode)   201
  set State(tx_rstate)    "IDLE"
  set State(tx_mstate)    "IDLE"
  set State(tx_in_use)    0
  
  set State(tx_deviation)  0
  set State(tx_invert)     0
  set State(tx_sync)       0x158

  set State(rx_area)     ""
  set State(rx_in_use)   ""
  set State(rx_home)     ""
  set State(rx_group)    ""
  set State(rx_free)     ""
  set State(mode) 0

  set State(rstate_menu)  { "IDLE"  "SYS BUSY" "REP BUSY"  "CONT"  "DISCON" }
  set State(mstate_menu)  { "IDLE"  "PTT" }

  set abort  0
}

