#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded Sinad 1.0 [list tclPkgSetup [file join [pwd] $dir] \
        Sinad 1.0 {{sinad.tcl source \
        {Sinad Dist ::Sinad::getSaveState ::Sinad::QuickStart \
         ::Sinad::DefaultSetup ::Sinad::QuickStop} }}]

package ifneeded Dist 1.0  [list tclPkgSetup [file join [pwd] $dir] \
        Dist  1.0 {{sinad.tcl source \
        {Sinad Dist ::Sinad::getSaveState ::Sinad::QuickStart \
         ::Sinad::DefaultSetup ::Sinad::QuickStop} }}]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::Sinad::State] { return }

# Initialize the State array and set up to force an execution of the Sinad
# command if any data is accessed from the namespace
namespace eval ::Sinad {
  variable State
  variable path
  variable object
  variable defaultCWT

  set path   [file join [pwd] $dir]
  set object [file join $path Sinad.out]
  
  array set State \
  {
     init                    "no"
     Engine_run              0
     run                     OFF
     average                 -1
     enabled                 0
     Engine_enabled          0
     trigger                 OFF
     Engine_trigger          0
     math                    PEAK
     Engine_math             0
     filter                  0
     sinad                   0
     distortion              0
     signalPower             0
     noisePower              0
     totalPower              0
     readStatus              0
     CWTenabled              OFF
     Sinad.peakHi            0
     Sinad.peakLo            0
     Sinad.peakFlags         0
     Sinad.peakEnable        0
     Sinad.peakEnable_text   "OFF"
     Sinad.alertHi           0
     Sinad.alertHi_text      "OFF"
     Sinad.alertLo           0
     Sinad.alertLo_text      "OFF"
     Sinad.alerts            0
     Sinad.alertStatus       0
     Sinad.BellEnabled       0
     Sinad.BellEnabled_text  "OFF"
     Sinad.alarm_text        ""
     Sinad.resolution        1.0
     Sinad.units             "dB"
     Dist.peakHi             0
     Dist.peakLo             0
     Dist.peakFlags          0
     Dist.peakEnable         0
     Dist.peakEnable_text    "OFF"
     Dist.alertHi            0
     Dist.alertHi_text       "OFF"
     Dist.alertLo            0
     Dist.alertLo_text       "OFF"
     Dist.alerts             0
     Dist.alertStatus        0
     Dist.BellEnabled        0
     Dist.BellEnabled_text   "OFF"
     Dist.resolution         1.0
     Dist.units              "%"
     engineId                " "
     driverId                " "
     rate                    4
     minx                    0
     maxx                    20000
     miny                    -80
     maxy                    0
     rangey                  80
     center                  10000
     span                    20000
     size                    2048
     alpha                   2.6
     window                  1
     window,text             "KAISER"
     lnotch                  900
     hnotch                  1100
     lnoise                  100
     hnoise                  10000
     input                   AUDIO
     status                  0
     scale                   20
     scale,raw               20
     audio_anlz_status       ""
     audio_anlz_status_temp  ""
     anlz_trig               "OFF"
     anlz_trig,raw           0
                            
     trace_state,live        "OFF"
     trace_state,avg         "OFF"
     trace_state,stored      "OFF"
     trace_state,ulim        "OFF"
     trace_state,llim        "OFF"
     
     scale_menu  { "10"  "5"  "2" "1" ".5" ".2" ".1" }
     input_menu  { "DEMOD"  "SQLCH"  "MIC dyn"  "MIC elec"  "Aud Bal"  "AUDIO" }

     window_menu { "NONE"  "KAISER" }
  }
  
  for {set which 0} { $which < 10} { incr which } \
  {
      array set State \
      "
         marker,$which,freq  0
         marker,$which,live  0
         marker,$which,avg   0
         marker,$which,ref   0
         marker,$which,ul    0
         marker,$which,ll    0
         marker,$which,state OFF
      "
  }

  set defaultCWT "100 -42 200 -25.5 300 -17 400 -12 600 -4.5 800 -1 1000 0 2000 -0.5 3000 -2 4000 -13 5000 -27"


  trace variable ::Sinad::State ruw "::Sinad::Load"

  proc Load { args } \
  {
     source [file join $::Sinad::path sinad.tcl]
  }
}

