#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001, 2002   DESIGN ENGINEERING     #
# --------------------------------------------------------------------------#
# FILE        : pkgIndex.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bradford Taylor                                             #
# DESCRIPTION : This file provides TCL with package sourcing information    #
#############################################################################
# Note: Originally this file was generated by the TCL pkg_mkIndex command,  #
#    but that process did not provide a way to source object files. It also #
#    had path problems when the working directory changed after this file   #
#    was sourced.  The standard structure of this file for IFR packages:    #
#    o  Create a global variable to hold the path to the file to be loaded  #
#       when the package is invoked                                         #
#    o  For engine interface packages, set up a namespace for the engine    #
#       state variables, and provide a way of automatically loading the     #
#       package if the state variables are accessed.                        #
#    o  Provide information to TCL on how to load the package               #
#############################################################################
package ifneeded SzSnet 1.0 [list tclPkgSetup [file join [pwd] $dir] SzSnet 1.0 \
{ { SzSnet.tcl source { SzSnet  ::SzSnet::Init ::SzSnet::Sim_turn_off ::SzSnet::setBand } } } ]

# protect against re-sourcing this file twice in the same interpreter.
if [info exists ::SzSnet::path] { return }

namespace eval ::SzSnet {
   variable path
   variable object
   variable callbackStatus
   
   set path [file join [pwd] $dir]
   set object [file join $path SzSnet.out]
   set callbackStatus 0
   
   set ::SzSnet::rlist                    ""

   set ::SzSnet::present_on_off           0
   
   variable State

   set State(status)            0
   set State(word)              0
   set State(parity)            0
   set State(corrections)       0
   set State(dc_ave)            0
   set State(standard_dev)      0
   set State(symbolrate)        0  
   set State(baudrate)          0    
   set State(timestamp)         0   
   set State(id)                0
   set State(i_bit)             0
   set State(cmd)               0
   set State(talkgroup)         0
   
   set State(t_bits)            0
   set State(t_bits_hex)        "0"
   set State(t_bits_binary)     "0000"
   
   set State(channel)           0
   set State(type)              0
   set State(osw_word)          0

   set State(sys_id)            1844
   set State(sys_id_hex)        734

   set State(grp_id)            0
   set State(grp_id_hex)        0000

   set State(unit_id)           0
   set State(unit_id_hex)       0000
   
   set State(band)              0
   set State(band_text)         "800"

   # Added for the Scanner tile
   set State(follow)            "CONTROL CHANNEL"
   
   set State(scan_on_off)       0
   set State(scan_on_off_text)  "OFF"
   
   set State(max_chan)          1023
   set State(min_chan)          0
   set State(voice_chan)        0
   set State(lsd)               0
   set State(onvx)              0
   set State(baud)              0
   set State(found)             0
   set State(control_chan)      2
   set State(talk_group)        0
   set State(ind_id)            0
   
   set State(found_sys_id)      0

   # Added for the Monitor tile
   # Default is OSW monitor
   set State(monitor_type)      2
   set State(mon_word)          ""
   set State(mon_parity)        ""
   set State(mon_corrections)   ""
   set State(mon_inverted)      ""
   set State(mon_timestamp)     ""
   set State(mon_dc_ave)        ""
   set State(mon_standard_dev)  ""
   set State(mon_symbolrate)    ""
   
   # Added for the Repeater Sim tile
   set State(uutptt)            0
   set State(uutaff)            0
   set State(cnx)               0
   set State(affil)             0

   set State(sim_on_off)        0
   set State(sim_on_off_text)   "OFF"

   set State(conn_tone)         105
   set State(conn_tone_freq)    ""

   set State(call_type)         0
   set State(call_type_text)    "ANALOG"

   set State(ptt_on_off)        0
   set State(ptt_on_off_text)   "PTT OFF"
   
   set State(cctx_chan,UV)      380
   set State(cctx_freq,UV)      0.0
   
   set State(ccrx_chan,UV)      0
   set State(ccrx_freq,UV)      0.0
   
   set State(vctx_chan,UV)      390
   set State(vctx_freq,UV)      0.0
   
   set State(vcrx_chan,UV)      10
   set State(vcrx_freq,UV)      0.0
   
   set State(cctx_chan,800)     2
   set State(cctx_freq,800)     0.0
   
   set State(vctx_chan,800)     50
   set State(vctx_freq,800)     0.0
   
   set State(cctx_chan,900)     3
   set State(cctx_freq,900)     0.0
   
   set State(vctx_chan,900)     51
   set State(vctx_freq,900)     0.0

   set State(cctx_chan,USER)    0
   set State(cctx_freq,USER)    0.0
   set State(ccrx_freq,USER)    0.0
   
   set State(vctx_chan,USER)    1
   set State(vctx_freq,USER)    0.0
   set State(vcrx_freq,USER)    0.0

   set State(follow_menu)     { "CONTROL CHANNEL"  "GROUP ID"  "UNIT ID" } 
  
   set State(band_menu)       { "800"  "800 SPLNT"  "800 REBND" "VHF/UHF"  "900"  "USER" }

   set State(conn_tone_menu)  { "105" "76" "83" "90" "97" "116" "128" "138" }

   set State(call_type_menu)  { "ANALOG" "DIGITAL" }
}

