#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001      DESIGN ENGINEERING        #
# --------------------------------------------------------------------------#
# FILE        : 2110.save_as.tcl                                            #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Nghia Tran                                                  #
# DESCRIPTION : This namespace manages the Save as Screen                   #
#############################################################################
#                                                                           #
# Required Variables:                                                       #
#    LongName           Name of screen                                      #
#    ShortName          Name of screen for menus                            #
#    RecomendedTiles    List of tiles available for this screen. It is not  #
#                       necessary to put a tile on this list that is on the #
#                       RequiredTiles list                                  #
#    NotAllowedTiles    List of tiles NEVER on this screen                  #
#    RequiredTiles      List of tiles ALWAYS on this screen                 #
#    ActiveTiles        List of tiles currently displayed on this screen    #
#    MenuFlags          0 = Active Screen                                   #
#                       1 = Currently functioning as a submenu parent       #
#                                                                           #
# Required Variables for submenu "Screens":                                 #
#    SubmenuScreens     List of all tiles (or submenus) for droplist        #
#    SubDirPath         Path to subdirectory holding the screens for the    #
#                       submenu of this "screen"                            #
#                                                                           #
#############################################################################
#                                                                           #
# Dummy Functions:                                                          #
#    Setup              Called by the screen manager to create the screen.  #
#    Map                Called when screen is mapped on window              #
#    Unmap              Called when screen is removed from display          #
#    Destroy            Called when screen is destroyed                     #
#                                                                           #
#############################################################################


namespace eval Save_as_Screen \
{
  #variable  LongName      "default_Screen"
  #variable  ShortName     "Save as ..."
  #
  #variable  MenuFlags     0
  #variable  Is_transient  1


  #****************************************************************************
  # Name:        Setup
  # Parameters:  parent		parent of child window
  # Description: Dummy function
  # Returns:     Indicator that no tile is generated
  #****************************************************************************
  proc Setup { parent } \
  {
    # Open Save_setup tile
    #::Save_setup::Create $parent
    Save_setup::display_save  $parent

    # We are not generating a tile to pack into the main screen to return NULL
    return ""
  }


  #****************************************************************************
  # Functions executed when the namespace is sourced
  #****************************************************************************
  ##::View::RegisterScreen Save_as_Screen	   ;# Add this on the menu

}  ;# End of the Save_as_Screen

