#***************************************************************************
#
# Test procedure:  Test #2:  Analog Transmitter Test
#
#***************************************************************************


namespace eval Test_Analog_Tx \
{
  variable  short_name  "analog_tx"
  
  variable  long_name   "Analog Transmitter Test"
  
  variable  tile_class  "TEST_ANALOG_TX"

  variable  test_data
  
  set test_data(chan_list)  {}

  set test_data(channel)  1
  

  
  namespace import ::Auto_Test_2::*
    
  #***************************************************************************
  #
  #        Name: Create
  #
  #  Parameters: parent - parent of child window
  #
  # Description: Creates the tile
  #
  #***************************************************************************
  proc Create { parent } \
  {
    #puts "Test_Analog_Tx::Create:  $parent"

    variable  short_name
    variable  tile_class

    set tile_path  [name_child  $parent  $short_name]
    
    if { ![winfo exists $tile_path] } \
    {
      set tile_path  [Screens::create_tile  $tile_path  $short_name  $tile_class]
    }  
     
    return  $tile_path
  }


  #***************************************************************************
  #
  #        Name: Map
  #
  #  Parameters: 
  #
  # Description: Initializes the tile
  #
  #***************************************************************************
  proc Map { tile_path } \
  {
    #puts "::Test_Analog_Tx::Map:  $tile_path"
    
    #set tile_path  [get_tile  $tile_path]
    
    # Set the configuration data
    set_channel_data  $tile_path
    
    # Set the Expected Subaudio units
    set_subaudio_units  $tile_path
    
    # Set the DTMF Deviation Test ENABLE / DISABLE
    set_dtmf_dev_enable  $tile_path

    return
  }


  #***************************************************************************
  #
  #        Name: Cleanup
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Cleanup { tile_path } \
  {
    #puts "::Test_Analog_Tx::Cleanup:  $tile_path"

    #set tile_path  [get_tile  $tile_path]
    
    return
  }


  #***************************************************************************
  #
  #        Name: Unmap
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Unmap { tile_path } \
  {
    #puts "::Test_Analog_Tx::Unmap:  $tile_path"

    #set tile_path  [get_tile  $tile_path]

    Cleanup  $tile_path
    
    return
  }


  #***************************************************************************
  #
  #        Name: Destroy
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Destroy { tile_path } \
  {
    #puts "::Test_Analog_Tx::Destroy:  $tile_path"

    #set tile_path  [get_tile  $tile_path]

    Cleanup  $tile_path

    return
  }

  #***************************************************************************
  #  Name: default_all_channel_data
  #  Parameters:   None
  #  Description:  This function does a validation on the test_data array to
  #     insure that array data exists for all defined channel values
  #***************************************************************************
  proc default_all_channel_data { } \
  {
     #puts "::Test_Analog_Tx::default_all_channel_data"
     variable  test_data

     foreach { chan } $test_data(chan_list) \
     {
        set_default_channel_data $chan
     }
  }
  #***************************************************************************
  #  Name: set_default_channel_data
  #  Parameters:   chan         Channel number to set up
  #  Description:  This function does a validation on the test_data array to
  #     insure that array data exists for the requested channel value
  #***************************************************************************
  proc set_default_channel_data { chan } \
  {
     puts "::Test_Analog_Tx::set_default_channel_data:  $chan"
  
     variable  test_data

     # Configure the Frequency entry
     if { ![info exists test_data($chan,freq)] } \
     {
        set test_data($chan,freq)  "0.000000"
     }
    
     # Configure the Audio Injection Level entry
     if { ![info exists test_data($chan,audio_inj)] } \
     {
        set test_data($chan,audio_inj)  "1.00"
     }

     # Configure Audio #1 coupling
     if { ![info exists test_data($chan,audio_bal)] } \
     {
        set test_data($chan,audio_bal)  "BALANCED"
     }

     # Configure Audio #1 attenuation
     if { ![info exists test_data($chan,audio_lvl)] } \
     {
        set test_data($chan,audio_lvl)  "x0.1"
     }

     # Configure the Expected Subaudio menubutton and menu
     if { ![info exists test_data($chan,subaudio_type)] } \
     {
        set test_data($chan,subaudio_type)  "NONE"
     }

     # Configure the DCS code menubutton
     if { ![info exists test_data($chan,dcs_code)] } \
     {
        set test_data($chan,dcs_code)  "023"
     }
    
     # Configure the CTCSS code menubutton
     if { ![info exists test_data($chan,ctcss_code)] } \
     {
        set test_data($chan,ctcss_code)  "XZ"
     }
    
     # Configure the CTCSS code menu
     if { ![info exists test_data($chan,ctcss_code_and_freq)] } \
     {
        set test_data($chan,ctcss_code_and_freq)  "XZ - 67.0"
     }

     # Configure the Expected Subaudio units label
     if { ![info exists test_data($chan,subaudio_units)] } \
     {
        set test_data($chan,subaudio_units)  ""
     }

     # Configure the DTMF Deviation Enable / Disable button
     if { ![info exists test_data($chan,dtmf_dev_enable)] } \
     {
        set test_data($chan,dtmf_dev_enable)  "DISABLED"
     }

     # Configure the Power max and min entries
     if { ![info exists test_data($chan,power_max)] } \
     {
        set test_data($chan,power_max)  "0.00"
     }
     if { ![info exists test_data($chan,power_min)] } \
     {
        set test_data($chan,power_min)  "0.00"
     }

     # Configure the Frequency Error max and min entries
     if { ![info exists test_data($chan,freq_err_max)] } \
     {
        set test_data($chan,freq_err_max)  "0.00"
     }

     if { ![info exists test_data($chan,freq_err_min)] } \
     {
        set test_data($chan,freq_err_min)  "0.00"
     }

     # Configure the Expected Subaudio Deviation max and min entries
     if { ![info exists test_data($chan,subaudio_dev_max)] } \
     {
        set test_data($chan,subaudio_dev_max)  "0.00"
     }
     if { ![info exists test_data($chan,subaudio_dev_min)] } \
     {
        set test_data($chan,subaudio_dev_min)  "0.00"
     }

     # Configure the FM Deviation max and min entries
     if { ![info exists test_data($chan,fm_dev_max)] } \
     {
        set test_data($chan,fm_dev_max)  "0.00"
     }
     if { ![info exists test_data($chan,fm_dev_min)] } \
     {
        set test_data($chan,fm_dev_min)  "0.00"
     }

     # Configure the Distortion max entry
     if { ![info exists test_data($chan,dist_max)] } \
     {
        set test_data($chan,dist_max)  "0.00"
     }

     # Configure the DTMF Deviation max and min entries
     if { ![info exists test_data($chan,dtmf_dev_max)] } \
     {
        set test_data($chan,dtmf_dev_max)  "0.00"
     }
     if { ![info exists test_data($chan,dtmf_dev_min)] } \
     {
        set test_data($chan,dtmf_dev_min)  "0.00"
     }
  }
  #***************************************************************************
  #
  #        Name: set_channel_data
  #
  #  Parameters: tile_path  - tile path of the invoking widget
  #
  # Description: Sets the text variables of the configuration display 
  #              depending on the channel number
  #
  #***************************************************************************
  proc set_channel_data { tile_path } \
  {
     #puts "set_channel_data:  $tile_path"
  
     variable  test_data
 
     set tile_path  [get_tile  $tile_path]
    
     set tile_path  ${tile_path}.frm_config.analog_tx

     set chan  $test_data(channel)
      
     # Determine if the present channel number is in the channel list.
     # If it is not, append the new value and then sort the list in
     # increasing order.
     if { [lsearch $test_data(chan_list) $chan] == -1 } \
     {
        lappend test_data(chan_list)  $chan
      
        if [oldCatch { set tempList  [lsort -increasing -integer $test_data(chan_list)]} err] \
        {
           set tempList  [lsort -increasing $test_data(chan_list)]
        }
        set test_data(chan_list) $tempList
        set_default_channel_data $chan
     }
      
     # Configure the Frequency entry
     ${tile_path}.ent_freq  config  \
                         -textvariable ::Test_Analog_Tx::test_data($chan,freq)

     # Configure the Audio Injection Level entry
     ${tile_path}.ent_audio_inj  config  \
                    -textvariable ::Test_Analog_Tx::test_data($chan,audio_inj)

     # Configure Audio #1 coupling
     ${tile_path}.btn_audio_output_bal  config  \
                    -textvariable ::Test_Analog_Tx::test_data($chan,audio_bal)

     # Configure Audio #1 attenuation
     ${tile_path}.btn_audio_output_lvl  config  \
                    -textvariable ::Test_Analog_Tx::test_data($chan,audio_lvl)

     # Configure the Expected Subaudio menubutton and menu
     ${tile_path}.mnu_subaudio_type  config  \
                -textvariable ::Test_Analog_Tx::test_data($chan,subaudio_type)
     set max_index  [${tile_path}.mnu_subaudio_type.menu  index  end]
     for { set i  0 } { $i <= $max_index } { incr i  1 } \
     {
        ${tile_path}.mnu_subaudio_type.menu  entryconfig  $i  \
                    -variable ::Test_Analog_Tx::test_data($chan,subaudio_type)
     }

     # Configure the DCS code menubutton
     ${tile_path}.mnu_dcs_codes  config  \
                     -textvariable ::Test_Analog_Tx::test_data($chan,dcs_code)

     # Configure the DCS code menu
     set max_index  [${tile_path}.mnu_dcs_codes.menu  index  end]
     for { set i  0 } { $i <= $max_index } { incr i  1 } \
     {
        ${tile_path}.mnu_dcs_codes.menu  entryconfig  $i  \
                         -variable ::Test_Analog_Tx::test_data($chan,dcs_code)
     }

     # Configure the CTCSS code menubutton
     ${tile_path}.mnu_ctcss_codes  config  \
                   -textvariable ::Test_Analog_Tx::test_data($chan,ctcss_code)

     # Configure the CTCSS code menu
     set max_index  [${tile_path}.mnu_ctcss_codes.menu  index  end]
     for { set i  0 } { $i <= $max_index } { incr i  1 } \
     {
        ${tile_path}.mnu_ctcss_codes.menu  entryconfig  $i  \
              -variable ::Test_Analog_Tx::test_data($chan,ctcss_code_and_freq)
     }

     # Configure the Expected Subaudio units label
     ${tile_path}.lbl_subaudio_units  config  \
               -textvariable ::Test_Analog_Tx::test_data($chan,subaudio_units)

     # Configure the DTMF Deviation Enable / Disable button
     ${tile_path}.btn_dtmf_dev_enable  config  \
              -textvariable ::Test_Analog_Tx::test_data($chan,dtmf_dev_enable)

     # Configure the Power max and min entries
     ${tile_path}.ent_power_max  config  \
                    -textvariable ::Test_Analog_Tx::test_data($chan,power_max)
     ${tile_path}.ent_power_min  config  \
                    -textvariable ::Test_Analog_Tx::test_data($chan,power_min)
             
     # Configure the Frequency Error max and min entries
     ${tile_path}.ent_freq_err_max  config  \
                 -textvariable ::Test_Analog_Tx::test_data($chan,freq_err_max)
     ${tile_path}.ent_freq_err_min  config  \
                 -textvariable ::Test_Analog_Tx::test_data($chan,freq_err_min)
             
     # Configure the Expected Subaudio Deviation max and min entries
     ${tile_path}.ent_subaudio_dev_max  config  \
             -textvariable ::Test_Analog_Tx::test_data($chan,subaudio_dev_max)
     ${tile_path}.ent_subaudio_dev_min  config  \
             -textvariable ::Test_Analog_Tx::test_data($chan,subaudio_dev_min)
             
     # Configure the FM Deviation max and min entries
     ${tile_path}.ent_fm_dev_max  config  \
                   -textvariable ::Test_Analog_Tx::test_data($chan,fm_dev_max)
     ${tile_path}.ent_fm_dev_min  config  \
                   -textvariable ::Test_Analog_Tx::test_data($chan,fm_dev_min)
             
     # Configure the Distortion max entry
     ${tile_path}.ent_dist_max  config  \
                     -textvariable ::Test_Analog_Tx::test_data($chan,dist_max)
             
     # Configure the DTMF Deviation max and min entries
     ${tile_path}.ent_dtmf_dev_max  config  \
                 -textvariable ::Test_Analog_Tx::test_data($chan,dtmf_dev_max)
     ${tile_path}.ent_dtmf_dev_min  config  \
                 -textvariable ::Test_Analog_Tx::test_data($chan,dtmf_dev_min)
  }


  #***************************************************************************
  #
  #        Name: set_subaudio_units
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the units of the Expected Subaudio:
  #              CTCSS - no units
  #              DCS   - oct., to indicate an octal entry
  #
  #***************************************************************************
  proc set_subaudio_units { tile_path } \
  {
    #puts "set_subaudio_units:  $tile_path"
    
    variable  test_data
  
    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.analog_tx

    set chan  $test_data(channel)
    
    switch -- $test_data($chan,subaudio_type) \
    {
      "NONE"   { set test_data($chan,subaudio)  ""
                 set test_data($chan,subaudio_units)  ""
                 
                 grid remove  ${tile_path}.mnu_dcs_codes
                 grid remove  ${tile_path}.mnu_ctcss_codes
                 
                 grid remove  ${tile_path}.lbl_subaudio_dev
                 grid remove  ${tile_path}.lbl_max3
                 grid remove  ${tile_path}.ent_subaudio_dev_max
                 grid remove  ${tile_path}.lbl_min3
                 grid remove  ${tile_path}.ent_subaudio_dev_min
                 grid remove  ${tile_path}.lbl_subaudio_dev_units
               }
    
      "CTCSS"  { grid remove  ${tile_path}.mnu_dcs_codes

                 Screens::position_widget  ${tile_path}.mnu_ctcss_codes
                 
                 Screens::position_widget  ${tile_path}.lbl_subaudio_dev
                 Screens::position_widget  ${tile_path}.lbl_max3
                 Screens::position_widget  ${tile_path}.ent_subaudio_dev_max
                 Screens::position_widget  ${tile_path}.lbl_min3
                 Screens::position_widget  ${tile_path}.ent_subaudio_dev_min
                 Screens::position_widget  ${tile_path}.lbl_subaudio_dev_units
                 
                 # Set the CTCSS code and frequency
                 set_ctcss_code  $tile_path
               }
    
      "DCS"    { grid remove  ${tile_path}.mnu_ctcss_codes

                 Screens::position_widget  ${tile_path}.mnu_dcs_codes
                 
                 Screens::position_widget  ${tile_path}.lbl_subaudio_dev
                 Screens::position_widget  ${tile_path}.lbl_max3
                 Screens::position_widget  ${tile_path}.ent_subaudio_dev_max
                 Screens::position_widget  ${tile_path}.lbl_min3
                 Screens::position_widget  ${tile_path}.ent_subaudio_dev_min
                 Screens::position_widget  ${tile_path}.lbl_subaudio_dev_units
                 
                 # Set the DCS code
                 set_dcs_code  $tile_path
               }
    }
          
    return
  }


  #***************************************************************************
  #
  #        Name: set_ctcss_code
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the CTCSS code for the Subaudio tone
  #
  #***************************************************************************
  proc set_ctcss_code { tile_path } \
  {
    #puts "set_ctcss_code:  $tile_path"
    
    variable  test_data

    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.analog_rx

    # Get the present channel
    set chan  $test_data(channel)

    foreach { code  dash  freq } $test_data($chan,ctcss_code_and_freq) { }
    
    # Get the code, and display it on the menubutton
    set test_data($chan,ctcss_code)  $code
    
    # Get the code frequency, and display it in the 'freq' field,
    set test_data($chan,subaudio_units)  "freq:  $freq"

    # Set the 'test_data' variable to the frequency
    set test_data($chan,subaudio)  $freq
    
    return
  }


  #***************************************************************************
  #
  #        Name: set_dcs_code
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the DCS code for the Subaudio tone
  #
  #***************************************************************************
  proc set_dcs_code { tile_path } \
  {
    #puts "set_dcs_code:  $tile_path"
    
    variable  test_data

    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.analog_rx

    # Get the present channel
    set chan  $test_data(channel)

    # Display the octal representation
    set test_data($chan,subaudio_units)  "(oct.)"

    # Set the 'test_data' variable to the DCS code
    set test_data($chan,subaudio)  $test_data($chan,dcs_code)
    
    return
  }


  #***************************************************************************
  #
  #        Name: set_dtmf_dev_enable
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the state of the DTMF Deviation Test between
  #              ENABLE and DISABLE
  #
  #***************************************************************************
  proc set_dtmf_dev_enable { tile_path } \
  {
    #puts "set_dtmf_dev_enable:  $tile_path"
    
    variable  test_data
  
    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.analog_tx

    set chan  $test_data(channel)
    
    if { $test_data($chan,dtmf_dev_enable) == "ENABLED" } \
    {
      Screens::position_widget  ${tile_path}.lbl_dtmf_dev
      Screens::position_widget  ${tile_path}.lbl_max6
      Screens::position_widget  ${tile_path}.ent_dtmf_dev_max
      Screens::position_widget  ${tile_path}.lbl_min6
      Screens::position_widget  ${tile_path}.ent_dtmf_dev_min
      Screens::position_widget  ${tile_path}.lbl_dtmf_dev_units
    } \
    else \
    {
      grid remove  ${tile_path}.lbl_dtmf_dev
      grid remove  ${tile_path}.lbl_max6
      grid remove  ${tile_path}.ent_dtmf_dev_max
      grid remove  ${tile_path}.lbl_min6
      grid remove  ${tile_path}.ent_dtmf_dev_min
      grid remove  ${tile_path}.lbl_dtmf_dev_units
    }
          
    return
  }


  #***************************************************************************
  #
  #        Name: toggle_dtmf_dev_enable
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Toggles the state of the DTMF Deviation Test between
  #              ENABLE and DISABLE
  #
  #***************************************************************************
  proc toggle_dtmf_dev_enable { tile_path } \
  {
    #puts "toggle_dtmf_dev_enable:  $tile_path"
    
    variable  test_data
  
    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.analog_tx

    set chan  $test_data(channel)
    
    if { $test_data($chan,dtmf_dev_enable) == "ENABLED" } \
    {
      set test_data($chan,dtmf_dev_enable)  "DISABLED"
      
      grid remove  ${tile_path}.lbl_dtmf_dev
      grid remove  ${tile_path}.lbl_max6
      grid remove  ${tile_path}.ent_dtmf_dev_max
      grid remove  ${tile_path}.lbl_min6
      grid remove  ${tile_path}.ent_dtmf_dev_min
      grid remove  ${tile_path}.lbl_dtmf_dev_units
    } \
    else \
    {
      set test_data($chan,dtmf_dev_enable)  "ENABLED"

      Screens::position_widget  ${tile_path}.lbl_dtmf_dev
      Screens::position_widget  ${tile_path}.lbl_max6
      Screens::position_widget  ${tile_path}.ent_dtmf_dev_max
      Screens::position_widget  ${tile_path}.lbl_min6
      Screens::position_widget  ${tile_path}.ent_dtmf_dev_min
      Screens::position_widget  ${tile_path}.lbl_dtmf_dev_units
    }
          
    return
  }


  #***************************************************************************
  #
  #        Name: test
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Runs the test
  #
  #***************************************************************************
  proc test { tile_path  } \
  {
    #puts "test:  $tile_path"
    
    variable  test_data

    set tile_path  [get_tile  $tile_path]

    Append  Test 2 "Analog Transmitter Test"

    if [Abort] \
    {
      return
    }
    
    # Setup for Test #2
    Print  "Setting up for Test #2 ..."

    setup
    
    after 2000

    # Set the Receiver frequency
    foreach { chan } $test_data(chan_list) \
    {
      if [Abort] \
      {
        break
      }
    
      Receiver freq  $test_data($chan,freq)  -nowait

      if { ![info exists test_data($chan,audio_bal)] } \
      {
        set test_data($chan,audio_bal)  "BALANCED"
      }
      if { $test_data($chan,audio_bal) == "BALANCED" } \
      {
         BBAudio  fgenbalance  BALAN  -nowait
      } else \
      {
         BBAudio  fgenbalance  UNBAL  -nowait
      }

      if { ![info exists test_data($chan,audio_lvl)] } \
      {
        set test_data($chan,audio_lvl)  "x0.1"
      }
      if { $test_data($chan,audio_lvl) == "x1" } \
      {
         BBAudio  fgenlevel    0      -nowait
      } else \
      {
         BBAudio  fgenlevel    1      -nowait
      }

      after 4000
      
      
      Format  "Monitor Channel"  "$chan"  "%s"

      Format  "Monitor Frequency"  "$test_data($chan,freq)"  "%.6f"  "MHz"

      # Prompt the operator to key the radio
      set title  "Operator Instruction"
      
      set prompt_text  "Set the radio to Channel $chan \n\n"
      
      append prompt_text  "\[Frequency:  $test_data($chan,freq)\]\n\n"
      
      append prompt_text  "Key up the radio"
       
      # Display a NO WAIT dialog then wait for the Power level to exceed 0.1 W
      wait_for_power $tile_path $prompt_text
      
      # Subtest #1:  Measure Power
      # Get the reading
      set result  [Auto_Test_2::settle_reading  "Power" "value"]
      
      set max  $test_data($chan,power_max)
      set min  $test_data($chan,power_min)
      
      # Check the result
      if { $result >= $min && $result <= $max } \
      {
        Format  "Power Level"  "$result"  "%.2f"  "W"  "PASS"
      } \
      else \
      {
        Format  "Power Level"  "$result"  "%.2f"  "W"  "FAIL"
      }

      # Subtest #2:  Measure Frequency Error
      # Get the reading
      set result_hz  [Auto_Test_2::settle_reading  "RFError" "value"]
      
      # Convert the Freq Error to PPM
      if { $test_data($chan,freq) == 0.0 } \
      {
        set result_ppm  0.0
      } \
      else \
      {
        # Value of frequency is entered in MHz
        set result_ppm  [expr  $result_hz / $test_data($chan,freq)]
      }

      # Get the Freq Error values in PPM
      set max_err  $test_data($chan,freq_err_max)
      set min_err  $test_data($chan,freq_err_min)
      
      # Check the result
      if { $result_hz >= $min_err && $result_hz <= $max_err } \
      {
        Format  "Frequency Error"  "$result_hz"  "%.2f"  "Hz"  "PASS"
      } \
      else \
      {
        Format  "Frequency Error"  "$result_hz"  "%.2f"  "Hz"  "FAIL"
      }
      
      # Subtest #3:  Measure Subaudio Deviation
      if { $test_data($chan,subaudio_type) != "NONE" } \
      {
        # Setup
        # Turn on a Receiver Low Pass filter
        Receiver filter  2  -nowait
        
        after 1000
  
        # Get the reading
        set result  [Auto_Test_2::settle_reading  "FMDev" "value"]
        
        set max  $test_data($chan,subaudio_dev_max)
        set min  $test_data($chan,subaudio_dev_min)
      
        # Check the result
        if { $result >= $min && $result <= $max } \
        {
          Format  "Expected Subaudio Dev"  "$result"  "%.2f"  "kHz"  "PASS"
        } \
        else \
        {
          Format  "Expected Subaudio Dev"  "$result"  "%.2f"  "kHz"  "FAIL"
        }

        # Set the Receiver filter to 'NO FILTER'
        Receiver filter  0  -nowait
      }

      # Subtest #4:  Measure FM Deviation
      # Setup
      # Turn on FGen #1, Tone
      FGen  mode1  TONE  -nowait
      # bandpass the receiver
      Receiver filter  7  -nowait

      after 1000

      FGen  level1  $test_data($chan,audio_inj)  -nowait
      FGen  shape1  SINE                         -nowait
      FGen  freq1   1000.0                       -nowait
              
      after 2000
      
      # Get the reading
      set result  [settle_reading  "FMDev" "value"]
      
      set max  $test_data($chan,fm_dev_max)
      set min  $test_data($chan,fm_dev_min)
      
      # Check the result
      if { $result >= $min && $result <= $max } \
      {
        Format  "Modulation Deviation"  "$result"  "%.2f"  "kHz"  "PASS"
      } \
      else \
      {
        Format  "Modulation Deviation"  "$result"  "%.2f"  "kHz"  "FAIL"
      }
      # restore the receiver to wideband
      Receiver filter  0  -nowait
      # Subtest #5:  Measure Distortion
      # Get the reading
      set result  [settle_reading  "Dist" "value"]
      
      set max  $test_data($chan,dist_max)
      
      # Check the result
      if { $result <= $max } \
      {
        Format  "Distortion"  "$result"  "%.2f"  "%"  "PASS"
      } \
      else \
      {
        Format  "Distortion"  "$result"  "%.2f"  "%"  "FAIL"
      }

      # Turn off FGen #1, Tone
      FGen mode1  OFF  -nowait
      
      after 1000

      # Subtest #6:  Measure DTMF Deviation
      if { $test_data($chan,dtmf_dev_enable) == "ENABLED" } \
      {
        # Setup
        # Turn on the DTMF decoder
        Dtmf run  1  -nowait
        Dtmf en   3  -nowait
        
        # Clear the present DTMF digits
        set ::Dtmf::State(digit)          ""
        set ::Dtmf::State(dtmf_received)  ""
        # bandpass the receiver
        Receiver filter  7  -nowait
        
        after 2000
        
        # Prompt the operator to press and hold a key
        set title  "Operator Instruction"
       
        set prompt_text  "Press and hold any key pad button for 5 seconds"
       
        # Display a NO WAIT dialog then wait for valid DTMF tone signaling or ABORT
        set wait_tile_path  [wait_dialog  $tile_path  $title  $prompt_text  "ABORT"]

        # Measure the Deviation when a DTMF digit is received
        while { $::Dtmf::State(digit) == "" && ![Abort] } \
        {
           after 100
        }
        
        if [Abort] \
        {
          break
        } \
        else \
        {
          # Remove the NO WAIT dialog from the display
          # if DTMF tone signaling was detected
          wait_dialog_remove  $wait_tile_path
        }
        
        after 4000

        # Get the reading
        set result  [settle_reading  "FMDev" "value"]
        
        set max  $test_data($chan,dtmf_dev_max)
        set min  $test_data($chan,dtmf_dev_min)
      
        # Check the result
        if { $result >= $min && $result <= $max } \
        {
          Format  "DTMF Deviation"  "$result"  "%.2f"  "kHz"  "PASS"
        } \
        else \
        {
          Format  "DTMF Deviation"  "$result"  "%.2f"  "kHz"  "FAIL"
        }


        # Clear the present DTMF digits
        set ::Dtmf::State(digit)          ""
        set ::Dtmf::State(dtmf_received)  ""

        # Prompt the operator to enter a key sequence
        set title  "Operator Instruction"
       
        set prompt_text  "Press any series of key pad buttons"
       
        # Display a NO WAIT dialog then wait for valid DTMF tone signaling or ABORT
        set wait_tile_path  [wait_dialog  $tile_path  $title  $prompt_text  "ABORT"]

        # Measure the Deviation when a DTMF digit is received
        while { $::Dtmf::State(digit) == "" && ![Abort] } \
        {
          after 100
        }
        
        if [Abort] \
        {
          break
        } \
        else \
        {
          # Remove the NO WAIT dialog from the display
          # if DTMF tone signaling was detected
          wait_dialog_remove  $wait_tile_path
        }
        
        after 5000
        
        # Get the DTMF digit sequence
        Format  "DTMF Digits"  "$::Dtmf::State(dtmf_received)"  "%s"  ""  ""
      }
      # restore the receiver to wideband
      Receiver filter  0  -nowait

      # Test shutdown calls
      if { $test_data($chan,dtmf_dev_enable) == "ENABLED" } \
      {
        # Turn off the DTMF decoder
        Dtmf run  0  -nowait
      }
      
      wait_for_no_power $tile_path
    }

    return
  }


  #***************************************************************************
  #
  #        Name: setup
  #
  #  Parameters:
  #
  # Description: Sets up for the ANALOG TX test
  #
  #***************************************************************************
  proc setup { } \
  {
    #puts "setup"
    
    # Setup Receiver
    Receiver freq          170.000000  -nowait
    Receiver rfinput       0           -nowait
    Receiver atten         0           -nowait
    Receiver ifbw          30000       -nowait
    Receiver demod         10          -nowait
    Receiver range         WIDE        -nowait
    Receiver hwagc         1           -nowait
    Receiver agcmode       1           -nowait
    Receiver filter        7           -nowait
    Receiver squelchmode   1           -nowait
    Receiver squelchlevel  216         -nowait
    Receiver lock          1           -nowait
    Receiver::Config_agc   300 -10.5 -9.5 4
    

    # Setup Power
    Power enable    255    -nowait
    Power peakhold  0      -nowait
    Power alerts    0      -nowait
    Power ulimit    0.0    -nowait
    Power llimit    0.0    -nowait
    Power cable     0.00   -nowait
    Power prange    0      -nowait
    
    set ::Power::State(BellEnabled) {0}
    

    # Setup BBAudio
    BBAudio  micbias      ELEC   -nowait
    BBAudio  sinadbal     BALAN  -nowait
    BBAudio  demodfilter  TONE   -nowait
    BBAudio  fgenfilter   TONE   -nowait
    BBAudio  fgenbalance  BALAN  -nowait
    BBAudio  fgenlevel    1      -nowait

    BBAudio  clearmixer  SPKR  -nowait
    BBAudio::set_bbaudio_route  L1  SPKR   1;  # DEMOD to Speaker
    BBAudio::update_mixers [BBAudio getmixer SPKR]

    BBAudio  clearmixer  DEMOD  -nowait
    BBAudio::update_mixers [BBAudio getmixer DEMOD]

    BBAudio  clearmixer  FGEN  -nowait
    BBAudio::set_bbaudio_route  FGEN1  FGEN  1;  # FGen 1 to Audio Out #1
    BBAudio::update_mixers [BBAudio getmixer FGEN]

    BBAudio  clearmixer  L1  -nowait
    BBAudio::update_mixers [BBAudio getmixer L1]
    
    BBAudio  clearmixer  USER0  -nowait
    BBAudio::update_mixers [BBAudio getmixer USER0]

    BBAudio  clearmixer  USER1  -nowait
    BBAudio::update_mixers [BBAudio getmixer USER1]

    
    # Setup FMDev
    FMDev run     1     -nowait 
    FMDev math    0     -nowait
    FMDev trig    1     -nowait
    FMDev avg     1000  -nowait
    FMDev en      3     -nowait
    FMDev peak    0     -nowait
    FMDev alerts  0     -nowait
    FMDev ulim    0.00  -nowait
    FMDev llim    0.00  -nowait
    
    catch { FMDev  squ  0  -nowait }
    
    set ::FMDev::State(BellEnabled)  {0}
    set ::FMDev::State(resolution)   {1.0}
    

    # Setup RFError
    RFError run     1     -nowait
    RFError gate    0     -nowait
    RFError avg     20    -nowait
    RFError en      3     -nowait
    RFError peak    0     -nowait
    RFError alerts  0     -nowait
    RFError ulim    0.00  -nowait
    RFError llim    0.00  -nowait
    
    set ::RFError::State(BellEnabled)   {0}
    set ::RFError::State(resolution)    {1.0}
    set ::RFError::State(units)         {Hz}
    

    # Setup Sinad
    Sinad run     1        -nowait
    Sinad math    1        -nowait
    Sinad trig    2        -nowait
    Sinad avg     1        -nowait
    Sinad filter  10       -nowait
    Sinad en      3        -nowait
    Sinad peak    0        -nowait
    Sinad alerts  0        -nowait
    Sinad ulim    0.00     -nowait
    Sinad llim    0.00     -nowait
    Sinad encwt   OFF      -nowait
    Sinad rate    4        -nowait
    Sinad minx    0        -nowait
    Sinad maxx    20000    -nowait
    Sinad miny    -80.0    -nowait
    Sinad maxy    0.0      -nowait
    Sinad size    2048     -nowait
    Sinad alpha   2.6      -nowait
    Sinad window  1        -nowait
    Sinad lnoise  300.0    -nowait
    Sinad hnoise  4000.0   -nowait
    Sinad lnotch  900.0    -nowait
    Sinad hnotch  1100.0   -nowait
    Sinad enablecwt 1      -nowait 
    catch { Sinad  log  0  -nowait }
    
    Dist peak    0     -nowait
    Dist alerts  0     -nowait
    Dist ulim    0.00  -nowait
    Dist llim    0.00  -nowait
    
    set ::Sinad::State(Sinad.BellEnabled)   {0}
    set ::Sinad::State(Sinad.resolution)    {1.0}
    set ::Sinad::State(Dist.BellEnabled)    {0}
    set ::Sinad::State(Dist.resolution)     {1.0}
    
    Sinad::Input {DEMOD}


    # Setup Function Generators
    FGen::setMode  1  OFF
    FGen::setMode  2  OFF
    FGen::setMode  3  OFF
    FGen::setMode  4  OFF

    return
  }

  #***************************************************************************
  # Name:        toggle_audio_balance
  # Parameters:  none
  # Description: This function toggles the audio 1 output balance setting.
  #***************************************************************************
  proc toggle_audio_balance { } \
  {
     variable  test_data
     
     set chan  $test_data(channel)
     
     if {$test_data($chan,audio_bal) == "UNBALANCED"} \
     {
        set test_data($chan,audio_bal) "BALANCED"
     } else \
     {
        set test_data($chan,audio_bal) "UNBALANCED"
        set test_data($chan,audio_lvl) "x1"
     }
  }

  #***************************************************************************
  # Name:        toggle_audio_level
  # Parameters:  none
  # Description: This function toggles the audio 1 output level setting.
  #***************************************************************************
  proc toggle_audio_level { } \
  {
     variable  test_data

     set chan  $test_data(channel)
     
     if {$test_data($chan,audio_bal) == "UNBALANCED"} \
     {
        set test_data($chan,audio_lvl) "x1"
        return
     }
     if {$test_data($chan,audio_lvl) == "x0.1"} \
     {
        set test_data($chan,audio_lvl) "x1"
     } else \
     {
        set test_data($chan,audio_lvl) "x0.1"
     }
  }

  #***************************************************************************
  #
  #        Name: get_config_summary
  #
  #  Parameters:
  #
  # Description: Returns the a formatted summary of the present 
  #              configuration
  #
  #***************************************************************************
  proc get_config_summary { } \
  {
    #puts "get_config_summary"
    
    variable  test_data
    
    set return_list  {}

    append return_list  "**** Analog Transmitter Test Configuration **** \n\n"
      
    if { $test_data(chan_list) == "" } \
    {
      append return_list  "  NO CONFIGURATION DATA \n"
    }

    foreach { chan } $test_data(chan_list) \
    {
      append return_list  "  Setup    Channel:                 $chan  \n"
      append return_list  "           Freq:                    $test_data($chan,freq)          \n"
      append return_list  "           Audio Inj. Level:        $test_data($chan,audio_inj)     \n"
      append return_list  "           Audio Attenuation:       $test_data($chan,audio_lvl)     \n"
      append return_list  "           Audio Coupling:          $test_data($chan,audio_bal)     \n"
      append return_list  "           Expected Subaudio Type:  $test_data($chan,subaudio_type) \n"
      
      if { $test_data($chan,subaudio_type) == "CTCSS" } \
      {
        append return_list  "           Expected Subaudio:       $test_data($chan,subaudio) Hz \n"
      } \
      elseif { $test_data($chan,subaudio_type) == "DCS" } \
      {
        append return_list  "           Expected Subaudio:       $test_data($chan,subaudio) oct. \n"
      }

      append return_list  "           DTMF Deviation Test:     $test_data($chan,dtmf_dev_enable) \n"
      
      append return_list  "\n"

      append return_list  "  Pass/Fail   Power \n"
      append return_list  "                max:  $test_data($chan,power_max) \n"
      append return_list  "                min:  $test_data($chan,power_min) \n"
      append return_list  "              Frequency Error \n"
      append return_list  "                max:  $test_data($chan,freq_err_max) \n"
      append return_list  "                min:  $test_data($chan,freq_err_min) \n"

      if { $test_data($chan,subaudio_type) != "NONE" } \
      {
        append return_list  "              Expected Subaudio Deviation \n"
        append return_list  "                max:  $test_data($chan,subaudio_dev_max) \n"
        append return_list  "                min:  $test_data($chan,subaudio_dev_min) \n"
      }
      
      append return_list  "              FM Deviation \n"
      append return_list  "                max:  $test_data($chan,fm_dev_max) \n"
      append return_list  "                min:  $test_data($chan,fm_dev_min) \n"
      append return_list  "              Distortion \n"
      append return_list  "                max:  $test_data($chan,dist_max) \n"

      if { $test_data($chan,dtmf_dev_enable) == "ENABLED" } \
      {
        append return_list  "              DTMF Deviation \n"
        append return_list  "                max:  $test_data($chan,dtmf_dev_max) \n"
        append return_list  "                min:  $test_data($chan,dtmf_dev_min) \n"
      }
    }

    append return_list  " \n\n"

    return  [subst -nocommands $return_list]
  }


  #***************************************************************************
  #
  #        Name: get_html_config
  #
  #  Parameters:
  #
  # Description: Returns the an HTML formatted configuration display
  #
  #***************************************************************************
  proc get_html_config { } \
  {
    #puts "get_html_config"
    
    variable  test_data_html
    
    set return_list  {}

    append return_list  "<B>ANALOG TRANSMITTER TEST CONFIGURATION</B> <BR><BR>"
    
    if { $test_data_html(chan_list) == "" } \
    {
      append return_list  "  NO CONFIGURATION DATA <BR>"
    }

    foreach { chan } $test_data_html(chan_list) \
    {
      append return_list  "  Setup    Channel:                 $chan  <BR>"
      append return_list  "           Freq:                    $test_data_html($chan,freq)          <BR>"
      append return_list  "           Audio Inj. Level:        $test_data_html($chan,audio_inj)     <BR>"
      append return_list  "           Audio Coupling:          $test_data_html($chan,audio_bal)     <BR>"
      append return_list  "           Audio Attenuation:       $test_data_html($chan,audio_lvl)     <BR>"

      append return_list  "           Expected Subaudio Type:  $test_data_html($chan,subaudio_type) <BR>"
      
      if { $test_data_html($chan,subaudio_type) != "NONE" } \
      {
        append return_list  "           Expected Subaudio:       $test_data_html($chan,subaudio) <BR>"
      }
      
      append return_list  "           DTMF Deviation Test:     $test_data_html($chan,dtmf_dev_enable) <BR>"
      
      append return_list  "<BR>"

      append return_list  "  Pass/Fail   Power <BR>"
      append return_list  "                max:  $test_data_html($chan,power_max) <BR>"
      append return_list  "                min:  $test_data_html($chan,power_min) <BR>"
      append return_list  "              Frequency Error <BR>"
      append return_list  "                max:  $test_data_html($chan,freq_err_max) <BR>"
      append return_list  "                min:  $test_data_html($chan,freq_err_min) <BR>"

      if { $test_data_html($chan,subaudio_type) != "NONE" } \
      {
        append return_list  "              Expected Subaudio Deviation <BR>"
        append return_list  "                max:  $test_data_html($chan,subaudio_dev_max) <BR>"
        append return_list  "                min:  $test_data_html($chan,subaudio_dev_min) <BR>"
      }
      
      append return_list  "              FM Deviation <BR>"
      append return_list  "                max:  $test_data_html($chan,fm_dev_max) <BR>n"
      append return_list  "                min:  $test_data_html($chan,fm_dev_min) <BR>"
      append return_list  "              Distortion <BR>"
      append return_list  "                max:  $test_data_html($chan,dist_max) <BR>"

      if { $test_data_html($chan,dtmf_dev_enable) == "ENABLED" } \
      {
        append return_list  "              DTMF Deviation <BR>"
        append return_list  "                max:  $test_data_html($chan,dtmf_dev_max) <BR>"
        append return_list  "                min:  $test_data_html($chan,dtmf_dev_min) <BR>"
      }
    }

    append return_list  "<BR><BR>"

    return  $return_list
  }


  #***************************************************************************
  #
  #        Name: get_config_data
  #
  #  Parameters:
  #
  # Description: Returns the present configuration
  #
  #***************************************************************************
  proc get_config_data { } \
  {
    #puts "get_config_data"
    
    variable  test_data
    
    set return_list  {}
    
    foreach { array_index } [array names  test_data] \
    {
      append return_list  "set ::Test_Analog_Tx::test_data($array_index)  {$test_data($array_index)} \n"
    }

    return  [subst -nocommands $return_list]
  }
  #***************************************************************************
  #
  # Register this test by adding the namespace to the Auto Test list
  #
  #***************************************************************************
  if { [IFR_options  is_installed  Auto_Test] } \
  {
    lappend  ::Auto_Test_2::test_namespace_list  "Test_Analog_Tx"
  }


};  # End of namespace Test_Analog_Tx
