#***************************************************************************
#
# Test procedure:  Test #4:  Digital Transmitter Test
#
#***************************************************************************


namespace eval Test_Digital_Tx \
{
  variable  short_name  "digital_tx"
  
  variable  long_name   "Digital Transmitter Test"
  
  variable  tile_class  "TEST_DIGITAL_TX"

  variable  test_data
  
  set test_data(chan_list)  {}

  set test_data(channel)  1
    
  namespace import ::Auto_Test_2::*
  
  #***************************************************************************
  #
  #        Name: Create
  #
  #  Parameters: parent - parent of child window
  #
  # Description: Creates the tile
  #
  #***************************************************************************
  proc Create { parent } \
  {
    #puts "Test_Digital_Tx::Create:  $parent"

    variable  short_name
    variable  tile_class

    set tile_path  [name_child  $parent  $short_name]
    
    if { ![winfo exists $tile_path] } \
    {
      set tile_path  [Screens::create_tile  $tile_path  $short_name  $tile_class]
    }  
     
    return  $tile_path
  }


  #***************************************************************************
  #
  #        Name: Map
  #
  #  Parameters: 
  #
  # Description: Initializes the tile
  #
  #***************************************************************************
  proc Map { tile_path } \
  {
    #puts "::Test_Digital_Tx::Map:  $tile_path"
    
    #set tile_path  [get_tile  $tile_path]
    
    # Set the configuration data
    set_channel_data  $tile_path
    
    # Set the Encryption options on the menu
    set_encryption_options  $tile_path

    # Set the Encryption display
    set_encryption  $tile_path
    
    trace variable ::Key_LoaderUI::keyloader_done_flag  w  \
                                    "Test_Digital_Tx::validate_keyid_algid"

    return
  }


  #***************************************************************************
  #
  #        Name: Cleanup
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Cleanup { tile_path } \
  {
    #puts "::Test_Digital_Tx::Cleanup:  $tile_path"

    #set tile_path  [get_tile  $tile_path]
    
    return
  }


  #***************************************************************************
  #
  #        Name: Unmap
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Unmap { tile_path } \
  {
    #puts "::Test_Digital_Tx::Unmap:  $tile_path"

    #set tile_path  [get_tile  $tile_path]

    Cleanup  $tile_path
    
    trace vdelete ::Key_LoaderUI::keyloader_done_flag  w  \
                                    "Test_Digital_Tx::validate_keyid_algid"

    return
  }


  #***************************************************************************
  #
  #        Name: Destroy
  #
  #  Parameters: 
  #
  # Description: 
  #
  #***************************************************************************
  proc Destroy { tile_path } \
  {
    #puts "::Test_Digital_Tx::Destroy:  $tile_path"

    #set tile_path  [get_tile  $tile_path]

    Cleanup  $tile_path

    return
  }


  #***************************************************************************
  #
  #        Name: set_channel_data
  #
  #  Parameters: tile_path  - tile path of the invoking widget
  #
  # Description: Sets the text variables of the configuration display 
  #              depending on the channel number
  #
  #***************************************************************************
  proc set_channel_data { tile_path } \
  {
    #puts "set_channel_data:  $tile_path"
  
    variable  test_data

    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.digital_tx

    set chan  $test_data(channel)
      
    # Determine if the present channel number is in the channel list.
    # If it is not, append the new value and then sort the list in
    # increasing order.
    if { [lsearch $test_data(chan_list) $chan] == -1 } \
    {
      lappend test_data(chan_list)  $chan
      
      if [oldCatch { set tempList  [lsort -increasing -integer $test_data(chan_list)]} err] \
      {
         set tempList  [lsort -increasing $test_data(chan_list)]
      }
      set test_data(chan_list) $tempList
    }
      
    # Configure the Frequency entry
      if { ![info exists test_data($chan,freq)] } \
      {
        set test_data($chan,freq)  "0.000000"
      }
    
      ${tile_path}.ent_freq  config  \
                        -textvariable ::Test_Digital_Tx::test_data($chan,freq)

    # Configure the Encryption algorithm
      if { ![info exists test_data($chan,algid)] } \
      {
        set test_data($chan,algid)  "80"
      }

    # Configure the Encryption menubutton
      if { ![info exists test_data($chan,encrypt)] } \
      {
        set test_data($chan,encrypt)  "CLEAR"
      }

      ${tile_path}.mnu_encrypt config  \
                     -textvariable ::Test_Digital_Tx::test_data($chan,encrypt)

    # Configure the Encryption menu
      set max_index  [${tile_path}.mnu_encrypt.menu  index  end]
    
      for { set i  0 } { $i <= $max_index } { incr i  1 } \
      {
        ${tile_path}.mnu_encrypt.menu  entryconfig  $i  \
                         -variable ::Test_Digital_Tx::test_data($chan,encrypt)
      }
    
    # Configure the KEYID entry
      if { ![info exists test_data($chan,keyid)] } \
      {
        set test_data($chan,keyid)  "0000"
      }

      ${tile_path}.ent_keyid  config  \
                       -textvariable ::Test_Digital_Tx::test_data($chan,keyid)

    # Configure the KEYID Status label
      if { ![info exists test_data($chan,keyid_status)] } \
      {
        set test_data($chan,keyid_status)  ""
      }

      ${tile_path}.lbl_keyid_status  config  \
                -textvariable ::Test_Digital_Tx::test_data($chan,keyid_status)

    # Configure the Power max and min entries
      if { ![info exists test_data($chan,power_max)] } \
      {
        set test_data($chan,power_max)  "0.00"
      }

      ${tile_path}.ent_power_max  config  \
                   -textvariable ::Test_Digital_Tx::test_data($chan,power_max)
                 
      if { ![info exists test_data($chan,power_min)] } \
      {
        set test_data($chan,power_min)  "0.00"
      }

      ${tile_path}.ent_power_min  config  \
                   -textvariable ::Test_Digital_Tx::test_data($chan,power_min)

    # Configure the Frequency Error max and min entries
      if { ![info exists test_data($chan,freq_err_max)] } \
      {
        set test_data($chan,freq_err_max)  "0.00"
      }

      ${tile_path}.ent_freq_err_max  config  \
                -textvariable ::Test_Digital_Tx::test_data($chan,freq_err_max)
                 
      if { ![info exists test_data($chan,freq_err_min)] } \
      {
        set test_data($chan,freq_err_min)  "0.00"
      }

      ${tile_path}.ent_freq_err_min  config  \
                -textvariable ::Test_Digital_Tx::test_data($chan,freq_err_min)

    # Configure the C4FM max and min entries
      if { ![info exists test_data($chan,c4fm_max)] } \
      {
        set test_data($chan,c4fm_max)  "0.00"
      }

      ${tile_path}.ent_c4fm_max  config  \
                    -textvariable ::Test_Digital_Tx::test_data($chan,c4fm_max)
                 
      if { ![info exists test_data($chan,c4fm_min)] } \
      {
        set test_data($chan,c4fm_min)  "0.00"
      }

 
    # Configure the Expected ALGID entry
      if { ![info exists test_data($chan,algid_exp)] } \
      {
        set test_data($chan,algid_exp)  "80"
      }

      ${tile_path}.ent_algid_exp  config  \
                   -textvariable ::Test_Digital_Tx::test_data($chan,algid_exp)
                 
    # Configure the Expected KEYID entry
      if { ![info exists test_data($chan,keyid_exp)] } \
      {
        set test_data($chan,keyid_exp)  "0000"
      }

      ${tile_path}.ent_keyid_exp  config  \
                   -textvariable ::Test_Digital_Tx::test_data($chan,keyid_exp)

    return
  }


  #***************************************************************************
  #
  #        Name: toggle_channel_mode
  #
  #  Parameters: 
  #
  # Description: Toggles the mode for the present channel
  #
  #***************************************************************************
  proc toggle_channel_mode { } \
  {
    #puts "toggle_channel_mode"
    
    variable  test_data
  
    # Get the present channel
    set channel  $test_data(channel)
                
    # Toggle the mode
    if { $test_data($channel,mode) == "SIMPLEX" } \
    {
      set test_data($channel,mode)  "DUPLEX"
    } \
    else \
    {
      set test_data($channel,mode)  "SIMPLEX"
    }
          
    return
  }


  #***************************************************************************
  #
  #        Name: set_encryption_options
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the encryption options by verifying the KVL and AES
  #              options are installed
  #
  #***************************************************************************
  proc set_encryption_options { tile_path } \
  {
    #puts "set_encryption_options"
    
    variable  test_data
  
    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.digital_tx

    # Get the present channel
    set chan  $test_data(channel)
                
    # Verify that both the KVL and AES options are installed
    if { [IFR_options  is_installed  AES] && \
                                     [IFR_options  is_installed  KEY_MGT] } \
    {
      # If they are, enable the 'AES' menu option
      ${tile_path}.mnu_encrypt.menu  entryconfig  "AES"  -state normal
    } \
    else \
    {
      # If not, disable the 'AES' menu option
      ${tile_path}.mnu_encrypt.menu  entryconfig  "AES"  -state disabled
      
      # Invoke the CLEAR menu entry
      ${tile_path}.mnu_encrypt.menu  invoke  "CLEAR"
    }

    return
  }


  #***************************************************************************
  #
  #        Name: set_encryption
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Sets the encryption mode
  #
  #***************************************************************************
  proc set_encryption { tile_path } \
  {
    #puts "set_encryption"
    
    variable  test_data
  
    set tile_path  [get_tile  $tile_path]
    
    set tile_path  ${tile_path}.frm_config.digital_tx

    # Get the present channel
    set chan  $test_data(channel)
                
    # Toggle the mode
    switch -- $test_data($chan,encrypt) \
    {
      "CLEAR"  { # Remove the KEYID setup fields
                 grid remove  ${tile_path}.lbl_keyid
                 grid remove  ${tile_path}.ent_keyid
                 grid remove  ${tile_path}.lbl_keyid_units
                 grid remove  ${tile_path}.lbl_keyid_status
                 grid remove  ${tile_path}.btn_key_loader
                 
                 # Remove the ALGID pass/fail fields
                 grid remove  ${tile_path}.lbl_algid_exp
                 grid remove  ${tile_path}.ent_algid_exp
                 grid remove  ${tile_path}.lbl_algid_exp_units
                 
                 # Remove the KEYID pass/fail fields
                 grid remove  ${tile_path}.lbl_keyid_exp
                 grid remove  ${tile_path}.ent_keyid_exp
                 grid remove  ${tile_path}.lbl_keyid_exp_units
               }

      "DES" -
      "AES"    { # Display the KEYID setup fields
                 Screens::position_widget  ${tile_path}.lbl_keyid
                 Screens::position_widget  ${tile_path}.ent_keyid
                 Screens::position_widget  ${tile_path}.lbl_keyid_units
                 Screens::position_widget  ${tile_path}.lbl_keyid_status
                 Screens::position_widget  ${tile_path}.btn_key_loader
                 
                 # Display the ALGID pass/fail fields
                 Screens::position_widget  ${tile_path}.lbl_algid_exp
                 Screens::position_widget  ${tile_path}.ent_algid_exp
                 Screens::position_widget  ${tile_path}.lbl_algid_exp_units
                 
                 # Display the KEYID pass/fail fields
                 Screens::position_widget  ${tile_path}.lbl_keyid_exp
                 Screens::position_widget  ${tile_path}.ent_keyid_exp
                 Screens::position_widget  ${tile_path}.lbl_keyid_exp_units
                 
                 # Set the KEYID Status
                 set_keyid_status
               }
    }
    # set the default algID
    switch -- $test_data($chan,encrypt) \
    {
       "CLEAR"  { set test_data($chan,algid_exp) "80"}
       "DES"    { set test_data($chan,algid_exp) "81"}
       "AES"    { set test_data($chan,algid_exp) "84"}
    }
    

    if { ($test_data($chan,algid_exp) == "81") || ($test_data($chan,algid_exp) == "84") } \
    {
       # Test to see if the key is valid for the given algorithm
       validate_keyid_algid_core
    }
  }


  #***************************************************************************
  #
  #        Name: set_keyid_status
  #
  #  Parameters:
  #
  # Description: Sets the status of the KEYID by determining if the KEYID
  #              is in the database
  #
  #***************************************************************************
  proc set_keyid_status { } \
  {
    #puts "set_keyid_status"
    
    variable  test_data
  
    # Get the present channel
    set chan  $test_data(channel)
                
    # set the expected KEYID to this value
    set test_data($chan,keyid_exp) $test_data($chan,keyid)

    # Test to see if the key is valid for the given algorithm
    validate_keyid_algid_core
  }

  #***************************************************************************
  #
  # Name: validate_keyid_algid
  #
  # Parameters: None
  #
  # Description: This routine checks to see if the selected keyID and algID are
  #    a matched set in our internal table, and then it sets the variable to
  #    indicate whether the key is valid
  #
  #***************************************************************************
  proc validate_keyid_algid { args } \
  {
     validate_keyid_algid_core
  }

  proc validate_keyid_algid_core { } \
  {
    #puts "validate_keyid_algid"
    
    variable  test_data
  
    # Get the present channel
    set chan  $test_data(channel)
                
    # Set the status to INVALID to start
    set test_data($chan,keyid_status)  "INVALID"
    
    # Determine if the KEYID is in the database
    set keyset_list  [Keys get]
    
    foreach { data_set }  $keyset_list \
    {
      foreach { data_subset } $data_set \
      {
        # Get the values of interest
        set keyid  [lindex  $data_subset  1]
        set algid  [lindex  $data_subset  2]
        
        # If the present KEYID is in the database, 
        # display the VALID status
        # Else, the INVALID status is displayed
        set temp1 [expr $keyid]
        set temp2 "0x$test_data($chan,keyid)"
        set temp2 [expr $temp2]
        if { $temp1 == $temp2 } \
        {
          set temp1 [expr $algid]
          set temp2 "0x$test_data($chan,algid_exp)"
          set temp2 [expr $temp2]
          if { $temp1 == $temp2 } \
          {
             set test_data($chan,keyid_status)  "VALID"
          } else \
          {
#             puts "Hit keyid match, but missed algid = $algid, $test_data($chan,algid_exp)"
          }
        }
      }
    }
  }




  #***************************************************************************
  #
  #        Name: test
  #
  #  Parameters: tile_path - tile path of the invoking widget
  #
  # Description: Runs the test
  #
  #***************************************************************************
  proc test { tile_path } \
  {
    #puts "test:  $tile_path"
    
    variable  test_data

    
    # Convert the '::Auto_Test_2::abort_flag' variable
    # to a local 'Abort' variable
    upvar #0 ::Auto_Test_2::abort_flag  Abort

        set tile_path  [Auto_Test_2::get_tile  $tile_path]

    Append Test 4 "Digital Transmitter Test"

    if [Abort] \
    {
      return
    }
    
    # Setup for Test #4
    set upResults "Setting up for Test #4 ..."

    setup
    
    after 2000

    # Set the Receiver frequency
    foreach { chan } $test_data(chan_list) \
    {
      if [Abort] \
      {
        break
      }
    
      Receiver freq  $test_data($chan,freq)  -nowait

      set temp 0x$test_data($chan,algid_exp)
      set temp [expr $temp]
      if { ($temp == 0x81) || ($temp == 0x83) } \
      {
         # Force usage of the keys
         ::Key_LoaderUI::download_keyset
      } 

      P25 encode field  KEYID  0x$test_data($chan,keyid)  -nowait
      P25 encode field  ALGID  0x$test_data($chan,algid)  -nowait

      Format  "Monitor Channel"  "$chan"  "%s"
      Format  "Monitor Frequency"  "$test_data($chan,freq)"  "%.6f"  "MHz"


      # Setup for subtest #1
      # Measure Power
      
      set prompt_text  "Set the radio to Channel $chan\n\n"
      
      append prompt_text  "\[Frequency:  $test_data($chan,freq)\]\n\n"
      
      append prompt_text  "Key up the radio"
      wait_for_power $tile_path $prompt_text
      
      set result  [settle_reading  "Power" "value"]

      set max  $test_data($chan,power_max)
      set min  $test_data($chan,power_min)
      
      # Check the result
      if { $result >= $min && $result <= $max } \
      {
        Format  "Power Level"  "$result"  "%.2f"  "W"  "PASS"
      } \
      else \
      {
        Format  "Power Level"  "$result"  "%.2f"  "W"  "FAIL"
      }


      Format  "Received NAC"  "$::P25ns::DecodeParm(HDR_NAC)"  "%s"  "(hex)"

      Format  "Received TGID"  "$::P25ns::DecodeParm(GRPADDR)"  "%s"  "(hex)"

      if { $::P25ns::DecodeParm(SOURCEADDR_dec) == "------" } \
      {
        Format  "Received SID"  "------"  "%s"  "(dec)"
      } \
      else \
      {
        Format  "Received SID"  "0x$::P25ns::DecodeParm(SOURCEADDR_dec)"  "%d"  "(dec)"
      }

      Format  "Received KeyID"  "$::P25ns::DecodeParm(HDR_KID)"  "%s"  "(hex)"
      Format  "Received AlgorithmID"  "$::P25ns::DecodeParm(HDR_ALGID)"  "%s"  "(hex)"


      # Setup for subtest #2
      # Measure Frequency Error
      set result_hz  [settle_reading  "RFError" "value"]
      
      # Convert the Freq Error to PPM
      if { $test_data($chan,freq) == 0.0 } \
      {
        set result_ppm  0.0
      } \
      else \
      {
        # Value of frequency is entered in MHz
        set result_ppm  [expr  $result_hz / $test_data($chan,freq)]
      }

      # Get the Freq Error values in PPM
      set max_err  $test_data($chan,freq_err_max)
      set min_err  $test_data($chan,freq_err_min)
      
      # Check the result
      if { $result_hz >= $min_err && $result_hz <= $max_err } \
      {
        Format  "Frequency Error"  "$result_hz"  "%.2f"  "Hz"  "PASS"
      } \
      else \
      {
        Format  "Frequency Error"  "$result_hz"  "%.2f"  "Hz"  "FAIL"
      }

      # Setup for subtest #3
      # Measure C4FM
      set result  [settle_reading  "C4fm"  "value"  2000  1000]
      
      set max  $test_data($chan,c4fm_max)
      set min  $test_data($chan,c4fm_min)
      
      # Check the result
      if { $result >= $min && $result <= $max } \
      {
        Format  "Modulation Accuracy (C4FM)"  "$result"  "%.2f"  "%"  "PASS"
      } \
      else \
      {
        Format  "Modulation Accuracy (C4FM)"  "$result"  "%.2f"  "%"  "FAIL"
      }
      wait_for_no_power $tile_path
    }
      
    # Turn OFF the P25 uplink (decode)
    P25 decode  run  0  -nowait
      
    return
  }


  #***************************************************************************
  #
  #        Name: setup
  #
  #  Parameters:
  #
  # Description: Sets up for the DIGITAL TX test
  #
  #***************************************************************************
  proc setup { } \
  {
    #puts "setup"

    # Setup Receiver
    Receiver freq          170.000000  -nowait
    Receiver rfinput       0           -nowait
    Receiver atten         10          -nowait
    Receiver ifbw          30000       -nowait
    Receiver demod         5           -nowait
    Receiver range         WIDE        -nowait
    Receiver hwagc         1           -nowait
    Receiver agcmode       1           -nowait
    Receiver filter        7           -nowait
    Receiver squelchmode   1           -nowait
    Receiver squelchlevel  216         -nowait
    Receiver lock          1           -nowait
                           
    Receiver::Config_agc   300  -10.5  -9.5  4
    

    # Setup Power
    Power enable    255   -nowait
    Power peakhold  0     -nowait
    Power alerts    0     -nowait
    Power ulimit    0.0   -nowait
    Power llimit    0.0   -nowait
    Power cable     0.00  -nowait
    Power prange    0     -nowait
    
    set ::Power::State(BellEnabled) {0}
    
   
    # Setup BBAudio
    BBAudio micbias      ELEC   -nowait
    BBAudio sinadbal     BALAN  -nowait
    BBAudio demodfilter  TONE   -nowait
    BBAudio fgenfilter   TONE   -nowait
    BBAudio fgenbalance  BALAN  -nowait
    BBAudio fgenlevel    1      -nowait

    BBAudio  clearmixer  SPKR  -nowait
    BBAudio::set_bbaudio_route  L1  SPKR    1;  # DEMOD to Speaker
    BBAudio::update_mixers [BBAudio getmixer SPKR]

    BBAudio  clearmixer  DEMOD  -nowait
    BBAudio::update_mixers [BBAudio getmixer DEMOD]

    BBAudio  clearmixer  FGEN  -nowait
    #BBAudio::set_bbaudio_route  FGEN1  FGEN    1;  # FGen 1 to Audio Out #1
    BBAudio::update_mixers [BBAudio getmixer FGEN]

    BBAudio  clearmixer  L1  -nowait
    BBAudio::update_mixers [BBAudio getmixer L1]
    
    BBAudio  clearmixer  USER0  -nowait
    BBAudio::update_mixers [BBAudio getmixer USER0]

    BBAudio  clearmixer  USER1  -nowait
    BBAudio::update_mixers [BBAudio getmixer USER1]


    # Setup RFError
    RFError run     1     -nowait
    RFError gate    0     -nowait
    RFError avg     20    -nowait
    RFError en      3     -nowait
    RFError peak    0     -nowait
    RFError alerts  0     -nowait
    RFError ulim    0.00  -nowait
    RFError llim    0.00  -nowait
    
    set ::RFError::State(BellEnabled)   {0}
    set ::RFError::State(resolution)    {1.0}
    set ::RFError::State(units)         {Hz}
    
    
    # Setup C4fm
    C4fm run     1    -nowait
    C4fm avg     200  -nowait
    C4fm trig    1    -nowait
    C4fm en      3    -nowait
    C4fm peak    0    -nowait
    C4fm alerts  0    -nowait
    C4fm ulim    0    -nowait
    C4fm llim    0    -nowait
    
    set ::C4fm::State(BellEnabled)   {0}
    set ::C4fm::State(resolution)    {1.0}
    set ::C4fm::State(units)         {%}
    
    catch \
    {
      C4fm ferr_alerts    0  -nowait
      C4fm dev_alerts     0  -nowait
      C4fm ferr_peakhold  0  -nowait
      C4fm dev_peakhold   0  -nowait
      C4fm ferr_ulimit    0  -nowait
      C4fm ferr_llimit    0  -nowait
      C4fm dev_ulimit     0  -nowait
      C4fm dev_llimit     0  -nowait
    }    
    
    # Setup FGen
    FGen::setMode  1  OFF
    FGen::setMode  2  OFF
    FGen::setMode  3  OFF
    FGen::setMode  4  OFF


    # Setup P25ns
    # Restore P25 mode variables
    P25 decode samplerate  64   -nowait
    P25 decode enable      3    -nowait
    P25 decode run         1    -nowait
    P25 encode encrypt     0 0  -nowait
    
    if { [IFR_options is_installed P25_trunk] || [IFR_options is_installed P25_OBT] } \
    {
      after idle "::P25ns::EnableTrunking Disable"
    }
    
    set ::P25ns::TrunkModeCurrent  800


    return
  }


  #***************************************************************************
  #
  #        Name: get_config_summary
  #
  #  Parameters:
  #
  # Description: Returns the a formatted summary of the present 
  #              configuration
  #
  #***************************************************************************
  proc get_config_summary { } \
  {
    #puts "get_config_summary"
    
    variable  test_data
    
    set return_list  {}

    append return_list  "**** Digital Transmitter Test Configuration **** \n\n"
      
    if { $test_data(chan_list) == "" } \
    {
      append return_list  "  NO CONFIGURATION DATA \n"
    }

    foreach { chan } $test_data(chan_list) \
    {
      append return_list  "  Setup   Channel:     $chan \n"
      append return_list  "          Freq:        $test_data($chan,freq)    \n"
      append return_list  "          Encryption:  $test_data($chan,encrypt) \n"
      
      if { $test_data($chan,encrypt) == "AES" } \
      {
        append return_list  "          KEYID:       $test_data($chan,keyid)   \n"
      }

      append return_list  "\n"

      append return_list  "  Pass/Fail   Power \n"
      append return_list  "                max:  $test_data($chan,power_max) \n"
      append return_list  "                min:  $test_data($chan,power_min) \n"
      append return_list  "              Frequency Error \n"
      append return_list  "                max:  $test_data($chan,freq_err_max) \n"
      append return_list  "                min:  $test_data($chan,freq_err_min) \n"
      append return_list  "              C4FM \n"
      append return_list  "                max:  $test_data($chan,c4fm_max) \n"
      append return_list  "                min:  $test_data($chan,c4fm_min) \n"

      switch $test_data($chan,encrypt) \
      {
         "DES" -
         "AES" \
         {
           append return_list  "              Expected ALGID:  $test_data($chan,algid_exp) \n"
           append return_list  "              Expected KEYID:  $test_data($chan,keyid_exp) \n"
         }
      }
    }

    append return_list  " \n\n"

    return  [subst -nocommands $return_list]
  }


  #***************************************************************************
  #
  #        Name: get_html_config
  #
  #  Parameters:
  #
  # Description: Returns the an HTML formatted configuration display
  #
  #***************************************************************************
  proc get_html_config { } \
  {
    #puts "get_html_config"
    
    variable  test_data_html
    
    set return_list  {}

    append return_list  "<B>DIGITAL TRANSMITTER TEST CONFIGURATION</B> <BR><BR>"
    
    if { $test_data_html(chan_list) == "" } \
    {
      append return_list  "  NO CONFIGURATION DATA <BR>"
    }

    foreach { chan } $test_data_html(chan_list) \
    {
      append return_list  "  Setup   Channel:     $chan <BR>"
      append return_list  "          Freq:        $test_data_html($chan,freq)    <BR>"
      append return_list  "          Encryption:  $test_data_html($chan,encrypt) <BR>"
      
      switch $test_data_html($chan,encrypt) \
      {
         "DES"  -
         "AES" \
         {
            append return_list  "          KEYID:       $test_data_html($chan,keyid)   <BR>"
         }
      }

      append return_list  "\n"

      append return_list  "  Pass/Fail   Power <BR>"
      append return_list  "                max:  $test_data_html($chan,power_max) <BR>"
      append return_list  "                min:  $test_data_html($chan,power_min) <BR>"
      append return_list  "              Frequency Error <BR>"
      append return_list  "                max:  $test_data_html($chan,freq_err_max) <BR>"
      append return_list  "                min:  $test_data_html($chan,freq_err_min) <BR>"
      append return_list  "              C4FM <BR>"
      append return_list  "                max:  $test_data_html($chan,c4fm_max) <BR>"
      append return_list  "                min:  $test_data_html($chan,c4fm_min) <BR>"

      if { $test_data_html($chan,encrypt) == "AES" } \
      {
        append return_list  "              Expected ALGID:  $test_data_html($chan,algid_exp) <BR>"
        append return_list  "              Expected KEYID:  $test_data_html($chan,keyid_exp) <BR>"
      }
    }

    append return_list  "<BR><BR>"

    return  $return_list
  }


  #***************************************************************************
  #
  #        Name: get_config_data
  #
  #  Parameters:
  #
  # Description: Returns the present configuration
  #
  #***************************************************************************
  proc get_config_data { } \
  {
    #puts "get_config_data"
    
    variable  test_data
    
    set return_list  {}
    
    foreach { array_index } [array names  test_data] \
    {
      append return_list  "set ::Test_Digital_Tx::test_data($array_index)  {$test_data($array_index)} \n"
    }

    return  [subst -nocommands $return_list]
  }


  #***************************************************************************
  #
  # Register this test by adding the namespace to the Auto Test list
  #
  #***************************************************************************
  if { [IFR_options  is_installed  Auto_Test] } \
  {
    lappend  ::Auto_Test_2::test_namespace_list  "Test_Digital_Tx"
  }


};  # End of namespace Test_Digital_Tx
