#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001, 2003   DESIGN ENGINEERING     #
# --------------------------------------------------------------------------#
# FILE        : 1000.test_Fgen.tcl                                          #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : Remote Command Line Test:  Function generators              #
#############################################################################

package require FGen
package require BIT

#****************************************************************************
# Test variables
#****************************************************************************
namespace eval ::cmdline_FGen {
    variable testCaseList
    variable shortDesc
    variable longDesc

    # Define the list of FGEN tests

    set testCaseList [list \
           testFgenList1a testFgenList1b testFgenList1c testFgenList1d \
           testFgenList1e testFgenList1f testFgenList1g testFgenList1h \
           testFgenList2a testFgenList2b testFgenList2c testFgenList2d \
           testFgenList2e testFgenList2f testFgenList2g testFgenList2h \
           testFgenList3a testFgenList3b testFgenList3c testFgenList3d \
           testFgenList3e testFgenList3f testFgenList3g \
           testFgenList4a testFgenList4b testFgenList4c testFgenList4d \
           testFgenList4e testFgenList4f testFgenList4g testFgenList4h \
           testFgenList5a testFgenList5b testFgenList5c testFgenList5d \
           testFgenList5e testFgenList5f testFgenList5g testFgenList5h \
           testFgenList6a testFgenList6b testFgenList6c testFgenList6d \
           testFgenList6e testFgenList6f testFgenList6g ]

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    set shortDesc "FGEN cmds"
    set longDesc "FGEN command line test"

#****************************************************************************
# Name:        setup
# Parameters:  none
# Description: Sets up a list of FGEN tests
#****************************************************************************
 proc setup { } {
    variable testCaseList

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    set testFgenList1a [list \
       {"Fgen sh 0" 0 "INT" 0} \
       {"Fgen sh 1" 1 "INT" 0} \
       {"Fgen sh 2" 2 "INT" 0} \
       {"Fgen sh 3" 3 "INT" 0} \
       {"Fgen sh 4" 4 "INT" 0} \
       {"Fgen sh 5" 5 "INT" 0} ]

    set testFgenList1b [list \
       {"Fgen sh0 0" 0 "INT" 0} \
       {"Fgen sh0 1" 1 "INT" 0} \
       {"Fgen sh0 2" 2 "INT" 0} \
       {"Fgen sh0 3" 3 "INT" 0} \
       {"Fgen sh0 4" 4 "INT" 0} \
       {"Fgen sh0 5" 5 "INT" 0} ]

   set testFgenList1c [list \
      {"Fgen sh1 0" 0 "INT" 0} \
      {"Fgen sh1 1" 1 "INT" 0} \
      {"Fgen sh1 2" 2 "INT" 0} \
      {"Fgen sh1 3" 3 "INT" 0} \
      {"Fgen sh1 4" 4 "INT" 0} \
      {"Fgen sh1 5" 5 "INT" 0} ]

    set testFgenList1d [list \
       {"Fgen sh2 0" 0 "INT" 0} \
       {"Fgen sh2 1" 1 "INT" 0} \
       {"Fgen sh2 2" 2 "INT" 0} \
       {"Fgen sh2 3" 3 "INT" 0} \
       {"Fgen sh2 4" 4 "INT" 0} \
       {"Fgen sh2 5" 5 "INT" 0} ]

    set testFgenList1e [list \
       {"Fgen sh3 0" 0 "INT" 0} \
       {"Fgen sh3 1" 1 "INT" 0} \
       {"Fgen sh3 2" 2 "INT" 0} \
       {"Fgen sh3 3" 3 "INT" 0} \
       {"Fgen sh3 4" 4 "INT" 0} \
       {"Fgen sh3 5" 5 "INT" 0} ]

    set testFgenList1f [list \
       {"Fgen sh4 0" 0 "INT" 0} \
       {"Fgen sh4 1" 1 "INT" 0} \
       {"Fgen sh4 2" 2 "INT" 0} \
       {"Fgen sh4 3" 3 "INT" 0} \
       {"Fgen sh4 4" 4 "INT" 0} \
       {"Fgen sh4 5" 5 "INT" 0} ]

    set testFgenList1g [list \
       {"Fgen shape 0" 0 "INT" 0} \
       {"Fgen shape0 1" 1 "INT" 0} \
       {"Fgen shape1 2" 2 "INT" 0} \
       {"Fgen shape2 3" 3 "INT" 0} \
       {"Fgen shape3 4" 4 "INT" 0} \
       {"Fgen shape4 5" 5 "INT" 0} ]

    set testFgenList1h [list \
       {"Fgen sh sine" 0 "INT" 0} \
       {"Fgen sh triangle" 1 "INT" 0} \
       {"Fgen sh square" 2 "INT" 0} \
       {"Fgen sh triangl" 1 "INT" 0} \
       {"Fgen sh ramp" 3 "INT" 0} \
       {"Fgen sh dc" 4 "INT" 0} \
       {"Fgen sh arbitrary" 5 "INT" 0} ]

    set testFgenList2a [list \
       {"Fgen freq -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq 0" 0 "DBL" 0.001} \
       {"Fgen freq 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2b [list \
       {"Fgen freq0 -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq0 0" 0 "DBL" 0.001} \
       {"Fgen freq0 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq0 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq0 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq0 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2c [list \
       {"Fgen freq1 -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq1 0" 0 "DBL" 0.001} \
       {"Fgen freq1 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq1 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq1 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq1 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2d [list \
       {"Fgen freq2 -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq2 0" 0 "DBL" 0.001} \
       {"Fgen freq2 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq2 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq2 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq2 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2e [list \
       {"Fgen freq3 -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq3 0" 0 "DBL" 0.001} \
       {"Fgen freq3 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq3 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq3 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq3 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2f [list \
       {"Fgen freq4 -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq4 0" 0 "DBL" 0.001} \
       {"Fgen freq4 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen freq4 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen freq4 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen freq4 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2g [list \
       {"Fgen frequency -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen frequency0 0" 0 "DBL" 0.001} \
       {"Fgen frequency1 1234.5" 1234.5 "DBL" 0.001} \
       {"Fgen frequency2 9876.5" 9876.5 "DBL" 0.001} \
       {"Fgen frequency3 19999.9" 19999.9 "DBL" 0.001} \
       {"Fgen frequency4 20001.0 -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList2h [list \
       {"Fgen freq -1 -forgive" 0 "DBL" 0.001} \
       {"Fgen freq 0" 0 "DBL" 0.001} \
       {"Fgen freq 1.2345 khz" 1234.5 "DBL" 0.001} \
       {"Fgen freq 9876.5 hz" 9876.5 "DBL" 0.001} \
       {"Fgen freq 0.0199999 mhz" 19999.9 "DBL" 0.001} \
       {"Fgen freq 20001.0 hz -forgive" 20000.0 "DBL" 0.001} ]

    set testFgenList3a [list \
       {"Fgen lev -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3b [list \
       {"Fgen lev0 -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev0 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev0 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev0 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev0 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev0 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev0 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev0 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev0 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3c [list \
       {"Fgen lev1 -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev1 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev1 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev1 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev1 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev1 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev1 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev1 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev1 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3d [list \
       {"Fgen lev2 -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev2 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev2 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev2 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev2 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev2 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev2 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev2 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev2 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3e [list \
       {"Fgen lev3 -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev3 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev3 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev3 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev3 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev3 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev3 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev3 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev3 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3f [list \
       {"Fgen lev4 -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen lev4 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen lev4 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen lev4 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen lev4 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen lev4 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen lev4 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen lev4 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen lev4 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList3g [list \
       {"Fgen level -21234.5 -forgive" {-20.000 -200.00 -100.00} "compareDbls" 0.001} \
       {"Fgen level0 -19.999" {-19.999 -199.99 -99.995} "compareDbls" 0.001} \
       {"Fgen level1 -1.234 -forgive" {-1.234 -12.34 -6.17} "compareDbls" 0.001} \
       {"Fgen level2 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen level3 1.234" {1.234 12.34 6.17} "compareDbls" 0.001} \
       {"Fgen level4 4.567" {4.567 45.67 22.835} "compareDbls" 0.001} \
       {"Fgen level3 19.876" {19.876 198.76 99.38} "compareDbls" 0.001} \
       {"Fgen level2 19.999" {19.999 199.99 99.995} "compareDbls" 0.001} \
       {"Fgen level0 21234.5 -forgive" {20.000 200.00 100.00} "compareDbls" 0.001} ]

    set testFgenList4a [list \
       {"Fgen dev -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4b [list \
       {"Fgen dev0 -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev0 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev0 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev0 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev0 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev0 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev0 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev0 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev0 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev0 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4c [list \
       {"Fgen dev1 -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev1 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev1 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev1 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev1 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev1 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev1 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev1 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev1 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev1 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4d [list \
       {"Fgen dev2 -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev2 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev2 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev2 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev2 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev2 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev2 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev2 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev2 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev2 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4e [list \
       {"Fgen dev3 -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev3 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev3 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev3 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev3 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev3 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev3 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev3 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev3 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev3 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4f [list \
       {"Fgen dev4 -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev4 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev4 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev4 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev4 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev4 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev4 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev4 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev4 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev4 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4g [list \
       {"Fgen deviation -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen deviation0 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen deviation1 1.234" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen deviation2 4.567" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen deviation3 19.876" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen deviation4 19.999" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen deviation4 21.234 -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen deviation3 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen deviation2 39.999" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen deviation0 41234.5 -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList4h [list \
       {"Fgen dev -1.234 -forgive" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev 0" {0.0 0.0 0.0} "compareDbls" 0.001} \
       {"Fgen dev 1.234 khz" {0.2468 2.468 1.234} "compareDbls" 0.001} \
       {"Fgen dev 4567 hz" {0.9134 9.134 4.567} "compareDbls" 0.001} \
       {"Fgen dev 0.019876 mhz" {3.9752 39.752 19.876} "compareDbls" 0.001} \
       {"Fgen dev 19.999 khz" {3.9998 39.998 19.999} "compareDbls" 0.001} \
       {"Fgen dev 21234 hz -forgive" {4.2468 42.468 21.234} "compareDbls" 0.001} \
       {"Fgen dev 39.876" {7.9752 79.752 39.876} "compareDbls" 0.001} \
       {"Fgen dev 0.039999 mhz" {7.9998 79.998 39.999} "compareDbls" 0.001} \
       {"Fgen dev 41234.5 hz -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} \
       {"Fgen dev 41234.5 khz -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} \
       {"Fgen dev 41234.5 mhz -forgive" {8.000 80.00 40.000} "compareDbls" 0.001} ]

    set testFgenList5a [list \
       {"Fgen mod -1 -forgive" 0 "INT" 0} \
       {"Fgen mod 0" 0 "INT" 0} \
       {"Fgen mod 1" 1 "INT" 0} \
       {"Fgen mod 2" 2 "INT" 0} \
       {"Fgen mod 3 -forgive" 0 "INT" 0} ]

    set testFgenList5a [list \
       {"Fgen mod -1 -forgive" 0 "INT" 0} \
       {"Fgen mod 0" 0 "INT" 0} \
       {"Fgen mod 1" 1 "INT" 0} \
       {"Fgen mod 2" 2 "INT" 0} \
       {"Fgen mod 3 -forgive" 0 "INT" 0} ]

    set testFgenList5a [list \
       {"Fgen mod -1 -forgive" 0 "INT" 0} \
       {"Fgen mod 0" 0 "INT" 0} \
       {"Fgen mod 1" 1 "INT" 0} \
       {"Fgen mod 2" 2 "INT" 0} \
       {"Fgen mod 3 -forgive" 0 "INT" 0} ]

    set testFgenList5b [list \
       {"Fgen mod0 -1 -forgive" 0 "INT" 0} \
       {"Fgen mod0 0" 0 "INT" 0} \
       {"Fgen mod0 1" 1 "INT" 0} \
       {"Fgen mod0 2" 2 "INT" 0} \
       {"Fgen mod0 3 -forgive" 0 "INT" 0} ]

    set testFgenList5c [list \
       {"Fgen mod1 -1 -forgive" 0 "INT" 0} \
       {"Fgen mod1 0" 0 "INT" 0} \
       {"Fgen mod1 1" 1 "INT" 0} \
       {"Fgen mod1 2" 2 "INT" 0} \
       {"Fgen mod1 3 -forgive" 0 "INT" 0} ]

    set testFgenList5d [list \
       {"Fgen mod2 -1 -forgive" 0 "INT" 0} \
       {"Fgen mod2 0" 0 "INT" 0} \
       {"Fgen mod2 1" 1 "INT" 0} \
       {"Fgen mod2 2" 2 "INT" 0} \
       {"Fgen mod2 3 -forgive" 0 "INT" 0} ]

    set testFgenList5e [list \
       {"Fgen mod3 -1 -forgive" 0 "INT" 0} \
       {"Fgen mod3 0" 0 "INT" 0} \
       {"Fgen mod3 1" 1 "INT" 0} \
       {"Fgen mod3 2" 2 "INT" 0} \
       {"Fgen mod3 3 -forgive" 0 "INT" 0} ]

    set testFgenList5f [list \
       {"Fgen mod4 -1 -forgive" 0 "INT" 0} \
       {"Fgen mod4 0" 0 "INT" 0} \
       {"Fgen mod4 1" 1 "INT" 0} \
       {"Fgen mod4 2" 2 "INT" 0} \
       {"Fgen mod4 3 -forgive" 0 "INT" 0} ]

    set testFgenList5g [list \
       {"Fgen mode -1 -forgive" 0 "INT" 0} \
       {"Fgen mode0 0" 0 "INT" 0} \
       {"Fgen mode1 1" 1 "INT" 0} \
       {"Fgen mode2 2" 2 "INT" 0} \
       {"Fgen mode3 -1 -forgive" 0 "INT" 0} \
       {"Fgen mode4 0" 0 "INT" 0} \
       {"Fgen mode3 1" 1 "INT" 0} \
       {"Fgen mode2 2" 2 "INT" 0} \
       {"Fgen mode0 3 -forgive" 0 "INT" 0} ]

    set testFgenList5h [list \
       {"Fgen mod -1 -forgive" 0 "INT" 0} \
       {"Fgen mod tone" 1 "INT" 0} \
       {"Fgen mod off" 0 "INT" 0} \
       {"Fgen mod continuous" 1 "INT" 0} \
       {"Fgen mod burst" 2 "INT" 0} \
       {"Fgen mod 3 -forgive" 0 "INT" 0} ]

    set testFgenList6a [list \
       {"Fgen dur 0 -forgive" 1 "INT" 0} \
       {"Fgen dur 1 " 1 "INT" 0} \
       {"Fgen dur 100 " 100 "INT" 0} \
       {"Fgen dur 10000 " 10000 "INT" 0} \
       {"Fgen dur 99999 " 99999 "INT" 0} \
       {"Fgen dur 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6b [list \
       {"Fgen dur0 0 -forgive" 1 "INT" 0} \
       {"Fgen dur0 1 " 1 "INT" 0} \
       {"Fgen dur0 100 " 100 "INT" 0} \
       {"Fgen dur0 10000 " 10000 "INT" 0} \
       {"Fgen dur0 99999 " 99999 "INT" 0} \
       {"Fgen dur0 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur0 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6c [list \
       {"Fgen dur1 0 -forgive" 1 "INT" 0} \
       {"Fgen dur1 1 " 1 "INT" 0} \
       {"Fgen dur1 100 " 100 "INT" 0} \
       {"Fgen dur1 10000 " 10000 "INT" 0} \
       {"Fgen dur1 99999 " 99999 "INT" 0} \
       {"Fgen dur1 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur1 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6d [list \
       {"Fgen dur2 0 -forgive" 1 "INT" 0} \
       {"Fgen dur2 1 " 1 "INT" 0} \
       {"Fgen dur2 100 " 100 "INT" 0} \
       {"Fgen dur2 10000 " 10000 "INT" 0} \
       {"Fgen dur2 99999 " 99999 "INT" 0} \
       {"Fgen dur2 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur2 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6e [list \
       {"Fgen dur3 0 -forgive" 1 "INT" 0} \
       {"Fgen dur3 1 " 1 "INT" 0} \
       {"Fgen dur3 100 " 100 "INT" 0} \
       {"Fgen dur3 10000 " 10000 "INT" 0} \
       {"Fgen dur3 99999 " 99999 "INT" 0} \
       {"Fgen dur3 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur3 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6f [list \
       {"Fgen dur4 0 -forgive" 1 "INT" 0} \
       {"Fgen dur4 1 " 1 "INT" 0} \
       {"Fgen dur4 100 " 100 "INT" 0} \
       {"Fgen dur4 10000 " 10000 "INT" 0} \
       {"Fgen dur4 99999 " 99999 "INT" 0} \
       {"Fgen dur4 100001 -forgive" 100000 "INT" 0} \
       {"Fgen dur4 1000000 -forgive" 100000 "INT" 0} ]

    set testFgenList6g [list \
       {"Fgen duration 0 -forgive" 1 "INT" 0} \
       {"Fgen duration0 1 " 1 "INT" 0} \
       {"Fgen duration1 100 " 100 "INT" 0} \
       {"Fgen duration2 10000 " 10000 "INT" 0} \
       {"Fgen duration3 99999 " 99999 "INT" 0} \
       {"Fgen duration4 100001 -forgive" 100000 "INT" 0} \
       {"Fgen duration 1000000 -forgive" 100000 "INT" 0} ]
 }

#****************************************************************************
# Name:        autoTest
# Parameters:  resultsLevel		Indicates the results display level
# Description: Executes automatic test on FGEN commands
#****************************************************************************
 proc autoTest { resultsLevel } {
    variable testCaseList

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    setup 

    # Execute the test lists, and then destroy the test lists
    ::BIT::resetTestStats "cmdline_FGen"
    foreach testName $testCaseList {
       ::BIT::runCmdLineTests "cmdline_FGen" $testName
       unset $testName
    }

    if { ($resultsLevel == "Full") || ($resultsLevel == "Manual") } \
    {
       # Test commands with no data - requires visual inspection
       ::BIT::putsTest [Fgen sync]
       ::BIT::putsTest [Fgen synchronize]

       # Test string functions - requires visual inspection
       ::BIT::putsTest [Fgen freq -range]
       ::BIT::putsTest [Fgen sh -range]
       ::BIT::putsTest [Fgen lev -range]
       ::BIT::putsTest [Fgen dev -range]
       ::BIT::putsTest [Fgen mode -range]
       ::BIT::putsTest [Fgen dur -range]
       ::BIT::putsTest [Fgen sync -range]
       ::BIT::putsTest [Fgen res]
       ::BIT::putsTest [Fgen resources]

#   ::BIT::putsTest [Fgen ver]
#   ::BIT::putsTest [Fgen version]
    }

    # Reset FGEN to typical values after completion of the test
    for {set i 0} {$i < 5} {incr i 1} {
       Fgen freq$i 1000
       Fgen lev$i  1.000
       Fgen mod$i  0
    }
 }
}

# Add this test to the list of tests
::BIT::addTest cmdline_FGen
