#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C) 2001, 2003  DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : 1009.test_Sinad.tcl                                         #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Bruce Butterfield                                           #
# DESCRIPTION : Remote Command Line Test:  Sinad / Distortion               #
#############################################################################

package require Sinad
package require BIT

#****************************************************************************
# Test variables
#****************************************************************************
namespace eval ::cmdline_Sinad_Dist {
    variable testCaseList		;# List of test cases
    variable shortDesc			;# Test description - menu size
    variable longDesc			;# Test description - used by reports
    variable testTime			;# Test duration (Seconds - approximation)

    # Define the list of Sinad/Distortion tests
    set testCaseList [list \
           testSinadList1 testSinadList2 testSinadList3 testSinadList4 \
           testSinadList5 testSinadList6 testSinadList7 testSinadList8 \
           testSinadList9 testSinadList10 testSinadList11 testSinadList12 \
           testSinadList13 testSinadList14 testSinadList15 testSinadList16 \
           testSinadList17 testSinadList18 testSinadList19 testSinadList20 \
           testSinadList21 testSinadList22 testSinadList23 testSinadList24 \
           testSinadList25 ]

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    set shortDesc "Sinad/Dist cmds"
    set longDesc "Sinad / Distortion command line test"
    set testTime 0.50

#****************************************************************************
# Name:        setup
# Parameters:  none
# Description: Sets up a list of Sinad/Distortion tests
#****************************************************************************
 proc setup { } {
    variable testCaseList

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    #
    # Define test cases
    #
    set testSinadList1 [list \
      {"Sinad avg 0 -forgive" 1 "INT" 0} \
      {"Sinad avg 1" 1 "INT" 0} \
      {"Sinad avg 100" 100 "INT" 0} \
      {"Sinad avg 1000" 1000 "INT" 0} \
      {"Sinad avg 1999" 1999 "INT" 0} \
      {"Sinad avg 2000" 2000 "INT" 0} \
      {"Sinad avg 2001 -forgive" 2000 "INT" 0} \
      {"Sinad average 0 -forgive" 1 "INT" 0} \
      {"Sinad average 1" 1 "INT" 0} \
      {"Sinad average 100" 100 "INT" 0} \
      {"Sinad average 1000" 1000 "INT" 0} \
      {"Sinad average 1999" 1999 "INT" 0} \
      {"Sinad average 2000" 2000 "INT" 0} \
      {"Sinad average 2001 -forgive" 2000 "INT" 0} ]

    set testSinadList2 [list \
      {"Dist avg 0 -forgive" 1 "INT" 0} \
      {"Dist avg 1" 1 "INT" 0} \
      {"Dist avg 100" 100 "INT" 0} \
      {"Dist avg 1000" 1000 "INT" 0} \
      {"Dist avg 1999" 1999 "INT" 0} \
      {"Dist avg 2000" 2000 "INT" 0} \
      {"Dist avg 2001 -forgive" 2000 "INT" 0} \
      {"Dist average 0 -forgive" 1 "INT" 0} \
      {"Dist average 1" 1 "INT" 0} \
      {"Dist average 100" 100 "INT" 0} \
      {"Dist average 1000" 1000 "INT" 0} \
      {"Dist average 1999" 1999 "INT" 0} \
      {"Dist average 2000" 2000 "INT" 0} \
      {"Dist average 2001 -forgive" 2000 "INT" 0} ]

    set testSinadList3 [list \
      {"Sinad filter 0 -forgive" 1 "INT" 0} \
      {"Sinad filter 1" 1 "INT" 0} \
      {"Sinad filter 67" 67 "INT" 0} \
      {"Sinad filter 100" 100 "INT" 0} \
      {"Sinad filter 101 -forgive" 100 "INT" 0} ]

    set testSinadList4 [list \
      {"Dist filter 0 -forgive" 1 "INT" 0} \
      {"Dist filter 1" 1 "INT" 0} \
      {"Dist filter 67" 67 "INT" 0} \
      {"Dist filter 100" 100 "INT" 0} \
      {"Dist filter 101 -forgive" 100 "INT" 0} ]

    set testSinadList5 [list \
      {"Sinad trig 0  -forgive" 1 "INT" 0} \
      {"Sinad trig 1" 1 "INT" 0} \
      {"Sinad trig 2" 2 "INT" 0} \
      {"Sinad trig continuous" 1 "INT" 0} \
      {"Sinad trig oneshot" 2 "INT" 0} \
      {"Sinad trig 3 -forgive" 1 "INT" 0} \
      {"Sinad trigger 0  -forgive" 1 "INT" 0} \
      {"Sinad trigger 1" 1 "INT" 0} \
      {"Sinad trigger 2" 2 "INT" 0} \
      {"Sinad trigger 3 -forgive" 1 "INT" 0} ]

    set testSinadList6 [list \
      {"Dist trig 0  -forgive" 1 "INT" 0} \
      {"Dist trig 1" 1 "INT" 0} \
      {"Dist trig 2" 2 "INT" 0} \
      {"Dist trig continuous" 1 "INT" 0} \
      {"Dist trig oneshot" 2 "INT" 0} \
      {"Dist trig 3 -forgive" 1 "INT" 0} \
      {"Dist trigger 0  -forgive" 1 "INT" 0} \
      {"Dist trigger 1" 1 "INT" 0} \
      {"Dist trigger 2" 2 "INT" 0} \
      {"Dist trigger 3 -forgive" 1 "INT" 0} ]

    set testSinadList7 [list \
      {"Sinad en -1 -forgive" 0x1ffff "INT" 0} \
      {"Sinad en 0x00000" 0x00001 "INT" 0} \
      {"Sinad en 0x00001" 0x00001 "INT" 0} \
      {"Sinad en 0x00002" 0x00003 "INT" 0} \
      {"Sinad en 0x00004" 0x00005 "INT" 0} \
      {"Sinad en 0x00008" 0x00009 "INT" 0} \
      {"Sinad en 0x00010" 0x00011 "INT" 0} \
      {"Sinad en 0x00020" 0x00021 "INT" 0} \
      {"Sinad en 0x00040" 0x00041 "INT" 0} \
      {"Sinad en 0x00080" 0x00081 "INT" 0} \
      {"Sinad en 0x00100" 0x00101 "INT" 0} \
      {"Sinad en 0x00200" 0x00201 "INT" 0} \
      {"Sinad en 0x00400" 0x00401 "INT" 0} \
      {"Sinad en 0x00800" 0x00801 "INT" 0} \
      {"Sinad en 0x01000" 0x01001 "INT" 0} \
      {"Sinad en 0x02000" 0x02001 "INT" 0} \
      {"Sinad en 0x04000" 0x04001 "INT" 0} \
      {"Sinad en 0x08000" 0x08001 "INT" 0} \
      {"Sinad en 0x10000" 0x10001 "INT" 0} \
      {"Sinad en 0x1ffff" 0x1ffff "INT" 0} \
      {"Sinad en 0x20000 -forgive" 0x00001 "INT" 0} \
      {"Sinad en 0x40000 -forgive" 0x00001 "INT" 0} \
      {"Sinad en 0x80000 -forgive" 0x00001 "INT" 0} \
      {"Sinad enable -1 -forgive" 0x1ffff "INT" 0} \
      {"Sinad enable 0x00000" 0x00001 "INT" 0} \
      {"Sinad enable 0x00001" 0x00001 "INT" 0} \
      {"Sinad enable 0x00002" 0x00003 "INT" 0} \
      {"Sinad enable 0x00004" 0x00005 "INT" 0} \
      {"Sinad enable 0x00008" 0x00009 "INT" 0} \
      {"Sinad enable 0x00010" 0x00011 "INT" 0} \
      {"Sinad enable 0x00020" 0x00021 "INT" 0} \
      {"Sinad enable 0x00040" 0x00041 "INT" 0} \
      {"Sinad enable 0x00080" 0x00081 "INT" 0} \
      {"Sinad enable 0x00100" 0x00101 "INT" 0} \
      {"Sinad enable 0x00200" 0x00201 "INT" 0} \
      {"Sinad enable 0x00400" 0x00401 "INT" 0} \
      {"Sinad enable 0x00800" 0x00801 "INT" 0} \
      {"Sinad enable 0x01000" 0x01001 "INT" 0} \
      {"Sinad enable 0x02000" 0x02001 "INT" 0} \
      {"Sinad enable 0x04000" 0x04001 "INT" 0} \
      {"Sinad enable 0x08000" 0x08001 "INT" 0} \
      {"Sinad enable 0x10000" 0x10001 "INT" 0} \
      {"Sinad enable 0x1ffff" 0x1ffff "INT" 0} \
      {"Sinad enable 0x20000 -forgive" 0x00001 "INT" 0} \
      {"Sinad enable 0x40000 -forgive" 0x00001 "INT" 0} \
      {"Sinad enable 0x80000 -forgive" 0x00001 "INT" 0} ]

    set testSinadList8 [list \
      {"Dist en -1 -forgive" 0x1ffff "INT" 0} \
      {"Dist en 0x00000" 0x00001 "INT" 0} \
      {"Dist en 0x00001" 0x00001 "INT" 0} \
      {"Dist en 0x00002" 0x00003 "INT" 0} \
      {"Dist en 0x00004" 0x00005 "INT" 0} \
      {"Dist en 0x00008" 0x00009 "INT" 0} \
      {"Dist en 0x00010" 0x00011 "INT" 0} \
      {"Dist en 0x00020" 0x00021 "INT" 0} \
      {"Dist en 0x00040" 0x00041 "INT" 0} \
      {"Dist en 0x00080" 0x00081 "INT" 0} \
      {"Dist en 0x00100" 0x00101 "INT" 0} \
      {"Dist en 0x00200" 0x00201 "INT" 0} \
      {"Dist en 0x00400" 0x00401 "INT" 0} \
      {"Dist en 0x00800" 0x00801 "INT" 0} \
      {"Dist en 0x01000" 0x01001 "INT" 0} \
      {"Dist en 0x02000" 0x02001 "INT" 0} \
      {"Dist en 0x04000" 0x04001 "INT" 0} \
      {"Dist en 0x08000" 0x08001 "INT" 0} \
      {"Dist en 0x10000" 0x10001 "INT" 0} \
      {"Dist en 0x1ffff" 0x1ffff "INT" 0} \
      {"Dist en 0x20000 -forgive" 0x00001 "INT" 0} \
      {"Dist en 0x40000 -forgive" 0x00001 "INT" 0} \
      {"Dist en 0x80000 -forgive" 0x00001 "INT" 0} \
      {"Dist enable -1 -forgive" 0x1ffff "INT" 0} \
      {"Dist enable 0x00000" 0x00001 "INT" 0} \
      {"Dist enable 0x00001" 0x00001 "INT" 0} \
      {"Dist enable 0x00002" 0x00003 "INT" 0} \
      {"Dist enable 0x00004" 0x00005 "INT" 0} \
      {"Dist enable 0x00008" 0x00009 "INT" 0} \
      {"Dist enable 0x00010" 0x00011 "INT" 0} \
      {"Dist enable 0x00020" 0x00021 "INT" 0} \
      {"Dist enable 0x00040" 0x00041 "INT" 0} \
      {"Dist enable 0x00080" 0x00081 "INT" 0} \
      {"Dist enable 0x00100" 0x00101 "INT" 0} \
      {"Dist enable 0x00200" 0x00201 "INT" 0} \
      {"Dist enable 0x00400" 0x00401 "INT" 0} \
      {"Dist enable 0x00800" 0x00801 "INT" 0} \
      {"Dist enable 0x01000" 0x01001 "INT" 0} \
      {"Dist enable 0x02000" 0x02001 "INT" 0} \
      {"Dist enable 0x04000" 0x04001 "INT" 0} \
      {"Dist enable 0x08000" 0x08001 "INT" 0} \
      {"Dist enable 0x10000" 0x10001 "INT" 0} \
      {"Dist enable 0x1ffff" 0x1ffff "INT" 0} \
      {"Dist enable 0x20000 -forgive" 0x00001 "INT" 0} \
      {"Dist enable 0x40000 -forgive" 0x00001 "INT" 0} \
      {"Dist enable 0x80000 -forgive" 0x00001 "INT" 0} ]

    set testSinadList9 [list \
      {"Sinad run -1 -forgive" 0 "INT" 0} \
      {"Sinad run 1" 1 "INT" 0} \
      {"Sinad run 0" 0 "INT" 0} \
      {"Sinad run on" 1 "INT" 0} \
      {"Sinad run off" 0 "INT" 0} \
      {"Sinad run 4 -forgive" 1 "INT" 0} ]

    set testSinadList10 [list \
      {"Dist run -1 -forgive" 0 "INT" 0} \
      {"Dist run 1" 1 "INT" 0} \
      {"Dist run 0" 0 "INT" 0} \
      {"Dist run on" 1 "INT" 0} \
      {"Dist run off" 0 "INT" 0} \
      {"Dist run 4 -forgive" 1 "INT" 0} ]

    set testSinadList11 [list \
      {"Sinad math -1 -forgive" 0 "INT" 0} \
      {"Sinad math 1" 1 "INT" 0} \
      {"Sinad math 0" 0 "INT" 0} \
      {"Sinad math on" 1 "INT" 0} \
      {"Sinad math off" 0 "INT" 0} \
      {"Sinad math 2 -forgive" 1 "INT" 0} ]

    set testSinadList12 [list \
      {"Dist math -1 -forgive" 0 "INT" 0} \
      {"Dist math 1" 1 "INT" 0} \
      {"Dist math 0" 0 "INT" 0} \
      {"Dist math on" 1 "INT" 0} \
      {"Dist math off" 0 "INT" 0} \
      {"Dist math 2 -forgive" 1 "INT" 0} ]

    set testSinadList13 [list \
      {"Sinad ulim -1 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad ulim 12.3" 12.3 "DBL" 0.001} \
      {"Sinad ulim 39.9" 39.9 "DBL" 0.001} \
      {"Sinad ulim 40.0" 40.0 "DBL" 0.001} \
      {"Sinad ulim 40.1" 40.1 "DBL" 0.001} \
      {"Sinad ulim 60.0" 60.0 "DBL" 0.001} \
      {"Sinad ulim 60.1 -forgive" 60.0 "DBL" 0.001} \
      {"Sinad ulimit -1 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad ulimit 12.3" 12.3 "DBL" 0.001} \
      {"Sinad ulimit 39.9" 39.9 "DBL" 0.001} \
      {"Sinad ulimit 40.0" 40.0 "DBL" 0.001} \
      {"Sinad ulimit 40.1" 40.1 "DBL" 0.001} \
      {"Sinad ulimit 60.0" 60.0 "DBL" 0.001} \
      {"Sinad ulimit 60.1 -forgive" 60.0 "DBL" 0.001} ]

    set testSinadList14 [list \
      {"Sinad llim -1 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad llim 12.3" 12.3 "DBL" 0.001} \
      {"Sinad llim 39.9" 39.9 "DBL" 0.001} \
      {"Sinad llim 40.0" 40.0 "DBL" 0.001} \
      {"Sinad llim 40.1" 40.1 "DBL" 0.001} \
      {"Sinad llim 60.0" 60.0 "DBL" 0.001} \
      {"Sinad llim 60.1 -forgive" 60.0 "DBL" 0.001} \
      {"Sinad llimit -1 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad llimit 12.3" 12.3 "DBL" 0.001} \
      {"Sinad llimit 39.9" 39.9 "DBL" 0.001} \
      {"Sinad llimit 40.0" 40.0 "DBL" 0.001} \
      {"Sinad llimit 40.1" 40.1 "DBL" 0.001} \
      {"Sinad llimit 60.0" 60.0 "DBL" 0.001} \
      {"Sinad llimit 60.1 -forgive" 60.0 "DBL" 0.001} ]

    set testSinadList15 [list \
      {"Dist ulim -1 -forgive" 0.0 "DBL" 0.001} \
      {"Dist ulim 12.3" 12.3 "DBL" 0.001} \
      {"Dist ulim 39.9" 39.9 "DBL" 0.001} \
      {"Dist ulim 100.0" 100.0 "DBL" 0.001} \
      {"Dist ulim 100.1 -forgive" 100.0 "DBL" 0.001} \
      {"Dist ulimit -1 -forgive" 0.0 "DBL" 0.001} \
      {"Dist ulimit 12.3" 12.3 "DBL" 0.001} \
      {"Dist ulimit 99.9" 99.9 "DBL" 0.001} \
      {"Dist ulimit 100.0" 100.0 "DBL" 0.001} \
      {"Dist ulimit 100.1 -forgive" 100.0 "DBL" 0.001} ]

    set testSinadList16 [list \
      {"Dist llim -1 -forgive" 0.0 "DBL" 0.001} \
      {"Dist llim 12.3" 12.3 "DBL" 0.001} \
      {"Dist llim 39.9" 39.9 "DBL" 0.001} \
      {"Dist llim 100.0" 100.0 "DBL" 0.001} \
      {"Dist llim 100.1 -forgive" 100.0 "DBL" 0.001} \
      {"Dist llimit -1 -forgive" 0.0 "DBL" 0.001} \
      {"Dist llimit 12.3" 12.3 "DBL" 0.001} \
      {"Dist llimit 99.9" 99.9 "DBL" 0.001} \
      {"Dist llimit 100.0" 100.0 "DBL" 0.001} \
      {"Dist llimit 100.1 -forgive" 100.0 "DBL" 0.001} ]

    set testSinadList17 [list \
      {"Sinad al -1 -forgive" 0 "INT" 0} \
      {"Sinad al 1" 1 "INT" 0} \
      {"Sinad al 0" 0 "INT" 0} \
      {"Sinad al 2" 2 "INT" 0} \
      {"Sinad al 3" 3 "INT" 0} \
      {"Sinad al off" 0 "INT" 0} \
      {"Sinad al enablelo" 1 "INT" 0} \
      {"Sinad al enablehi" 2 "INT" 0} \
      {"Sinad al enableboth" 3 "INT" 0} \
      {"Sinad al 4 -forgive" 0 "INT" 0} \
      {"Sinad alerts -1 -forgive" 0 "INT" 0} \
      {"Sinad alerts 1" 1 "INT" 0} \
      {"Sinad alerts 0" 0 "INT" 0} \
      {"Sinad alerts 2" 2 "INT" 0} \
      {"Sinad alerts 3" 3 "INT" 0} \
      {"Sinad alerts 4 -forgive" 0 "INT" 0} ]

    set testSinadList18 [list \
      {"Dist al -1 -forgive" 0 "INT" 0} \
      {"Dist al 1" 1 "INT" 0} \
      {"Dist al 0" 0 "INT" 0} \
      {"Dist al 2" 2 "INT" 0} \
      {"Dist al 3" 3 "INT" 0} \
      {"Dist al off" 0 "INT" 0} \
      {"Dist al enablelo" 1 "INT" 0} \
      {"Dist al enablehi" 2 "INT" 0} \
      {"Dist al enableboth" 3 "INT" 0} \
      {"Dist al 4 -forgive" 0 "INT" 0} \
      {"Dist alerts -1 -forgive" 0 "INT" 0} \
      {"Dist alerts 1" 1 "INT" 0} \
      {"Dist alerts 0" 0 "INT" 0} \
      {"Dist alerts 2" 2 "INT" 0} \
      {"Dist alerts 3" 3 "INT" 0} \
      {"Dist alerts 4 -forgive" 0 "INT" 0} ]

    set testSinadList19 [list \
      {"Sinad peak -1 -forgive" 0 "INT" 0} \
      {"Sinad peak 1" 1 "INT" 0} \
      {"Sinad peak 0" 0 "INT" 0} \
      {"Sinad peak 1" 1 "INT" 0} \
      {"Sinad peak off" 0 "INT" 0} \
      {"Sinad peak on" 1 "INT" 0} \
      {"Sinad peak clr" 0 "INT" 0} \
      {"Sinad peak set" 1 "INT" 0} \
      {"Sinad peak 2 -forgive" 1 "INT" 0} \
      {"Sinad peakhold -1 -forgive" 0 "INT" 0} \
      {"Sinad peakhold 1" 1 "INT" 0} \
      {"Sinad peakhold 0" 0 "INT" 0} \
      {"Sinad peakhold 1" 1 "INT" 0} \
      {"Sinad peakhold 2 -forgive" 1 "INT" 0} ]

    set testSinadList20 [list \
      {"Dist peak -1 -forgive" 0 "INT" 0} \
      {"Dist peak 1" 1 "INT" 0} \
      {"Dist peak 0" 0 "INT" 0} \
      {"Dist peak 1" 1 "INT" 0} \
      {"Dist peak off" 0 "INT" 0} \
      {"Dist peak on" 1 "INT" 0} \
      {"Dist peak clr" 0 "INT" 0} \
      {"Dist peak set" 1 "INT" 0} \
      {"Dist peak 2 -forgive" 1 "INT" 0} \
      {"Dist peakhold -1 -forgive" 0 "INT" 0} \
      {"Dist peakhold 1" 1 "INT" 0} \
      {"Dist peakhold 0" 0 "INT" 0} \
      {"Dist peakhold 1" 1 "INT" 0} \
      {"Dist peakhold 2 -forgive" 1 "INT" 0} ]

    set testSinadList21 [list \
      {"Sinad encwt -1 -forgive" 0 "INT" 0} \
      {"Sinad encwt 1" 1 "INT" 0} \
      {"Sinad encwt 0" 0 "INT" 0} \
      {"Sinad encwt 1" 1 "INT" 0} \
      {"Sinad encwt off" 0 "INT" 0} \
      {"Sinad encwt on" 1 "INT" 0} \
      {"Sinad encwt clr" 0 "INT" 0} \
      {"Sinad encwt set" 1 "INT" 0} \
      {"Sinad encwt 2 -forgive" 1 "INT" 0} \
      {"Sinad enablecwt -1 -forgive" 0 "INT" 0} \
      {"Sinad enablecwt 1" 1 "INT" 0} \
      {"Sinad enablecwt 0" 0 "INT" 0} \
      {"Sinad enablecwt 1" 1 "INT" 0} \
      {"Sinad enablecwt 2 -forgive" 1 "INT" 0} ]

    set testSinadList22 [list \
      {"Sinad minx -100.0 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad minx 0.1 Hz" 0.1 "DBL" 0.001} \
      {"Sinad minx 123.4 Hz" 123.4 "DBL" 0.001} \
      {"Sinad minx 5678.9 Hz" 5678.9 "DBL" 0.001} \
      {"Sinad minx 23.456 kHz" 23456.0 "DBL" 0.001} \
      {"Sinad minx 39.9999 kHz" 39999.9 "DBL" 0.001} \
      {"Sinad minx 41.2345 kHz -forgive" 40000.0 "DBL" 0.001} \
      {"Sinad fft_minx -100.0 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad fft_minx 0.1 Hz" 0.1 "DBL" 0.001} \
      {"Sinad fft_minx 123.4 Hz" 123.4 "DBL" 0.001} \
      {"Sinad fft_minx 5678.9 Hz" 5678.9 "DBL" 0.001} \
      {"Sinad fft_minx 23.456 kHz" 23456.0 "DBL" 0.001} \
      {"Sinad fft_minx 39.9999 kHz" 39999.9 "DBL" 0.001} \
      {"Sinad fft_minx 41.2345 kHz -forgive" 40000.0 "DBL" 0.001} ]

    set testSinadList23 [list \
      {"Sinad maxx -100.0 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad maxx 0.1 Hz" 0.1 "DBL" 0.001} \
      {"Sinad maxx 123.4 Hz" 123.4 "DBL" 0.001} \
      {"Sinad maxx 5678.9 Hz" 5678.9 "DBL" 0.001} \
      {"Sinad maxx 23.456 kHz" 23456.0 "DBL" 0.001} \
      {"Sinad maxx 39.9999 kHz" 39999.9 "DBL" 0.001} \
      {"Sinad maxx 41.2345 kHz -forgive" 40000.0 "DBL" 0.001} \
      {"Sinad fft_maxx -100.0 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad fft_maxx 0.1 Hz" 0.1 "DBL" 0.001} \
      {"Sinad fft_maxx 123.4 Hz" 123.4 "DBL" 0.001} \
      {"Sinad fft_maxx 5678.9 Hz" 5678.9 "DBL" 0.001} \
      {"Sinad fft_maxx 23.456 kHz" 23456.0 "DBL" 0.001} \
      {"Sinad fft_maxx 39.9999 kHz" 39999.9 "DBL" 0.001} \
      {"Sinad fft_maxx 41.2345 kHz -forgive" 40000.0 "DBL" 0.001} ]

    set testSinadList24 [list \
      {"Sinad miny -100.0 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad miny -80.1 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad miny -40.0" -40.0 "DBL" 0.001} \
      {"Sinad miny -25.678" -25.678 "DBL" 0.001} \
      {"Sinad miny -0.001" -0.001 "DBL" 0.001} \
      {"Sinad miny -0.0" 0.0 "DBL" 0.001} \
      {"Sinad miny 0.001 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad fft_miny -100.0 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad fft_miny -80.1 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad fft_miny -40.0" -40.0 "DBL" 0.001} \
      {"Sinad fft_miny -25.678" -25.678 "DBL" 0.001} \
      {"Sinad fft_miny -0.001" -0.001 "DBL" 0.001} \
      {"Sinad fft_miny -0.0" 0.0 "DBL" 0.001} \
      {"Sinad fft_miny 0.001 -forgive" 0.0 "DBL" 0.001} ]

    set testSinadList25 [list \
      {"Sinad maxy -100.0 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad maxy -80.1 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad maxy -40.0" -40.0 "DBL" 0.001} \
      {"Sinad maxy -25.678" -25.678 "DBL" 0.001} \
      {"Sinad maxy -0.001" -0.001 "DBL" 0.001} \
      {"Sinad maxy -0.0" 0.0 "DBL" 0.001} \
      {"Sinad maxy 0.001 -forgive" 0.0 "DBL" 0.001} \
      {"Sinad fft_maxy -100.0 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad fft_maxy -80.1 -forgive" -80.0 "DBL" 0.001} \
      {"Sinad fft_maxy -40.0" -40.0 "DBL" 0.001} \
      {"Sinad fft_maxy -25.678" -25.678 "DBL" 0.001} \
      {"Sinad fft_maxy -0.001" -0.001 "DBL" 0.001} \
      {"Sinad fft_maxy -0.0" 0.0 "DBL" 0.001} \
      {"Sinad fft_maxy 0.001 -forgive" 0.0 "DBL" 0.001} ]



 }

#****************************************************************************
# Name:        autoTest
# Parameters:  resultsLevel		Indicates the results display level
# Description: Executes automatic test on AFCounter commands
#****************************************************************************
 proc autoTest { resultsLevel } {
    variable testCaseList

    # Declare each test as a namespace variable
    foreach testName $testCaseList {
       variable $testName
    }

    setup 

    # Execute the test lists, and then destroy the test lists
    ::BIT::resetTestStats "cmdline_Sinad_Dist"
    foreach testName $testCaseList {
       ::BIT::runCmdLineTests "cmdline_Sinad_Dist" $testName
       unset $testName
    }

    if { ($resultsLevel == "Full") || ($resultsLevel == "Manual") } \
    {
       # Test commands with no data - requires visual inspection
       ::BIT::putsTest [Sinad phrst]
       ::BIT::putsTest [Sinad phreset]
       ::BIT::putsTest [Dist phrst]
       ::BIT::putsTest [Dist phreset]


       # Test string functions - requires visual inspection
#       ::BIT::putsTest [Sinad en -range]
#       ::BIT::putsTest [Sinad phrst -range]
       foreach cmd {alerts average filter llimit math peakhold run trigger ulimit version } \
       {
          set temp [Sinad $cmd -range]
          ::BIT::putsTest "The range of <$cmd> is:  $temp"
          set temp [Dist $cmd -range]
          ::BIT::putsTest "The range of <$cmd> is:  $temp"
       }

       ::BIT::putsTest [Sinad res]
       ::BIT::putsTest [Sinad resources]
       ::BIT::putsTest [Dist res]
       ::BIT::putsTest [Dist resources]

       ::BIT::putsTest [Sinad ver 0]
       ::BIT::putsTest [Sinad version 1]
       ::BIT::putsTest [Dist ver 0]
       ::BIT::putsTest [Dist version 1]
    }

    # Reset Sinad to typical values after completion of the test
    Sinad en 3
    Sinad run 0
    Sinad filter 1
    Sinad avg 15
    Sinad trig 1
 }

}

# Add this test to the list of tests
::BIT::addTest cmdline_Sinad_Dist

