#############################################################################
#                                                                           #
# IFR SYSTEMS, INC    COPYRIGHT (C) 1998,99,2001,2002  DESIGN ENGINEERING   #
# ------------------------------------------------------------------------- #
#                                                                           #
# FILE        : 4030.Delete_setupUI.tcl                                     #
#                                                                           #
# PRODUCT     : FITS                                                        #
#                                                                           #
# AUTHOR      : N. Tran                                                     #
#                                                                           #
# DESCRIPTION : Instrument Setup - Backup Setup file                        #
#                                                                           #
#############################################################################

namespace eval Delete_setupUI \
{
  # Global variables
  variable  LongName     "delete_setup"
  variable  ShortName    "Delete Setup UI"
  variable  Size         Quarter
            
  variable  tile_class   "DELETE_SETUP"

  variable  last_focus
  
  variable  StateUI
  
  set StateUI(source)  FLOPPY
  set StateUI(fname)   0001
  set StateUI(flabel)  IFR
  set StateUI(ftime)   "time"
      
  #********************************************************************
  #
  #       Name: Create  
  #
  # Parameters:
  #
  # Description: 
  #
  #********************************************************************
  proc Create { tile_path } \
  {
    
    variable  LongName
    variable  tile_class
    variable last_focus
    
    set last_focus [focus]
    
    set top_level  [winfo toplevel $tile_path]
   
    set tile_path  [name_child  $top_level  $LongName]


    if { ![winfo exists $tile_path] } \
    {
      set tile_path  [::Screens::create_toplevel_tile  $tile_path  DELETE_SETUP]
    }  
     
    return $tile_path
  }


  #******************************************************************** 
  #
  #       Name: Map
  #
  # Parameters: 
  #
  # Description: Initializes the tile
  #
  #********************************************************************
  proc Map { tile_path } \
  {
    
    # Set local variables
    set tile_path  [get_tile  $tile_path]    

    return
  }


  #********************************************************************
  #
  #       Name: Cleanup
  #
  # Parameters: 
  #
  # Description: 
  #
  #********************************************************************
  proc Cleanup { tile_path } \
  {
    
    set tile_path  [get_tile  $tile_path]    
    
    destroy $tile_path     
    
    return
  }


  #********************************************************************
  #
  #       Name: Unmap
  #
  # Parameters: 
  #
  # Description: 
  #
  #********************************************************************
  proc Unmap { tile_path } \
  {
    
    set tile_path  [get_tile  $tile_path]    

    Cleanup  $tile_path
    
    return
  }


  #********************************************************************
  #
  #       Name: Destroy
  #
  # Parameters: 
  #
  # Description: 
  #
  #********************************************************************
  proc Destroy { tile_path } \
  {
    
    set tile_path  [get_tile  $tile_path]    

    Cleanup  $tile_path

    return
  }


  #********************************************************************
  #
  #       Name: Register
  #
  # Parameters: 
  #
  # Description: 
  #
  #********************************************************************
  proc Register { } \
  {
    set tile_path  [get_tile  $tile_path]    

    return
  }
  

  #***************************************************************************
  #
  #       Name: get_tile
  #
  # Parameters: any child widget of the tile
  #
  # Description: get the name of the tile's parent frame
  #
  #***************************************************************************
  proc get_tile { widget } \
  {
    while { 1 } \
    {
      switch -- [winfo class $widget] \
      {
        "DELETE_SETUP"   { return $widget }
      }
        
      set widget [winfo parent $widget]
    }

    return     
  }

  #***************************************************************************
  #
  #       Name: get_tile
  #
  # Parameters: any child widget of the tile
  #
  # Description: get the name of the tile's parent frame
  #
  #***************************************************************************
   proc delete_file { tile_path } {
      
       variable last_focus
     
       if {$::Recall_SetupsUI::State(source) == "INTERNAL"} {
          set savedir $::Recall_SetupsUI::State(internal_saved_dir)       
       } else {
          set savedir $::Recall_SetupsUI::State(external_saved_dir)
       }
      
       set fname "save$::Recall_SetupsUI::State(file_number).sav"
       # Turn file to uppercase
       set fname [string toupper $fname]
       # full path name
       set fname "$savedir/$fname"

       if {[file exist $fname]} {
         catch {file delete $fname}
	     after idle "::Recall_SetupsUI::get_file_info"
       } 
      
      
      # Move focus back to Save_setup tile
      after idle  "safe_focus_force $last_focus"

      # close the tile after deleting the file
      destroy [get_tile $tile_path]
   }
   
   
  #***************************************************************************
  #
  #       Name: no_delete
  #
  # Parameters: tile_path
  #
  # Description: no delete file
  #
  #***************************************************************************
   
  proc no_delete { tile_path } {
      variable last_focus
      # Move focus back to Save_setup tile
      after idle  "safe_focus_force $last_focus"
      
      destroy [get_tile $tile_path]     
  }
  
};  # End of Delete_setupUI namespace



