# NON STORED GLOBALS
set line_height 22          ;# minimum line height

## STORED GLOBALS

set sys(powerdown_sure) YES ;# {YES NO} display are you sure power down message if YES
set sys(powerdown_allowed) 1

set sys(hdisplay) ":0"
set sys(ip_address) 0
set sys(ip_name) 0
set sys(default_gateway) 10.200.1.90
set sys(net_mask) 255.255.0.0
set sys(firmware_local_file) "/usr/reload/reload.tar.gz"
set sys(useproxy) NO        ;# {YES NO} use proxy server to download firmware
set sys(proxyip) ""
set sys(proxyneedpw) NO
set sys(proxyuser) " "
set sys(proxypw) " "

set sys(10mhzref) Internal
set sys(time_format) "12 hour"  ;# 12 hour/24 hour clock format options
set sys(base) ""            ;# starting top level
set sys(use_spinner_edit) 0   ;# 1/0, 1 if spinner generates edit_left, edit_right instead of cursor moves

set temporary(blank) " "        ;# needed variable holding blank
set temporary(exitmess_displayed) 0 ;# exit message displayed, lock out mode key
   
set cal(tcxo) 0         ;# tcxo cal value
set cal(gen_state) OFF     ;# rf generator IF input {ON OFF}
set cal(gen_dc)    ON      ;# rf generator DC power {ON OFF}
set cal(yigrfgentemp) 25    ;# rfgen yig temp cal value
set cal(yigrfgen0) 100      ;# rfgen yig 0 Hz cal value
set cal(yigrfgen2800) 2650    ;# rfgen yig 2800 MHz cal value
set cal(yigrcvrtemp) 25     ;# rcvr yig temp cal value
set cal(yigrcvr0) 100     ;# rcvr yig 0 Hz cal value
set cal(yigrcvr2800) 2650   ;# rcvr yig 2800 MHz cal value
set cal(calpasstry) ""
set cal(calscreenopen) 0

# GLOBALS FOR RF GENERATOR CALIBRATION SCREEN
set GENCAL(AlcFreq) 1000
set GENCAL(AlcFreqs) {1 2 5 10 20 50 100 150 200 250 300 350 400 450 500 550 600 650 700 750 800 850 900 950 1000 1050 1100 1150 1200 1250 1300 1350 1400 1450 1500 1550 1600 1650 1700 1750 1800 1850 1900 1950 2000 2050 2100 2150 2200 2250 2300 2350 2400 2450 2500 2550 2600 2650 2700}
set GENCAL(screen) 0          ;# current screen, {level tr0 tr10 tr20 gen0 gen10 gen20}
set GENCAL(pagemax) 16        ;# {even ints} maximum values able to be shown on one screen
set GENCAL(level.caltime) 0   ;# time of last cal for leveler
set GENCAL(TR.caltime) 0      ;# time of last cal for freq screens
set GENCAL(GEN.caltime) 0     ;# time of last cal for freq screens
set GENCAL(level.caldate) 0   ;# date of last cal for leveler
set GENCAL(TR.caldate) 0      ;# date of last cal for freq sc
set GENCAL(GEN.caldate) 0     ;# date of last cal for freq sc
set GENCAL(querytype) none      ;# query type defines cal curve being quieried
set GENCAL(queryvalue) none   ;# value sent to engine when asking for point
set GENCAL(querycommand) none   ;# command performed with result of query
set GENCAL(notsaved_level) 0    ;# set if edit made, zeroed when save done
set GENCAL(notsaved_tr) 0     ;# set if edit made, zeroed when save done
set GENCAL(notsaved_gen) 0      ;# set if edit made, zeroed when save done

foreach port {TR GEN} {
  set i 0
  foreach freq $GENCAL(AlcFreqs) {
    set GENCAL(freq,$port,freq,$i) $freq
    incr i
  }
}
    
set timedate(ampm) 1
set timedate(hours) 1
set timedate(minutes) 00
set timedate(seconds) 00
set timedate(month) Jan
set timedate(day) 1
set timedate(year) 2000


