#*************************************************
#       Name: firmware_version
# Parameters: 
#Description: returns tcl version
#*************************************************
proc firmware_version { } {  
  if [ catch \
  {
       set fin [open "/system/tag.tcl" r ]
  } err ] \
  {
      return "No Version Available"
  }

  set cvs_tag "HEAD"

  while { [gets $fin line] >= 0 } \
  {
      set length [string first "//T" $line]

      if { $length > 0 } \
      {
        incr length 3
        set cvs_tag [string range $line $length end]
        break
      }
  }
  close $fin
  
  # Now, convert underscores to periods, and append
  # and special version data
  global extra_version_data

  regsub -all _ $cvs_tag . cvs_tag

  if [info exists extra_version_data] \
  {
     set cvs_tag $cvs_tag$extra_version_data
  }

  return $cvs_tag
}


#*************************************************
#       Name: firmware_date
# Parameters: 
#Description: returns tcl version
#*************************************************
proc firmware_date { } {  
  set code [ catch {
    set fin [open "/system/date.tcl" r ]
  } err ]

  if { $code } {
    return "No Date File Available"
  } 

  gets $fin line
  close $fin
  return $line
}


#*************************************************
#       Name: firmware_date
# Parameters: 
#Description: returns tcl version
#*************************************************
proc firmware_date { } {  
  set code [ catch {
    set fin [open "/system/date.tcl" r ]
  } err ]

  if { $code } {
    return "No Date File Available"
  } 

  gets $fin line
  close $fin
  return $line
}
