#****************************************************************************
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,01      DESIGN ENGINEERING      *
#****************************************************************************
# FILE        : 1150.eventlog.tcl                                           *
# PRODUCT     : 2975-P25                                                    *
# DESCRIPTION : catpure key events to logfile                               *
#****************************************************************************
package require Utils
namespace eval ::KeyLog \
{
   variable State
   CreateLog /eventlog /usr/logfiles/key_log
   
   array set State \
   {
      fd ""
      bound 0
      events { <Key> <KeyPress> <KeyRelease>
               <Button-1> <ButtonRelease-1>
               <Button-2> <ButtonRelease-2>
               <Button-3> <ButtonRelease-3>
               <Button-4> <ButtonRelease-4>
               <Button-5> <ButtonRelease-5>
               <<Release>> <<Press>>
               <<Mode>> <<ModeDown>>
               <<Option>> <<OptionDown>>
               <<Spin_down>> <<Spin_up>>
               <<Vol_down>> <<Vol_up>>
               <<Squ_down>> <<Squ_up>>
               <<Shift>> <<Help>> <<Hold>>
               <<Power>> <<PowerPress>>
               <<edit_up>> <<edit_down>>
             }
             
       file_state_text  "LOG KEYS IS OFF"
   }
   
  #*************************************************
  #        Name: Puts
  #  Parameters: args - per puts
  # Description: Write info to log & start flush timer
  #*************************************************
  proc Puts { args } \
  {
     variable State
     if {$State(fd) != ""} \
     {
        set time [clock format [clock seconds]]
        puts $State(fd) "$time $args"
        Debug::Puts KeyLog 2 "$time $args"
     }
  }
  
  #*************************************************
  #        Name: Bind
  #  Parameters: 
  # Description: Tie into the event system
  #*************************************************
  proc Bind {  } \
  {
     variable State
     if {$State(bound) != 0} { return }
     foreach event $State(events) \
     {
        bind all $event [subst {+KeyLog::Puts "$event %T x=%x y=%y key=%k sym=%K path=%W"}]
     }
     set State(bound) 1
  }

  #**************************************************************************
  #
  #        Name: toggle_logfile_state
  #
  #  Parameters:
  #
  # Description: Toggles the satte of the key log file between 'open' 
  #              and 'closed'
  #
  #**************************************************************************
  proc toggle_logfile_state { tile_path } \
  {
    Debug::Puts KeyLog 3 "toggle_logfile_state:"

    variable State
    
    if { $State(fd) == "" } \
    {
      # Change the Softkey text
      set State(fd) [open /eventlog WRONLY]
      fconfigure $State(fd) -buffering line
      set State(file_state_text)  "LOG KEYS IS ON"
      Bind
    } \
    else \
    {
      # Change the Softkey text
      set State(file_state_text)  "LOG KEYS IS OFF"
      
      close $State(fd)
      set State(fd) ""
    }      
    
    # Setup Softkey #7
    View::AssignSoftkey  $tile_path  7  $State(file_state_text) "KeyLog::toggle_logfile_state $tile_path"
  }
};  # End of namespace KeyLog
