#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99      DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : to_utils.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson                                               #
# DESCRIPTION : Interface to Utilities via Message Bus                      #
#                                                                           #
#############################################################################
package require HW_control

#####################################################################
#
#
#     Interface to VxWorks Engine
#
#
######################################################################

#############################################################################
#                                                                           #
#                       Calibration Interfaces                              #
#                                                                           #
#############################################################################

#
# update tcl tcxo cal data
#
proc get_tcxo_cal_data { } {

  set file [ OpenCalFile tcxo r ]

  while { [ gets $file line ] >= 0 } {

    if { [ lindex $line 0 ] == "TCXOCAL" } {
      HW_control tcxo [lindex $line 2]
    }
  }

  close $file
}

#
# update mixer/route level cal data
#
proc get_mixer_router_cal_data { filename } {
  global CalFileName

  set file [ OpenCalFile $filename r ]

  while { [ gets $file line ] >= 0 } {
    if { [ lindex $line 0 ] == "BB_LEVEL_CAL" } {
      HW_control rt_cal [ lindex $line 2 ] [ lindex $line 4 ] -nowait
    }
  }

  close $file
}


Load::on_system_done \
{
   get_tcxo_cal_data
}
