#############################################################################
# IFR SYSTEMS, INC        COPYRIGHT (C)1998,99      DESIGN ENGINEERING      #
# --------------------------------------------------------------------------#
# FILE        : to_color.tcl                                                #
# PRODUCT     : FITS                                                        #
# AUTHOR      : Steve Johnson                                               #
# DESCRIPTION : change widget color                               #
#                                                                           #
#############################################################################

set ADJUSTCOLOR(path)    junk
set ADJUSTCOLOR(type)    junk7
set ADJUSTCOLOR(rpath)   junk1
set ADJUSTCOLOR(gpath)   junk2
set ADJUSTCOLOR(bpath)   junk3
set ADJUSTCOLOR(sample)  junk8
set ADJUSTCOLOR(color)   junk4
set ADJUSTCOLOR(rval)    junk4
set ADJUSTCOLOR(gval)    junk5
set ADJUSTCOLOR(bval)    junk6


#*************************************************
#       Name: 
# Parameters: 
#Description: 
#*************************************************
proc doNewColor {{dummy 0}} {
  global ADJUSTCOLOR

  # this returns the current numbers from the slider(s)
  set ADJUSTCOLOR(color) [ format #%02x%02x%02x \
                           [ $ADJUSTCOLOR(rpath) get ] \
                           [ $ADJUSTCOLOR(gpath) get ] \
                           [ $ADJUSTCOLOR(bpath) get ] 
                         ]


  $ADJUSTCOLOR(path)   configure $ADJUSTCOLOR(type) $ADJUSTCOLOR(color)
  $ADJUSTCOLOR(sample) configure -background        $ADJUSTCOLOR(color)
}



#*************************************************
#       Name: 
# Parameters: 
#Description: 
#*************************************************
proc doUpdateColor { } {
  global ADJUSTCOLOR

  $ADJUSTCOLOR(rpath) configure -variable ADJUSTCOLOR(rval)
  $ADJUSTCOLOR(gpath) configure -variable ADJUSTCOLOR(gval)
  $ADJUSTCOLOR(bpath) configure -variable ADJUSTCOLOR(bval)

  doNewColor 
}



#*************************************************
#       Name: 
# Parameters: 
#Description: 
#*************************************************
proc doColorAdjust { name type } {
  global ADJUSTCOLOR

#  label $name.path   -text "Adjust Path:"
#  frame $name.pathname -width 277 
#  label $name.pathname.text -text "$ADJUSTCOLOR(path)"

  set ADJUSTCOLOR(rpath)  $name.red
  set ADJUSTCOLOR(gpath)  $name.green
  set ADJUSTCOLOR(bpath)  $name.blue
  set ADJUSTCOLOR(sample) $name.sample

  scale $name.red    -label Red   -from 0 -to 255 -length 270 \
                     -orient horizontal -command doNewColor
  scale $name.green  -label Green -from 0 -to 255 -length 270 \
                     -orient horizontal -command doNewColor
  scale $name.blue   -label Blue  -from 0 -to 255 -length 270 \
                     -orient horizontal -command doNewColor

  label $name.color  -textvariable ADJUSTCOLOR(color)

  frame $name.sample -height 1.5c -width 270

  button $name.ok    -text OK -command "end_color_edit $name $type" \
                     -default active

#  pack $name.path   -side top
#  pack $name.pathname -side top
#  pack propagate $name.pathname false
#  pack $name.pathname.text -side top
  pack $name.red    -side top
  pack $name.green  -side top
  pack $name.blue   -side top
  pack $name.color  -side top
  pack $name.sample -side top
  pack $name.ok     -side top
}


#*************************************************
#       Name: convert_color
# Parameters: 
#Description: Verifies color is in rgb format, returns rgb value
#*************************************************
proc convert_color { win color } {

  set check  [ string index $color 0 ]
 
  # check if in correct format
  if { $check == "#" } {
    return $color
  }

  set rgb [ winfo rgb $win $color ]

  return [ format "#%02x%02x%02x" \
           [ expr round([lindex $rgb 0]) & 0xff ] \
           [ expr round([lindex $rgb 1]) & 0xff ] \
           [ expr round([lindex $rgb 2]) & 0xff ]
         ]
}

#*************************************************
#       Name: 
# Parameters: 
#Description: 
#*************************************************
proc  AdjustColor { type path } {
  global ADJUSTCOLOR

  set Holdww .color

  destroy $Holdww

  toplevel $Holdww -width 277
  wm transient $Holdww

  set ADJUSTCOLOR(type)   $type
  set ADJUSTCOLOR(path)   $path
  
  doColorAdjust $Holdww $type

  set ADJUSTCOLOR(color)  [ $path configure $type ]
  set ADJUSTCOLOR(color)  [ lindex $ADJUSTCOLOR(color) 4 ]
  set ADJUSTCOLOR(color)  [ convert_color $path $ADJUSTCOLOR(color) ]

  set ADJUSTCOLOR(orig) $ADJUSTCOLOR(color)
puts "orig color is $ADJUSTCOLOR(color)"
  set ADJUSTCOLOR(rval)   [ string range $ADJUSTCOLOR(color) 1 2 ]
  set ADJUSTCOLOR(gval)   [ string range $ADJUSTCOLOR(color) 3 4 ]
  set ADJUSTCOLOR(bval)   [ string range $ADJUSTCOLOR(color) 5 6 ]

  scan "0x$ADJUSTCOLOR(rval)" "%x" ADJUSTCOLOR(rval)
  scan "0x$ADJUSTCOLOR(gval)" "%x" ADJUSTCOLOR(gval)
  scan "0x$ADJUSTCOLOR(bval)" "%x" ADJUSTCOLOR(bval)

  doUpdateColor
}

#*************************************************
#       Name: end_color_edit
# Parameters: 
#Description: record widget and new color, destroy color widgets
#*************************************************
proc end_color_edit {name type} {
   global sys
   global ADJUSTCOLOR

   put "new color is $ADJUSTCOLOR(color)"

   # IF COLOR NOT CHANGED, DONT SAVE
   if { $ADJUSTCOLOR(orig) != $ADJUSTCOLOR(color)} {
      
      # SAVE WIDGET NAME AND NEW COLOR TO FILE
      set path $sys(current_save)
   
      # OPEN COLOR FILE
      if [catch {open $path/color.chg a+} fileid] {
         return
      }
      
      puts $fileid "At [clock format [clock seconds] -format "%H:%M:%S"] on [clock format [clock seconds] -format "%b:%d:%Y"]"
      puts $fileid "Widget $ADJUSTCOLOR(path)"
      puts $fileid "$type was set to $ADJUSTCOLOR(color)"
      puts $fileid " "
            
      close $fileid
   }
   
   destroy $name
}


#bind all <Button-2> { if [catch {%W cget -foreground} dummy] {
#                          # add error message "no -foreground attribute for %W"
#                    } else {
#                       AdjustColor -foreground %W
#                    }  }
#bind all <Button-3> { AdjustColor -background %W }
#bind all <Button-2> { puts "path: %W " }
