# post-install cleanup. Remove current instrument state and calibration
# files, force a reload of the default current state, and schedule this
# file for deletion after we are done.


set cleanup [glob -nocomplain /sysdata/current_state/*]
lappend cleanup [glob -nocomplain /system/interface/eng*]
lappend cleanup /system/utilities/1122.extra_version.tcl
lappend cleanup \
{
/usr/reload/reload.tar
/system/calibration/bb_audio_lvl
/system/utilities/9999.help.tcl
/system/utilities/1110.determine_relations.tcl
/system/utilities/1113.move_up.tcl
/system/interface/engMBLink
/system/interface/engTclBase
/system/tcl/bin/_42_telnetLib.o
/system/tcl/bin/_44_remShell.o
/system/startup/_92_StartWish.out
/system/tcl/bin/_46_tclTelnetd.out
/system/screens/*P25*
/system/screens/*p25*
/system/utilities/1118.tab.tcl
/system/utilities/3000.fgen_tile.tcl
/system/utilities/1010.msgbus.tcl
/system/utilities/9010.namespaces.tcl
/system/utilities/1102.defaults.tcl
/system/engines/_38_p25enc.out
/system/engines/*Eng.out
/system/utilities/1315.to_reload.tcl
/system/utilities/1240.p25rin.tcl
/system/utilities/1250.p25rout.tcl
/system/utilities/1392.to_p25_enc.tcl
/system/utilities/1394.to_p25.tcl
/system/engines/_91_gzip*.out
/system/engines/_91_untar_mb.out
/system/utilities/1111.findcursor.tcl
/system/utilities/1226.alphanum.tcl
/system/utilities/1360.to_pwt.tcl
/system/utilities/*load_dsp*tcl
/system/utilities/*to_dsp*tcl
/system/utilities/*to_fgen*tcl
/system/utilities/*to_scope*tcl
/system/utilities/*to_rcvr*tcl
/system/utilities/*to_dvm*tcl
/system/utilities/1230.meter.tcl
/system/utilities/1900.get_trace.tcl
/system/utilities/1140.fits_routines.tcl
/system/utilities/1370.to_rff.tcl
/system/utilities/1373.to_sinad.tcl
/system/utilities/1374.to_rlm.tcl
/system/utilities/1372.to_afctr.tcl
/system/utilities/1371.to_fmdev.tcl
/system/utilities/1385.to_bbaud.tcl
/system/screens/*View*tcl
/system/screens/*VolS*tcl
/system/engines/_30_AlertEng.out
/system/screens/update*ftp
/system/utilities/update*ftp
/system/Tone_signaling/Ctcss/update*.ftp
/system/Tone_signaling/DCS/update*.ftp
/system/Tone_signaling/DTMF/update*.ftp
/system/Tone_signaling/Tone_Signaling/update*.ftp
/system/Tone_signaling/update*.ftp
/system/utilities/1900.get_trace.tcl
/system/drivers/00_Options.out
/system/screens/2090.system/2086.recall_setup.tcl
/system/screens/2090.system/2120.recall.tcl
/system/screens/3000.Apps/Test_Siren_PA.*
/system/screens/3000.Apps/Test_Squelch.*
/system/screens/3000.Apps/Test1.tcl
/system/screens/3000.Apps/Test2.tcl
/system/screens/3000.Apps/Test3.tcl
/system/screens/3000.Apps/Test4.tcl
/system/screens/3000.Apps/Test5.tcl
/system/screens/3000.Apps/update*ftp
/system/screens/3000.Apps/3002.File_Save_RecallUI.*
/system/screens/3000.Apps/3002.File_Save_RecallUI.tcl
/system/screens/3000.Apps/3002.File_Save_RecallUI.rc
/system/tiles/update*ftp
/system/tiles/4010.Recall_setup.rc
/system/tiles/4010.Recall_setup.tcl
/sysdata/html/help/index.tcl
/sysdata/html/help/index.html
/sysdata/html/help/AppNotes/index.tcl
/sysdata/html/help/Applications/index.tcl
/sysdata/html/help/Applications/Auto_Test/Test_Siren_PA.*
/sysdata/html/help/Applications/Auto_Test/Test_Squelch.*
/sysdata/html/help/Applications/Auto_Test/wait.*
/sysdata/html/help/Applications/Auto_Test/input.*
/sysdata/html/index.html
/sysdata/html/main.html
/sysdata/html/help/Options/version.tcl
/sysdata/html/help/AppNotes/App1/*
/sysdata/html/help/AppNotes/App1
/sysdata/html/other/2975_Operation_Manual_Supp.pdf
}

# Remove the 'tiles' scripts
# to be uncommented if the tile scripts are renumbered.
#lappend cleanup \
#{
#  /system/tiles/3000.fgen_UI.tcl                \
#  /system/tiles/3000.fgen_UI.rc                 \
#  /system/tiles/3000.routing.tcl                \
#  /system/tiles/3000.routing.rc                 \
#  /system/tiles/3010.CounterUI.tcl              \
#  /system/tiles/3010.CounterUI.rc               \
#  /system/tiles/3020.C4fmUI.tcl                 \
#  /system/tiles/3020.C4fmUI.rc                  \
#  /system/tiles/3030.DeviationUI.tcl            \
#  /system/tiles/3030.DeviationUI.rc             \
#  /system/tiles/3040.DistortionUI.tcl           \
#  /system/tiles/3040.DistortionUI.rc            \
#  /system/tiles/3050.DvmUI.tcl                  \
#  /system/tiles/3050.DvmUI.rc                   \
#  /system/tiles/3060.PowerUI.tcl                \
#  /system/tiles/3060.PowerUI.rc                 \
#  /system/tiles/3070.RFerrUI.tcl                \
#  /system/tiles/3070.RFerrUI.rc                 \
#  /system/tiles/3080.SinadUI.tcl                \
#  /system/tiles/3080.SinadUI.rc                 \
#  /system/tiles/3090.RssiUI.tcl                 \
#  /system/tiles/3090.RssiUI.rc                  \
#  /system/tiles/3100.MultimeterUI.tcl           \
#  /system/tiles/3100.MultimeterUI.rc            \
#  /system/tiles/3500.GeneratorUI.tcl            \
#  /system/tiles/3500.GeneratorUI.rc             \
#  /system/tiles/3510.P25uplinkUI.tcl            \
#  /system/tiles/3510.P25uplink.rc               \
#  /system/tiles/3520.P25downlinkUI.tcl          \
#  /system/tiles/3520.P25downlink.rc             \
#  /system/tiles/3522.P25_Repeat_SimUI.tcl       \
#  /system/tiles/3522.P25_Repeat_SimUI.rc        \
#  /system/tiles/3530.ReceiverUI.tcl             \
#  /system/tiles/3530.ReceiverUI.rc              \
#  /system/tiles/3532.Dev_C4fmUI.tcl             \
#  /system/tiles/3532.Dev_C4fmUI.rc              \
#  /system/tiles/3533.AnalyzerUI.tcl             \
#  /system/tiles/3533.AnalyzerUI.rc              \
#  /system/tiles/3534.ScopeUI.tcl                \
#  /system/tiles/3534.Scope.rc                   \
#  /system/tiles/3625.SmartNet_MonitorUI.tcl     \
#  /system/tiles/3625.SmartNet_MonitorUI.rc      \
#  /system/tiles/3660.SmartNet_Repeat_SimUI.tcl  \
#  /system/tiles/3660.SmartNet_Repeat_SimUI.rc   \
#  /system/tiles/3690.SmartNet_ScannerUI.tcl     \
#  /system/tiles/3690.SmartNet_ScannerUI.rc      \
#  /system/tiles/3700.SmartNet_ConfigUI.tcl      \
#  /system/tiles/3700.SmartNet_ConfigUI.rc       \
#}
                
                
                


set ::Reload_Screen::reload(post_msg)   "Cleaning out old files"
set ::Reload_Screen::reload(post_count) [llength $cleanup]
set ::Reload_Screen::reload(post_done)  0

proc clean { v } {
   puts "cleaning out $v"

   foreach item $v {
     if {[llength $item] > 1} {
       puts "$item is a list, expanding"
       incr ::Reload_Screen::reload(post_count) [llength $item]
       clean $item
     } else {
       if {"$item"=="" } { continue}
       foreach f [glob -nocomplain $item/*] {
          puts "cleaning $f"
          clean $f
       }
       puts "deleting $item"
       foreach f [glob -nocomplain $item] \
       {
          puts "delete $f"
          file delete -force $f
       }
     }
   }
   incr ::Reload_Screen::reload(post_done)
   update idle
}

clean $cleanup

if [file exists /usr/reload/boot.tar] \
{

   # Since we've had problems with it, force a re-init of the /boot volume
   exec init_a_partition 0 ;# init /boot file system
   exec init_hda1_bootsec ;# write the boot loader
   catch \
   {
    foreach trace [trace vinfo ::Untar::State(tardone)] \
    {
     eval trace vdelete ::Untar::State(tardone) $trace
    }
    set ::Untar::State(tardone) 0
   }
   exec untar /usr/reload/boot.tar /
   if [catch \
   {
     while ($::Untar::State(tardone)==0) \
     {
      vwait ::Untar::State(tardone)
     }
   } err ] \
   {
      after 60000
   }
}

# schedule us for deletion
after 100 { file delete /usr/reload/post.tcl; file delete /usr/reload/boot.tar }

